/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * all(bvec2(false, false)) => false
 * all(bvec2(false, true)) => false
 * all(bvec2(true, false)) => false
 * all(bvec2(true, true)) => true
 */
#version 120

void main()
{
  float[all(bvec2(false, false)) == false ? 1 : -1] array0;
  float[all(bvec2(false, true)) == false ? 1 : -1] array1;
  float[all(bvec2(true, false)) == false ? 1 : -1] array2;
  float[all(bvec2(true, true)) == true ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
