/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (ivec4(-66, 72, 87, -75) + 12) => ivec4(-54, 84, 99, -63)
 * (ivec4(-66, 72, 87, -75) + -6) => ivec4(-72, 66, 81, -81)
 * (ivec4(-66, 72, 87, -75) + 74) => ivec4(8, 146, 161, -1)
 * (ivec4(-66, 72, 87, -75) + -32) => ivec4(-98, 40, 55, -107)
 * (ivec4(-66, 72, 87, -75) + 0) => ivec4(-66, 72, 87, -75)
 * (ivec4(66, 72, 87, 75) + 12) => ivec4(78, 84, 99, 87)
 * (ivec4(66, 72, 87, 75) + -6) => ivec4(60, 66, 81, 69)
 * (ivec4(66, 72, 87, 75) + 74) => ivec4(140, 146, 161, 149)
 * (ivec4(66, 72, 87, 75) + -32) => ivec4(34, 40, 55, 43)
 * (ivec4(66, 72, 87, 75) + 0) => ivec4(66, 72, 87, 75)
 * (ivec4(-24, 40, -23, 74) + 12) => ivec4(-12, 52, -11, 86)
 * (ivec4(-24, 40, -23, 74) + -6) => ivec4(-30, 34, -29, 68)
 * (ivec4(-24, 40, -23, 74) + 74) => ivec4(50, 114, 51, 148)
 * (ivec4(-24, 40, -23, 74) + -32) => ivec4(-56, 8, -55, 42)
 * (ivec4(-24, 40, -23, 74) + 0) => ivec4(-24, 40, -23, 74)
 * (ivec4(24, 40, 23, 74) + 12) => ivec4(36, 52, 35, 86)
 * (ivec4(24, 40, 23, 74) + -6) => ivec4(18, 34, 17, 68)
 * (ivec4(24, 40, 23, 74) + 74) => ivec4(98, 114, 97, 148)
 * (ivec4(24, 40, 23, 74) + -32) => ivec4(-8, 8, -9, 42)
 * (ivec4(24, 40, 23, 74) + 0) => ivec4(24, 40, 23, 74)
 */
#version 120

void main()
{
  float[all(equal((ivec4(-66, 72, 87, -75) + 12), ivec4(-54, 84, 99, -63))) ? 1 : -1] array0;
  float[all(equal((ivec4(-66, 72, 87, -75) + -6), ivec4(-72, 66, 81, -81))) ? 1 : -1] array1;
  float[all(equal((ivec4(-66, 72, 87, -75) + 74), ivec4(8, 146, 161, -1))) ? 1 : -1] array2;
  float[all(equal((ivec4(-66, 72, 87, -75) + -32), ivec4(-98, 40, 55, -107))) ? 1 : -1] array3;
  float[all(equal((ivec4(-66, 72, 87, -75) + 0), ivec4(-66, 72, 87, -75))) ? 1 : -1] array4;
  float[all(equal((ivec4(66, 72, 87, 75) + 12), ivec4(78, 84, 99, 87))) ? 1 : -1] array5;
  float[all(equal((ivec4(66, 72, 87, 75) + -6), ivec4(60, 66, 81, 69))) ? 1 : -1] array6;
  float[all(equal((ivec4(66, 72, 87, 75) + 74), ivec4(140, 146, 161, 149))) ? 1 : -1] array7;
  float[all(equal((ivec4(66, 72, 87, 75) + -32), ivec4(34, 40, 55, 43))) ? 1 : -1] array8;
  float[all(equal((ivec4(66, 72, 87, 75) + 0), ivec4(66, 72, 87, 75))) ? 1 : -1] array9;
  float[all(equal((ivec4(-24, 40, -23, 74) + 12), ivec4(-12, 52, -11, 86))) ? 1 : -1] array10;
  float[all(equal((ivec4(-24, 40, -23, 74) + -6), ivec4(-30, 34, -29, 68))) ? 1 : -1] array11;
  float[all(equal((ivec4(-24, 40, -23, 74) + 74), ivec4(50, 114, 51, 148))) ? 1 : -1] array12;
  float[all(equal((ivec4(-24, 40, -23, 74) + -32), ivec4(-56, 8, -55, 42))) ? 1 : -1] array13;
  float[all(equal((ivec4(-24, 40, -23, 74) + 0), ivec4(-24, 40, -23, 74))) ? 1 : -1] array14;
  float[all(equal((ivec4(24, 40, 23, 74) + 12), ivec4(36, 52, 35, 86))) ? 1 : -1] array15;
  float[all(equal((ivec4(24, 40, 23, 74) + -6), ivec4(18, 34, 17, 68))) ? 1 : -1] array16;
  float[all(equal((ivec4(24, 40, 23, 74) + 74), ivec4(98, 114, 97, 148))) ? 1 : -1] array17;
  float[all(equal((ivec4(24, 40, 23, 74) + -32), ivec4(-8, 8, -9, 42))) ? 1 : -1] array18;
  float[all(equal((ivec4(24, 40, 23, 74) + 0), ivec4(24, 40, 23, 74))) ? 1 : -1] array19;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length());
}
