/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (ivec4(-66, 72, 87, -75) / 12) => ivec4(-5, 6, 7, -6)
 * (ivec4(-66, 72, 87, -75) / -6) => ivec4(11, -12, -14, 12)
 * (ivec4(-66, 72, 87, -75) / 74) => ivec4(0, 0, 1, -1)
 * (ivec4(-66, 72, 87, -75) / -32) => ivec4(2, -2, -2, 2)
 * (ivec4(66, 72, 87, 75) / 12) => ivec4(5, 6, 7, 6)
 * (ivec4(66, 72, 87, 75) / -6) => ivec4(-11, -12, -14, -12)
 * (ivec4(66, 72, 87, 75) / 74) => ivec4(0, 0, 1, 1)
 * (ivec4(66, 72, 87, 75) / -32) => ivec4(-2, -2, -2, -2)
 * (ivec4(-24, 40, -23, 74) / 12) => ivec4(-2, 3, -1, 6)
 * (ivec4(-24, 40, -23, 74) / -6) => ivec4(4, -6, 3, -12)
 * (ivec4(-24, 40, -23, 74) / 74) => ivec4(0, 0, 0, 1)
 * (ivec4(-24, 40, -23, 74) / -32) => ivec4(0, -1, 0, -2)
 * (ivec4(24, 40, 23, 74) / 12) => ivec4(2, 3, 1, 6)
 * (ivec4(24, 40, 23, 74) / -6) => ivec4(-4, -6, -3, -12)
 * (ivec4(24, 40, 23, 74) / 74) => ivec4(0, 0, 0, 1)
 * (ivec4(24, 40, 23, 74) / -32) => ivec4(0, -1, 0, -2)
 */
#version 120

void main()
{
  float[all(equal((ivec4(-66, 72, 87, -75) / 12), ivec4(-5, 6, 7, -6))) ? 1 : -1] array0;
  float[all(equal((ivec4(-66, 72, 87, -75) / -6), ivec4(11, -12, -14, 12))) ? 1 : -1] array1;
  float[all(equal((ivec4(-66, 72, 87, -75) / 74), ivec4(0, 0, 1, -1))) ? 1 : -1] array2;
  float[all(equal((ivec4(-66, 72, 87, -75) / -32), ivec4(2, -2, -2, 2))) ? 1 : -1] array3;
  float[all(equal((ivec4(66, 72, 87, 75) / 12), ivec4(5, 6, 7, 6))) ? 1 : -1] array4;
  float[all(equal((ivec4(66, 72, 87, 75) / -6), ivec4(-11, -12, -14, -12))) ? 1 : -1] array5;
  float[all(equal((ivec4(66, 72, 87, 75) / 74), ivec4(0, 0, 1, 1))) ? 1 : -1] array6;
  float[all(equal((ivec4(66, 72, 87, 75) / -32), ivec4(-2, -2, -2, -2))) ? 1 : -1] array7;
  float[all(equal((ivec4(-24, 40, -23, 74) / 12), ivec4(-2, 3, -1, 6))) ? 1 : -1] array8;
  float[all(equal((ivec4(-24, 40, -23, 74) / -6), ivec4(4, -6, 3, -12))) ? 1 : -1] array9;
  float[all(equal((ivec4(-24, 40, -23, 74) / 74), ivec4(0, 0, 0, 1))) ? 1 : -1] array10;
  float[all(equal((ivec4(-24, 40, -23, 74) / -32), ivec4(0, -1, 0, -2))) ? 1 : -1] array11;
  float[all(equal((ivec4(24, 40, 23, 74) / 12), ivec4(2, 3, 1, 6))) ? 1 : -1] array12;
  float[all(equal((ivec4(24, 40, 23, 74) / -6), ivec4(-4, -6, -3, -12))) ? 1 : -1] array13;
  float[all(equal((ivec4(24, 40, 23, 74) / 74), ivec4(0, 0, 0, 1))) ? 1 : -1] array14;
  float[all(equal((ivec4(24, 40, 23, 74) / -32), ivec4(0, -1, 0, -2))) ? 1 : -1] array15;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length());
}
