/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (false ? 12 : 12) => 12
 * (false ? 12 : -6) => -6
 * (false ? 12 : 74) => 74
 * (false ? 12 : -32) => -32
 * (false ? 12 : 0) => 0
 * (false ? -6 : 12) => 12
 * (false ? -6 : -6) => -6
 * (false ? -6 : 74) => 74
 * (false ? -6 : -32) => -32
 * (false ? -6 : 0) => 0
 * (false ? 74 : 12) => 12
 * (false ? 74 : -6) => -6
 * (false ? 74 : 74) => 74
 * (false ? 74 : -32) => -32
 * (false ? 74 : 0) => 0
 * (false ? -32 : 12) => 12
 * (false ? -32 : -6) => -6
 * (false ? -32 : 74) => 74
 * (false ? -32 : -32) => -32
 * (false ? -32 : 0) => 0
 * (false ? 0 : 12) => 12
 * (false ? 0 : -6) => -6
 * (false ? 0 : 74) => 74
 * (false ? 0 : -32) => -32
 * (false ? 0 : 0) => 0
 * (true ? 12 : 12) => 12
 * (true ? 12 : -6) => 12
 * (true ? 12 : 74) => 12
 * (true ? 12 : -32) => 12
 * (true ? 12 : 0) => 12
 * (true ? -6 : 12) => -6
 * (true ? -6 : -6) => -6
 * (true ? -6 : 74) => -6
 * (true ? -6 : -32) => -6
 * (true ? -6 : 0) => -6
 * (true ? 74 : 12) => 74
 * (true ? 74 : -6) => 74
 * (true ? 74 : 74) => 74
 * (true ? 74 : -32) => 74
 * (true ? 74 : 0) => 74
 * (true ? -32 : 12) => -32
 * (true ? -32 : -6) => -32
 * (true ? -32 : 74) => -32
 * (true ? -32 : -32) => -32
 * (true ? -32 : 0) => -32
 * (true ? 0 : 12) => 0
 * (true ? 0 : -6) => 0
 * (true ? 0 : 74) => 0
 * (true ? 0 : -32) => 0
 * (true ? 0 : 0) => 0
 */
#version 120

void main()
{
  float[(false ? 12 : 12) == 12 ? 1 : -1] array0;
  float[(false ? 12 : -6) == -6 ? 1 : -1] array1;
  float[(false ? 12 : 74) == 74 ? 1 : -1] array2;
  float[(false ? 12 : -32) == -32 ? 1 : -1] array3;
  float[(false ? 12 : 0) == 0 ? 1 : -1] array4;
  float[(false ? -6 : 12) == 12 ? 1 : -1] array5;
  float[(false ? -6 : -6) == -6 ? 1 : -1] array6;
  float[(false ? -6 : 74) == 74 ? 1 : -1] array7;
  float[(false ? -6 : -32) == -32 ? 1 : -1] array8;
  float[(false ? -6 : 0) == 0 ? 1 : -1] array9;
  float[(false ? 74 : 12) == 12 ? 1 : -1] array10;
  float[(false ? 74 : -6) == -6 ? 1 : -1] array11;
  float[(false ? 74 : 74) == 74 ? 1 : -1] array12;
  float[(false ? 74 : -32) == -32 ? 1 : -1] array13;
  float[(false ? 74 : 0) == 0 ? 1 : -1] array14;
  float[(false ? -32 : 12) == 12 ? 1 : -1] array15;
  float[(false ? -32 : -6) == -6 ? 1 : -1] array16;
  float[(false ? -32 : 74) == 74 ? 1 : -1] array17;
  float[(false ? -32 : -32) == -32 ? 1 : -1] array18;
  float[(false ? -32 : 0) == 0 ? 1 : -1] array19;
  float[(false ? 0 : 12) == 12 ? 1 : -1] array20;
  float[(false ? 0 : -6) == -6 ? 1 : -1] array21;
  float[(false ? 0 : 74) == 74 ? 1 : -1] array22;
  float[(false ? 0 : -32) == -32 ? 1 : -1] array23;
  float[(false ? 0 : 0) == 0 ? 1 : -1] array24;
  float[(true ? 12 : 12) == 12 ? 1 : -1] array25;
  float[(true ? 12 : -6) == 12 ? 1 : -1] array26;
  float[(true ? 12 : 74) == 12 ? 1 : -1] array27;
  float[(true ? 12 : -32) == 12 ? 1 : -1] array28;
  float[(true ? 12 : 0) == 12 ? 1 : -1] array29;
  float[(true ? -6 : 12) == -6 ? 1 : -1] array30;
  float[(true ? -6 : -6) == -6 ? 1 : -1] array31;
  float[(true ? -6 : 74) == -6 ? 1 : -1] array32;
  float[(true ? -6 : -32) == -6 ? 1 : -1] array33;
  float[(true ? -6 : 0) == -6 ? 1 : -1] array34;
  float[(true ? 74 : 12) == 74 ? 1 : -1] array35;
  float[(true ? 74 : -6) == 74 ? 1 : -1] array36;
  float[(true ? 74 : 74) == 74 ? 1 : -1] array37;
  float[(true ? 74 : -32) == 74 ? 1 : -1] array38;
  float[(true ? 74 : 0) == 74 ? 1 : -1] array39;
  float[(true ? -32 : 12) == -32 ? 1 : -1] array40;
  float[(true ? -32 : -6) == -32 ? 1 : -1] array41;
  float[(true ? -32 : 74) == -32 ? 1 : -1] array42;
  float[(true ? -32 : -32) == -32 ? 1 : -1] array43;
  float[(true ? -32 : 0) == -32 ? 1 : -1] array44;
  float[(true ? 0 : 12) == 0 ? 1 : -1] array45;
  float[(true ? 0 : -6) == 0 ? 1 : -1] array46;
  float[(true ? 0 : 74) == 0 ? 1 : -1] array47;
  float[(true ? 0 : -32) == 0 ? 1 : -1] array48;
  float[(true ? 0 : 0) == 0 ? 1 : -1] array49;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length() + array20.length() + array21.length() + array22.length() + array23.length() + array24.length() + array25.length() + array26.length() + array27.length() + array28.length() + array29.length() + array30.length() + array31.length() + array32.length() + array33.length() + array34.length() + array35.length() + array36.length() + array37.length() + array38.length() + array39.length() + array40.length() + array41.length() + array42.length() + array43.length() + array44.length() + array45.length() + array46.length() + array47.length() + array48.length() + array49.length());
}
