/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (false ? ivec3(-36, 32, -88) : ivec3(-36, 32, -88)) => ivec3(-36, 32, -88)
 * (false ? ivec3(-36, 32, -88) : ivec3(36, 32, 88)) => ivec3(36, 32, 88)
 * (false ? ivec3(-36, 32, -88) : ivec3(59, 77, 68)) => ivec3(59, 77, 68)
 * (false ? ivec3(36, 32, 88) : ivec3(-36, 32, -88)) => ivec3(-36, 32, -88)
 * (false ? ivec3(36, 32, 88) : ivec3(36, 32, 88)) => ivec3(36, 32, 88)
 * (false ? ivec3(36, 32, 88) : ivec3(59, 77, 68)) => ivec3(59, 77, 68)
 * (false ? ivec3(59, 77, 68) : ivec3(-36, 32, -88)) => ivec3(-36, 32, -88)
 * (false ? ivec3(59, 77, 68) : ivec3(36, 32, 88)) => ivec3(36, 32, 88)
 * (false ? ivec3(59, 77, 68) : ivec3(59, 77, 68)) => ivec3(59, 77, 68)
 * (true ? ivec3(-36, 32, -88) : ivec3(-36, 32, -88)) => ivec3(-36, 32, -88)
 * (true ? ivec3(-36, 32, -88) : ivec3(36, 32, 88)) => ivec3(-36, 32, -88)
 * (true ? ivec3(-36, 32, -88) : ivec3(59, 77, 68)) => ivec3(-36, 32, -88)
 * (true ? ivec3(36, 32, 88) : ivec3(-36, 32, -88)) => ivec3(36, 32, 88)
 * (true ? ivec3(36, 32, 88) : ivec3(36, 32, 88)) => ivec3(36, 32, 88)
 * (true ? ivec3(36, 32, 88) : ivec3(59, 77, 68)) => ivec3(36, 32, 88)
 * (true ? ivec3(59, 77, 68) : ivec3(-36, 32, -88)) => ivec3(59, 77, 68)
 * (true ? ivec3(59, 77, 68) : ivec3(36, 32, 88)) => ivec3(59, 77, 68)
 * (true ? ivec3(59, 77, 68) : ivec3(59, 77, 68)) => ivec3(59, 77, 68)
 */
#version 120

void main()
{
  float[all(equal((false ? ivec3(-36, 32, -88) : ivec3(-36, 32, -88)), ivec3(-36, 32, -88))) ? 1 : -1] array0;
  float[all(equal((false ? ivec3(-36, 32, -88) : ivec3(36, 32, 88)), ivec3(36, 32, 88))) ? 1 : -1] array1;
  float[all(equal((false ? ivec3(-36, 32, -88) : ivec3(59, 77, 68)), ivec3(59, 77, 68))) ? 1 : -1] array2;
  float[all(equal((false ? ivec3(36, 32, 88) : ivec3(-36, 32, -88)), ivec3(-36, 32, -88))) ? 1 : -1] array3;
  float[all(equal((false ? ivec3(36, 32, 88) : ivec3(36, 32, 88)), ivec3(36, 32, 88))) ? 1 : -1] array4;
  float[all(equal((false ? ivec3(36, 32, 88) : ivec3(59, 77, 68)), ivec3(59, 77, 68))) ? 1 : -1] array5;
  float[all(equal((false ? ivec3(59, 77, 68) : ivec3(-36, 32, -88)), ivec3(-36, 32, -88))) ? 1 : -1] array6;
  float[all(equal((false ? ivec3(59, 77, 68) : ivec3(36, 32, 88)), ivec3(36, 32, 88))) ? 1 : -1] array7;
  float[all(equal((false ? ivec3(59, 77, 68) : ivec3(59, 77, 68)), ivec3(59, 77, 68))) ? 1 : -1] array8;
  float[all(equal((true ? ivec3(-36, 32, -88) : ivec3(-36, 32, -88)), ivec3(-36, 32, -88))) ? 1 : -1] array9;
  float[all(equal((true ? ivec3(-36, 32, -88) : ivec3(36, 32, 88)), ivec3(-36, 32, -88))) ? 1 : -1] array10;
  float[all(equal((true ? ivec3(-36, 32, -88) : ivec3(59, 77, 68)), ivec3(-36, 32, -88))) ? 1 : -1] array11;
  float[all(equal((true ? ivec3(36, 32, 88) : ivec3(-36, 32, -88)), ivec3(36, 32, 88))) ? 1 : -1] array12;
  float[all(equal((true ? ivec3(36, 32, 88) : ivec3(36, 32, 88)), ivec3(36, 32, 88))) ? 1 : -1] array13;
  float[all(equal((true ? ivec3(36, 32, 88) : ivec3(59, 77, 68)), ivec3(36, 32, 88))) ? 1 : -1] array14;
  float[all(equal((true ? ivec3(59, 77, 68) : ivec3(-36, 32, -88)), ivec3(59, 77, 68))) ? 1 : -1] array15;
  float[all(equal((true ? ivec3(59, 77, 68) : ivec3(36, 32, 88)), ivec3(59, 77, 68))) ? 1 : -1] array16;
  float[all(equal((true ? ivec3(59, 77, 68) : ivec3(59, 77, 68)), ivec3(59, 77, 68))) ? 1 : -1] array17;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length());
}
