/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (ivec4(-66, 72, 87, -75) - 12) => ivec4(-78, 60, 75, -87)
 * (ivec4(-66, 72, 87, -75) - -6) => ivec4(-60, 78, 93, -69)
 * (ivec4(-66, 72, 87, -75) - 74) => ivec4(-140, -2, 13, -149)
 * (ivec4(-66, 72, 87, -75) - -32) => ivec4(-34, 104, 119, -43)
 * (ivec4(-66, 72, 87, -75) - 0) => ivec4(-66, 72, 87, -75)
 * (ivec4(66, 72, 87, 75) - 12) => ivec4(54, 60, 75, 63)
 * (ivec4(66, 72, 87, 75) - -6) => ivec4(72, 78, 93, 81)
 * (ivec4(66, 72, 87, 75) - 74) => ivec4(-8, -2, 13, 1)
 * (ivec4(66, 72, 87, 75) - -32) => ivec4(98, 104, 119, 107)
 * (ivec4(66, 72, 87, 75) - 0) => ivec4(66, 72, 87, 75)
 * (ivec4(-24, 40, -23, 74) - 12) => ivec4(-36, 28, -35, 62)
 * (ivec4(-24, 40, -23, 74) - -6) => ivec4(-18, 46, -17, 80)
 * (ivec4(-24, 40, -23, 74) - 74) => ivec4(-98, -34, -97, 0)
 * (ivec4(-24, 40, -23, 74) - -32) => ivec4(8, 72, 9, 106)
 * (ivec4(-24, 40, -23, 74) - 0) => ivec4(-24, 40, -23, 74)
 * (ivec4(24, 40, 23, 74) - 12) => ivec4(12, 28, 11, 62)
 * (ivec4(24, 40, 23, 74) - -6) => ivec4(30, 46, 29, 80)
 * (ivec4(24, 40, 23, 74) - 74) => ivec4(-50, -34, -51, 0)
 * (ivec4(24, 40, 23, 74) - -32) => ivec4(56, 72, 55, 106)
 * (ivec4(24, 40, 23, 74) - 0) => ivec4(24, 40, 23, 74)
 */
#version 120

void main()
{
  float[all(equal((ivec4(-66, 72, 87, -75) - 12), ivec4(-78, 60, 75, -87))) ? 1 : -1] array0;
  float[all(equal((ivec4(-66, 72, 87, -75) - -6), ivec4(-60, 78, 93, -69))) ? 1 : -1] array1;
  float[all(equal((ivec4(-66, 72, 87, -75) - 74), ivec4(-140, -2, 13, -149))) ? 1 : -1] array2;
  float[all(equal((ivec4(-66, 72, 87, -75) - -32), ivec4(-34, 104, 119, -43))) ? 1 : -1] array3;
  float[all(equal((ivec4(-66, 72, 87, -75) - 0), ivec4(-66, 72, 87, -75))) ? 1 : -1] array4;
  float[all(equal((ivec4(66, 72, 87, 75) - 12), ivec4(54, 60, 75, 63))) ? 1 : -1] array5;
  float[all(equal((ivec4(66, 72, 87, 75) - -6), ivec4(72, 78, 93, 81))) ? 1 : -1] array6;
  float[all(equal((ivec4(66, 72, 87, 75) - 74), ivec4(-8, -2, 13, 1))) ? 1 : -1] array7;
  float[all(equal((ivec4(66, 72, 87, 75) - -32), ivec4(98, 104, 119, 107))) ? 1 : -1] array8;
  float[all(equal((ivec4(66, 72, 87, 75) - 0), ivec4(66, 72, 87, 75))) ? 1 : -1] array9;
  float[all(equal((ivec4(-24, 40, -23, 74) - 12), ivec4(-36, 28, -35, 62))) ? 1 : -1] array10;
  float[all(equal((ivec4(-24, 40, -23, 74) - -6), ivec4(-18, 46, -17, 80))) ? 1 : -1] array11;
  float[all(equal((ivec4(-24, 40, -23, 74) - 74), ivec4(-98, -34, -97, 0))) ? 1 : -1] array12;
  float[all(equal((ivec4(-24, 40, -23, 74) - -32), ivec4(8, 72, 9, 106))) ? 1 : -1] array13;
  float[all(equal((ivec4(-24, 40, -23, 74) - 0), ivec4(-24, 40, -23, 74))) ? 1 : -1] array14;
  float[all(equal((ivec4(24, 40, 23, 74) - 12), ivec4(12, 28, 11, 62))) ? 1 : -1] array15;
  float[all(equal((ivec4(24, 40, 23, 74) - -6), ivec4(30, 46, 29, 80))) ? 1 : -1] array16;
  float[all(equal((ivec4(24, 40, 23, 74) - 74), ivec4(-50, -34, -51, 0))) ? 1 : -1] array17;
  float[all(equal((ivec4(24, 40, 23, 74) - -32), ivec4(56, 72, 55, 106))) ? 1 : -1] array18;
  float[all(equal((ivec4(24, 40, 23, 74) - 0), ivec4(24, 40, 23, 74))) ? 1 : -1] array19;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length());
}
