/* [config]
 * expect_result: pass
 * glsl_version: 1.20
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * radians(vec2(-180.0, -60.0)) => vec2(-3.1415927, -1.0471976)
 * radians(vec2(60.0, 180.0)) => vec2(1.0471976, 3.1415927)
 */
#version 120

void main()
{
  float[distance(radians(vec2(-180.0, -60.0)), vec2(-3.1415927, -1.0471976)) <= 3.3115295e-05 ? 1 : -1] array0;
  float[distance(radians(vec2(60.0, 180.0)), vec2(1.0471976, 3.1415927)) <= 3.3115295e-05 ? 1 : -1] array1;
  gl_Position = vec4(array0.length() + array1.length());
}
