/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * mix(vec3(-2.0, -2.0, -2.0), vec3(-3.0, -3.0, 3.0), bvec3(true, false, true)) => vec3(-3.0, -2.0, 3.0)
 * mix(vec3(-2.0, 2.0, 2.0), vec3(3.0, -3.0, -3.0), bvec3(false, true, false)) => vec3(-2.0, -3.0, 2.0)
 * mix(vec3(2.0, 2.0, -2.0), vec3(3.0, 3.0, -3.0), bvec3(true, false, true)) => vec3(3.0, 2.0, -3.0)
 */
#version 130

void main()
{
  float[distance(mix(vec3(-2.0, -2.0, -2.0), vec3(-3.0, -3.0, 3.0), bvec3(true, false, true)), vec3(-3.0, -2.0, 3.0)) <= 4.6904155e-05 ? 1 : -1] array0;
  float[distance(mix(vec3(-2.0, 2.0, 2.0), vec3(3.0, -3.0, -3.0), bvec3(false, true, false)), vec3(-2.0, -3.0, 2.0)) <= 4.1231055e-05 ? 1 : -1] array1;
  float[distance(mix(vec3(2.0, 2.0, -2.0), vec3(3.0, 3.0, -3.0), bvec3(true, false, true)), vec3(3.0, 2.0, -3.0)) <= 4.6904155e-05 ? 1 : -1] array2;
  gl_Position = vec4(array0.length() + array1.length() + array2.length());
}
