/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec2(38u, 35u) + uvec2(38u, 35u)) => uvec2(76u, 70u)
 * (uvec2(38u, 35u) + uvec2(64u, 9u)) => uvec2(102u, 44u)
 * (uvec2(64u, 9u) + uvec2(38u, 35u)) => uvec2(102u, 44u)
 * (uvec2(64u, 9u) + uvec2(64u, 9u)) => uvec2(128u, 18u)
 */
#version 130

void main()
{
  float[all(equal((uvec2(38u, 35u) + uvec2(38u, 35u)), uvec2(76u, 70u))) ? 1 : -1] array0;
  float[all(equal((uvec2(38u, 35u) + uvec2(64u, 9u)), uvec2(102u, 44u))) ? 1 : -1] array1;
  float[all(equal((uvec2(64u, 9u) + uvec2(38u, 35u)), uvec2(102u, 44u))) ? 1 : -1] array2;
  float[all(equal((uvec2(64u, 9u) + uvec2(64u, 9u)), uvec2(128u, 18u))) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
