/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (ivec4(-66, 72, 87, -75) & 12) => ivec4(12, 8, 4, 4)
 * (ivec4(-66, 72, 87, -75) & -6) => ivec4(-70, 72, 82, -80)
 * (ivec4(-66, 72, 87, -75) & 74) => ivec4(10, 72, 66, 0)
 * (ivec4(-66, 72, 87, -75) & -32) => ivec4(-96, 64, 64, -96)
 * (ivec4(-66, 72, 87, -75) & 0) => ivec4(0, 0, 0, 0)
 * (ivec4(66, 72, 87, 75) & 12) => ivec4(0, 8, 4, 8)
 * (ivec4(66, 72, 87, 75) & -6) => ivec4(66, 72, 82, 74)
 * (ivec4(66, 72, 87, 75) & 74) => ivec4(66, 72, 66, 74)
 * (ivec4(66, 72, 87, 75) & -32) => ivec4(64, 64, 64, 64)
 * (ivec4(66, 72, 87, 75) & 0) => ivec4(0, 0, 0, 0)
 * (ivec4(-24, 40, -23, 74) & 12) => ivec4(8, 8, 8, 8)
 * (ivec4(-24, 40, -23, 74) & -6) => ivec4(-24, 40, -24, 74)
 * (ivec4(-24, 40, -23, 74) & 74) => ivec4(72, 8, 72, 74)
 * (ivec4(-24, 40, -23, 74) & -32) => ivec4(-32, 32, -32, 64)
 * (ivec4(-24, 40, -23, 74) & 0) => ivec4(0, 0, 0, 0)
 * (ivec4(24, 40, 23, 74) & 12) => ivec4(8, 8, 4, 8)
 * (ivec4(24, 40, 23, 74) & -6) => ivec4(24, 40, 18, 74)
 * (ivec4(24, 40, 23, 74) & 74) => ivec4(8, 8, 2, 74)
 * (ivec4(24, 40, 23, 74) & -32) => ivec4(0, 32, 0, 64)
 * (ivec4(24, 40, 23, 74) & 0) => ivec4(0, 0, 0, 0)
 */
#version 130

void main()
{
  float[all(equal((ivec4(-66, 72, 87, -75) & 12), ivec4(12, 8, 4, 4))) ? 1 : -1] array0;
  float[all(equal((ivec4(-66, 72, 87, -75) & -6), ivec4(-70, 72, 82, -80))) ? 1 : -1] array1;
  float[all(equal((ivec4(-66, 72, 87, -75) & 74), ivec4(10, 72, 66, 0))) ? 1 : -1] array2;
  float[all(equal((ivec4(-66, 72, 87, -75) & -32), ivec4(-96, 64, 64, -96))) ? 1 : -1] array3;
  float[all(equal((ivec4(-66, 72, 87, -75) & 0), ivec4(0, 0, 0, 0))) ? 1 : -1] array4;
  float[all(equal((ivec4(66, 72, 87, 75) & 12), ivec4(0, 8, 4, 8))) ? 1 : -1] array5;
  float[all(equal((ivec4(66, 72, 87, 75) & -6), ivec4(66, 72, 82, 74))) ? 1 : -1] array6;
  float[all(equal((ivec4(66, 72, 87, 75) & 74), ivec4(66, 72, 66, 74))) ? 1 : -1] array7;
  float[all(equal((ivec4(66, 72, 87, 75) & -32), ivec4(64, 64, 64, 64))) ? 1 : -1] array8;
  float[all(equal((ivec4(66, 72, 87, 75) & 0), ivec4(0, 0, 0, 0))) ? 1 : -1] array9;
  float[all(equal((ivec4(-24, 40, -23, 74) & 12), ivec4(8, 8, 8, 8))) ? 1 : -1] array10;
  float[all(equal((ivec4(-24, 40, -23, 74) & -6), ivec4(-24, 40, -24, 74))) ? 1 : -1] array11;
  float[all(equal((ivec4(-24, 40, -23, 74) & 74), ivec4(72, 8, 72, 74))) ? 1 : -1] array12;
  float[all(equal((ivec4(-24, 40, -23, 74) & -32), ivec4(-32, 32, -32, 64))) ? 1 : -1] array13;
  float[all(equal((ivec4(-24, 40, -23, 74) & 0), ivec4(0, 0, 0, 0))) ? 1 : -1] array14;
  float[all(equal((ivec4(24, 40, 23, 74) & 12), ivec4(8, 8, 4, 8))) ? 1 : -1] array15;
  float[all(equal((ivec4(24, 40, 23, 74) & -6), ivec4(24, 40, 18, 74))) ? 1 : -1] array16;
  float[all(equal((ivec4(24, 40, 23, 74) & 74), ivec4(8, 8, 2, 74))) ? 1 : -1] array17;
  float[all(equal((ivec4(24, 40, 23, 74) & -32), ivec4(0, 32, 0, 64))) ? 1 : -1] array18;
  float[all(equal((ivec4(24, 40, 23, 74) & 0), ivec4(0, 0, 0, 0))) ? 1 : -1] array19;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length());
}
