/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (12 | ivec4(-66, 72, 87, -75)) => ivec4(-66, 76, 95, -67)
 * (12 | ivec4(66, 72, 87, 75)) => ivec4(78, 76, 95, 79)
 * (12 | ivec4(-24, 40, -23, 74)) => ivec4(-20, 44, -19, 78)
 * (12 | ivec4(24, 40, 23, 74)) => ivec4(28, 44, 31, 78)
 * (-6 | ivec4(-66, 72, 87, -75)) => ivec4(-2, -6, -1, -1)
 * (-6 | ivec4(66, 72, 87, 75)) => ivec4(-6, -6, -1, -5)
 * (-6 | ivec4(-24, 40, -23, 74)) => ivec4(-6, -6, -5, -6)
 * (-6 | ivec4(24, 40, 23, 74)) => ivec4(-6, -6, -1, -6)
 * (74 | ivec4(-66, 72, 87, -75)) => ivec4(-2, 74, 95, -1)
 * (74 | ivec4(66, 72, 87, 75)) => ivec4(74, 74, 95, 75)
 * (74 | ivec4(-24, 40, -23, 74)) => ivec4(-22, 106, -21, 74)
 * (74 | ivec4(24, 40, 23, 74)) => ivec4(90, 106, 95, 74)
 * (-32 | ivec4(-66, 72, 87, -75)) => ivec4(-2, -24, -9, -11)
 * (-32 | ivec4(66, 72, 87, 75)) => ivec4(-30, -24, -9, -21)
 * (-32 | ivec4(-24, 40, -23, 74)) => ivec4(-24, -24, -23, -22)
 * (-32 | ivec4(24, 40, 23, 74)) => ivec4(-8, -24, -9, -22)
 * (0 | ivec4(-66, 72, 87, -75)) => ivec4(-66, 72, 87, -75)
 * (0 | ivec4(66, 72, 87, 75)) => ivec4(66, 72, 87, 75)
 * (0 | ivec4(-24, 40, -23, 74)) => ivec4(-24, 40, -23, 74)
 * (0 | ivec4(24, 40, 23, 74)) => ivec4(24, 40, 23, 74)
 */
#version 130

void main()
{
  float[all(equal((12 | ivec4(-66, 72, 87, -75)), ivec4(-66, 76, 95, -67))) ? 1 : -1] array0;
  float[all(equal((12 | ivec4(66, 72, 87, 75)), ivec4(78, 76, 95, 79))) ? 1 : -1] array1;
  float[all(equal((12 | ivec4(-24, 40, -23, 74)), ivec4(-20, 44, -19, 78))) ? 1 : -1] array2;
  float[all(equal((12 | ivec4(24, 40, 23, 74)), ivec4(28, 44, 31, 78))) ? 1 : -1] array3;
  float[all(equal((-6 | ivec4(-66, 72, 87, -75)), ivec4(-2, -6, -1, -1))) ? 1 : -1] array4;
  float[all(equal((-6 | ivec4(66, 72, 87, 75)), ivec4(-6, -6, -1, -5))) ? 1 : -1] array5;
  float[all(equal((-6 | ivec4(-24, 40, -23, 74)), ivec4(-6, -6, -5, -6))) ? 1 : -1] array6;
  float[all(equal((-6 | ivec4(24, 40, 23, 74)), ivec4(-6, -6, -1, -6))) ? 1 : -1] array7;
  float[all(equal((74 | ivec4(-66, 72, 87, -75)), ivec4(-2, 74, 95, -1))) ? 1 : -1] array8;
  float[all(equal((74 | ivec4(66, 72, 87, 75)), ivec4(74, 74, 95, 75))) ? 1 : -1] array9;
  float[all(equal((74 | ivec4(-24, 40, -23, 74)), ivec4(-22, 106, -21, 74))) ? 1 : -1] array10;
  float[all(equal((74 | ivec4(24, 40, 23, 74)), ivec4(90, 106, 95, 74))) ? 1 : -1] array11;
  float[all(equal((-32 | ivec4(-66, 72, 87, -75)), ivec4(-2, -24, -9, -11))) ? 1 : -1] array12;
  float[all(equal((-32 | ivec4(66, 72, 87, 75)), ivec4(-30, -24, -9, -21))) ? 1 : -1] array13;
  float[all(equal((-32 | ivec4(-24, 40, -23, 74)), ivec4(-24, -24, -23, -22))) ? 1 : -1] array14;
  float[all(equal((-32 | ivec4(24, 40, 23, 74)), ivec4(-8, -24, -9, -22))) ? 1 : -1] array15;
  float[all(equal((0 | ivec4(-66, 72, 87, -75)), ivec4(-66, 72, 87, -75))) ? 1 : -1] array16;
  float[all(equal((0 | ivec4(66, 72, 87, 75)), ivec4(66, 72, 87, 75))) ? 1 : -1] array17;
  float[all(equal((0 | ivec4(-24, 40, -23, 74)), ivec4(-24, 40, -23, 74))) ? 1 : -1] array18;
  float[all(equal((0 | ivec4(24, 40, 23, 74)), ivec4(24, 40, 23, 74))) ? 1 : -1] array19;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length());
}
