/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (ivec3(-36, 32, -88) | ivec3(-36, 32, -88)) => ivec3(-36, 32, -88)
 * (ivec3(-36, 32, -88) | ivec3(36, 32, 88)) => ivec3(-4, 32, -8)
 * (ivec3(-36, 32, -88) | ivec3(59, 77, 68)) => ivec3(-1, 109, -20)
 * (ivec3(36, 32, 88) | ivec3(-36, 32, -88)) => ivec3(-4, 32, -8)
 * (ivec3(36, 32, 88) | ivec3(36, 32, 88)) => ivec3(36, 32, 88)
 * (ivec3(36, 32, 88) | ivec3(59, 77, 68)) => ivec3(63, 109, 92)
 * (ivec3(59, 77, 68) | ivec3(-36, 32, -88)) => ivec3(-1, 109, -20)
 * (ivec3(59, 77, 68) | ivec3(36, 32, 88)) => ivec3(63, 109, 92)
 * (ivec3(59, 77, 68) | ivec3(59, 77, 68)) => ivec3(59, 77, 68)
 */
#version 130

void main()
{
  float[all(equal((ivec3(-36, 32, -88) | ivec3(-36, 32, -88)), ivec3(-36, 32, -88))) ? 1 : -1] array0;
  float[all(equal((ivec3(-36, 32, -88) | ivec3(36, 32, 88)), ivec3(-4, 32, -8))) ? 1 : -1] array1;
  float[all(equal((ivec3(-36, 32, -88) | ivec3(59, 77, 68)), ivec3(-1, 109, -20))) ? 1 : -1] array2;
  float[all(equal((ivec3(36, 32, 88) | ivec3(-36, 32, -88)), ivec3(-4, 32, -8))) ? 1 : -1] array3;
  float[all(equal((ivec3(36, 32, 88) | ivec3(36, 32, 88)), ivec3(36, 32, 88))) ? 1 : -1] array4;
  float[all(equal((ivec3(36, 32, 88) | ivec3(59, 77, 68)), ivec3(63, 109, 92))) ? 1 : -1] array5;
  float[all(equal((ivec3(59, 77, 68) | ivec3(-36, 32, -88)), ivec3(-1, 109, -20))) ? 1 : -1] array6;
  float[all(equal((ivec3(59, 77, 68) | ivec3(36, 32, 88)), ivec3(63, 109, 92))) ? 1 : -1] array7;
  float[all(equal((ivec3(59, 77, 68) | ivec3(59, 77, 68)), ivec3(59, 77, 68))) ? 1 : -1] array8;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length());
}
