/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (12 ^ ivec4(-66, 72, 87, -75)) => ivec4(-78, 68, 91, -71)
 * (12 ^ ivec4(66, 72, 87, 75)) => ivec4(78, 68, 91, 71)
 * (12 ^ ivec4(-24, 40, -23, 74)) => ivec4(-28, 36, -27, 70)
 * (12 ^ ivec4(24, 40, 23, 74)) => ivec4(20, 36, 27, 70)
 * (-6 ^ ivec4(-66, 72, 87, -75)) => ivec4(68, -78, -83, 79)
 * (-6 ^ ivec4(66, 72, 87, 75)) => ivec4(-72, -78, -83, -79)
 * (-6 ^ ivec4(-24, 40, -23, 74)) => ivec4(18, -46, 19, -80)
 * (-6 ^ ivec4(24, 40, 23, 74)) => ivec4(-30, -46, -19, -80)
 * (74 ^ ivec4(-66, 72, 87, -75)) => ivec4(-12, 2, 29, -1)
 * (74 ^ ivec4(66, 72, 87, 75)) => ivec4(8, 2, 29, 1)
 * (74 ^ ivec4(-24, 40, -23, 74)) => ivec4(-94, 98, -93, 0)
 * (74 ^ ivec4(24, 40, 23, 74)) => ivec4(82, 98, 93, 0)
 * (-32 ^ ivec4(-66, 72, 87, -75)) => ivec4(94, -88, -73, 85)
 * (-32 ^ ivec4(66, 72, 87, 75)) => ivec4(-94, -88, -73, -85)
 * (-32 ^ ivec4(-24, 40, -23, 74)) => ivec4(8, -56, 9, -86)
 * (-32 ^ ivec4(24, 40, 23, 74)) => ivec4(-8, -56, -9, -86)
 * (0 ^ ivec4(-66, 72, 87, -75)) => ivec4(-66, 72, 87, -75)
 * (0 ^ ivec4(66, 72, 87, 75)) => ivec4(66, 72, 87, 75)
 * (0 ^ ivec4(-24, 40, -23, 74)) => ivec4(-24, 40, -23, 74)
 * (0 ^ ivec4(24, 40, 23, 74)) => ivec4(24, 40, 23, 74)
 */
#version 130

void main()
{
  float[all(equal((12 ^ ivec4(-66, 72, 87, -75)), ivec4(-78, 68, 91, -71))) ? 1 : -1] array0;
  float[all(equal((12 ^ ivec4(66, 72, 87, 75)), ivec4(78, 68, 91, 71))) ? 1 : -1] array1;
  float[all(equal((12 ^ ivec4(-24, 40, -23, 74)), ivec4(-28, 36, -27, 70))) ? 1 : -1] array2;
  float[all(equal((12 ^ ivec4(24, 40, 23, 74)), ivec4(20, 36, 27, 70))) ? 1 : -1] array3;
  float[all(equal((-6 ^ ivec4(-66, 72, 87, -75)), ivec4(68, -78, -83, 79))) ? 1 : -1] array4;
  float[all(equal((-6 ^ ivec4(66, 72, 87, 75)), ivec4(-72, -78, -83, -79))) ? 1 : -1] array5;
  float[all(equal((-6 ^ ivec4(-24, 40, -23, 74)), ivec4(18, -46, 19, -80))) ? 1 : -1] array6;
  float[all(equal((-6 ^ ivec4(24, 40, 23, 74)), ivec4(-30, -46, -19, -80))) ? 1 : -1] array7;
  float[all(equal((74 ^ ivec4(-66, 72, 87, -75)), ivec4(-12, 2, 29, -1))) ? 1 : -1] array8;
  float[all(equal((74 ^ ivec4(66, 72, 87, 75)), ivec4(8, 2, 29, 1))) ? 1 : -1] array9;
  float[all(equal((74 ^ ivec4(-24, 40, -23, 74)), ivec4(-94, 98, -93, 0))) ? 1 : -1] array10;
  float[all(equal((74 ^ ivec4(24, 40, 23, 74)), ivec4(82, 98, 93, 0))) ? 1 : -1] array11;
  float[all(equal((-32 ^ ivec4(-66, 72, 87, -75)), ivec4(94, -88, -73, 85))) ? 1 : -1] array12;
  float[all(equal((-32 ^ ivec4(66, 72, 87, 75)), ivec4(-94, -88, -73, -85))) ? 1 : -1] array13;
  float[all(equal((-32 ^ ivec4(-24, 40, -23, 74)), ivec4(8, -56, 9, -86))) ? 1 : -1] array14;
  float[all(equal((-32 ^ ivec4(24, 40, 23, 74)), ivec4(-8, -56, -9, -86))) ? 1 : -1] array15;
  float[all(equal((0 ^ ivec4(-66, 72, 87, -75)), ivec4(-66, 72, 87, -75))) ? 1 : -1] array16;
  float[all(equal((0 ^ ivec4(66, 72, 87, 75)), ivec4(66, 72, 87, 75))) ? 1 : -1] array17;
  float[all(equal((0 ^ ivec4(-24, 40, -23, 74)), ivec4(-24, 40, -23, 74))) ? 1 : -1] array18;
  float[all(equal((0 ^ ivec4(24, 40, 23, 74)), ivec4(24, 40, 23, 74))) ? 1 : -1] array19;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length());
}
