/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (~ ivec4(-66, 72, 87, -75)) => ivec4(65, -73, -88, 74)
 * (~ ivec4(66, 72, 87, 75)) => ivec4(-67, -73, -88, -76)
 * (~ ivec4(-24, 40, -23, 74)) => ivec4(23, -41, 22, -75)
 * (~ ivec4(24, 40, 23, 74)) => ivec4(-25, -41, -24, -75)
 */
#version 130

void main()
{
  float[all(equal((~ ivec4(-66, 72, 87, -75)), ivec4(65, -73, -88, 74))) ? 1 : -1] array0;
  float[all(equal((~ ivec4(66, 72, 87, 75)), ivec4(-67, -73, -88, -76))) ? 1 : -1] array1;
  float[all(equal((~ ivec4(-24, 40, -23, 74)), ivec4(23, -41, 22, -75))) ? 1 : -1] array2;
  float[all(equal((~ ivec4(24, 40, 23, 74)), ivec4(-25, -41, -24, -75))) ? 1 : -1] array3;
  gl_Position = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
