/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (ivec4(66, 72, 87, 75) % 12) => ivec4(6, 0, 3, 3)
 * (ivec4(66, 72, 87, 75) % 74) => ivec4(66, 72, 13, 1)
 * (ivec4(24, 40, 23, 74) % 12) => ivec4(0, 4, 11, 2)
 * (ivec4(24, 40, 23, 74) % 74) => ivec4(24, 40, 23, 0)
 */
#version 130

void main()
{
  float[all(equal((ivec4(66, 72, 87, 75) % 12), ivec4(6, 0, 3, 3))) ? 1 : -1] array0;
  float[all(equal((ivec4(66, 72, 87, 75) % 74), ivec4(66, 72, 13, 1))) ? 1 : -1] array1;
  float[all(equal((ivec4(24, 40, 23, 74) % 12), ivec4(0, 4, 11, 2))) ? 1 : -1] array2;
  float[all(equal((ivec4(24, 40, 23, 74) % 74), ivec4(24, 40, 23, 0))) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
