/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (-31 >> 0) => -31
 * (-31 >> 1) => -16
 * (-31 >> 2) => -8
 * (-31 >> 5) => -1
 * (-31 >> 25) => -1
 * (-31 >> 31) => -1
 * (-25 >> 0) => -25
 * (-25 >> 1) => -13
 * (-25 >> 2) => -7
 * (-25 >> 5) => -1
 * (-25 >> 25) => -1
 * (-25 >> 31) => -1
 * (-5 >> 0) => -5
 * (-5 >> 1) => -3
 * (-5 >> 2) => -2
 * (-5 >> 5) => -1
 * (-5 >> 25) => -1
 * (-5 >> 31) => -1
 * (-2 >> 0) => -2
 * (-2 >> 1) => -1
 * (-2 >> 2) => -1
 * (-2 >> 5) => -1
 * (-2 >> 25) => -1
 * (-2 >> 31) => -1
 * (-1 >> 0) => -1
 * (-1 >> 1) => -1
 * (-1 >> 2) => -1
 * (-1 >> 5) => -1
 * (-1 >> 25) => -1
 * (-1 >> 31) => -1
 * (0 >> 0) => 0
 * (0 >> 1) => 0
 * (0 >> 2) => 0
 * (0 >> 5) => 0
 * (0 >> 25) => 0
 * (0 >> 31) => 0
 * (1 >> 0) => 1
 * (1 >> 1) => 0
 * (1 >> 2) => 0
 * (1 >> 5) => 0
 * (1 >> 25) => 0
 * (1 >> 31) => 0
 * (2 >> 0) => 2
 * (2 >> 1) => 1
 * (2 >> 2) => 0
 * (2 >> 5) => 0
 * (2 >> 25) => 0
 * (2 >> 31) => 0
 * (5 >> 0) => 5
 * (5 >> 1) => 2
 * (5 >> 2) => 1
 * (5 >> 5) => 0
 * (5 >> 25) => 0
 * (5 >> 31) => 0
 * (25 >> 0) => 25
 * (25 >> 1) => 12
 * (25 >> 2) => 6
 * (25 >> 5) => 0
 * (25 >> 25) => 0
 * (25 >> 31) => 0
 * (31 >> 0) => 31
 * (31 >> 1) => 15
 * (31 >> 2) => 7
 * (31 >> 5) => 0
 * (31 >> 25) => 0
 * (31 >> 31) => 0
 */
#version 130

void main()
{
  float[(-31 >> 0) == -31 ? 1 : -1] array0;
  float[(-31 >> 1) == -16 ? 1 : -1] array1;
  float[(-31 >> 2) == -8 ? 1 : -1] array2;
  float[(-31 >> 5) == -1 ? 1 : -1] array3;
  float[(-31 >> 25) == -1 ? 1 : -1] array4;
  float[(-31 >> 31) == -1 ? 1 : -1] array5;
  float[(-25 >> 0) == -25 ? 1 : -1] array6;
  float[(-25 >> 1) == -13 ? 1 : -1] array7;
  float[(-25 >> 2) == -7 ? 1 : -1] array8;
  float[(-25 >> 5) == -1 ? 1 : -1] array9;
  float[(-25 >> 25) == -1 ? 1 : -1] array10;
  float[(-25 >> 31) == -1 ? 1 : -1] array11;
  float[(-5 >> 0) == -5 ? 1 : -1] array12;
  float[(-5 >> 1) == -3 ? 1 : -1] array13;
  float[(-5 >> 2) == -2 ? 1 : -1] array14;
  float[(-5 >> 5) == -1 ? 1 : -1] array15;
  float[(-5 >> 25) == -1 ? 1 : -1] array16;
  float[(-5 >> 31) == -1 ? 1 : -1] array17;
  float[(-2 >> 0) == -2 ? 1 : -1] array18;
  float[(-2 >> 1) == -1 ? 1 : -1] array19;
  float[(-2 >> 2) == -1 ? 1 : -1] array20;
  float[(-2 >> 5) == -1 ? 1 : -1] array21;
  float[(-2 >> 25) == -1 ? 1 : -1] array22;
  float[(-2 >> 31) == -1 ? 1 : -1] array23;
  float[(-1 >> 0) == -1 ? 1 : -1] array24;
  float[(-1 >> 1) == -1 ? 1 : -1] array25;
  float[(-1 >> 2) == -1 ? 1 : -1] array26;
  float[(-1 >> 5) == -1 ? 1 : -1] array27;
  float[(-1 >> 25) == -1 ? 1 : -1] array28;
  float[(-1 >> 31) == -1 ? 1 : -1] array29;
  float[(0 >> 0) == 0 ? 1 : -1] array30;
  float[(0 >> 1) == 0 ? 1 : -1] array31;
  float[(0 >> 2) == 0 ? 1 : -1] array32;
  float[(0 >> 5) == 0 ? 1 : -1] array33;
  float[(0 >> 25) == 0 ? 1 : -1] array34;
  float[(0 >> 31) == 0 ? 1 : -1] array35;
  float[(1 >> 0) == 1 ? 1 : -1] array36;
  float[(1 >> 1) == 0 ? 1 : -1] array37;
  float[(1 >> 2) == 0 ? 1 : -1] array38;
  float[(1 >> 5) == 0 ? 1 : -1] array39;
  float[(1 >> 25) == 0 ? 1 : -1] array40;
  float[(1 >> 31) == 0 ? 1 : -1] array41;
  float[(2 >> 0) == 2 ? 1 : -1] array42;
  float[(2 >> 1) == 1 ? 1 : -1] array43;
  float[(2 >> 2) == 0 ? 1 : -1] array44;
  float[(2 >> 5) == 0 ? 1 : -1] array45;
  float[(2 >> 25) == 0 ? 1 : -1] array46;
  float[(2 >> 31) == 0 ? 1 : -1] array47;
  float[(5 >> 0) == 5 ? 1 : -1] array48;
  float[(5 >> 1) == 2 ? 1 : -1] array49;
  float[(5 >> 2) == 1 ? 1 : -1] array50;
  float[(5 >> 5) == 0 ? 1 : -1] array51;
  float[(5 >> 25) == 0 ? 1 : -1] array52;
  float[(5 >> 31) == 0 ? 1 : -1] array53;
  float[(25 >> 0) == 25 ? 1 : -1] array54;
  float[(25 >> 1) == 12 ? 1 : -1] array55;
  float[(25 >> 2) == 6 ? 1 : -1] array56;
  float[(25 >> 5) == 0 ? 1 : -1] array57;
  float[(25 >> 25) == 0 ? 1 : -1] array58;
  float[(25 >> 31) == 0 ? 1 : -1] array59;
  float[(31 >> 0) == 31 ? 1 : -1] array60;
  float[(31 >> 1) == 15 ? 1 : -1] array61;
  float[(31 >> 2) == 7 ? 1 : -1] array62;
  float[(31 >> 5) == 0 ? 1 : -1] array63;
  float[(31 >> 25) == 0 ? 1 : -1] array64;
  float[(31 >> 31) == 0 ? 1 : -1] array65;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length() + array8.length() + array9.length() + array10.length() + array11.length() + array12.length() + array13.length() + array14.length() + array15.length() + array16.length() + array17.length() + array18.length() + array19.length() + array20.length() + array21.length() + array22.length() + array23.length() + array24.length() + array25.length() + array26.length() + array27.length() + array28.length() + array29.length() + array30.length() + array31.length() + array32.length() + array33.length() + array34.length() + array35.length() + array36.length() + array37.length() + array38.length() + array39.length() + array40.length() + array41.length() + array42.length() + array43.length() + array44.length() + array45.length() + array46.length() + array47.length() + array48.length() + array49.length() + array50.length() + array51.length() + array52.length() + array53.length() + array54.length() + array55.length() + array56.length() + array57.length() + array58.length() + array59.length() + array60.length() + array61.length() + array62.length() + array63.length() + array64.length() + array65.length());
}
