/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * (uvec3(22u, 23u, 4u) >> ivec3(22, 23, 4)) => uvec3(0u, 0u, 0u)
 * (uvec3(22u, 23u, 4u) >> ivec3(19, 1, 13)) => uvec3(0u, 11u, 0u)
 * (uvec3(19u, 1u, 13u) >> ivec3(22, 23, 4)) => uvec3(0u, 0u, 0u)
 * (uvec3(19u, 1u, 13u) >> ivec3(19, 1, 13)) => uvec3(0u, 0u, 0u)
 */
#version 130

void main()
{
  float[all(equal((uvec3(22u, 23u, 4u) >> ivec3(22, 23, 4)), uvec3(0u, 0u, 0u))) ? 1 : -1] array0;
  float[all(equal((uvec3(22u, 23u, 4u) >> ivec3(19, 1, 13)), uvec3(0u, 11u, 0u))) ? 1 : -1] array1;
  float[all(equal((uvec3(19u, 1u, 13u) >> ivec3(22, 23, 4)), uvec3(0u, 0u, 0u))) ? 1 : -1] array2;
  float[all(equal((uvec3(19u, 1u, 13u) >> ivec3(19, 1, 13)), uvec3(0u, 0u, 0u))) ? 1 : -1] array3;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length());
}
