/* [config]
 * expect_result: pass
 * glsl_version: 1.30
 * [end config]
 *
 * Check that the following test vectors are constant folded correctly:
 * trunc(-2.0) => -2.0
 * trunc(-1.4285715) => -1.0
 * trunc(-0.85714287) => -0
 * trunc(-0.2857143) => -0
 * trunc(0.2857143) => 0.0
 * trunc(0.85714287) => 0.0
 * trunc(1.4285715) => 1.0
 * trunc(2.0) => 2.0
 */
#version 130

void main()
{
  float[distance(trunc(-2.0), -2.0) <= 1.9999999e-05 ? 1 : -1] array0;
  float[distance(trunc(-1.4285715), -1.0) <= 9.9999997e-06 ? 1 : -1] array1;
  float[distance(trunc(-0.85714287), -0) <= 0.0 ? 1 : -1] array2;
  float[distance(trunc(-0.2857143), -0) <= 0.0 ? 1 : -1] array3;
  float[distance(trunc(0.2857143), 0.0) <= 0.0 ? 1 : -1] array4;
  float[distance(trunc(0.85714287), 0.0) <= 0.0 ? 1 : -1] array5;
  float[distance(trunc(1.4285715), 1.0) <= 9.9999997e-06 ? 1 : -1] array6;
  float[distance(trunc(2.0), 2.0) <= 1.9999999e-05 ? 1 : -1] array7;
  gl_FragColor = vec4(array0.length() + array1.length() + array2.length() + array3.length() + array4.length() + array5.length() + array6.length() + array7.length());
}
