/*
 * Copyright 2012, VMware, Inc.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice (including the next
 * paragraph) shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */


/* TODO: Automatically generate this file. */


#if defined(_WIN32)
#include <windows.h>
#endif

/* Force GL defines */
#ifndef PIGLIT_USE_OPENGL
#  define PIGLIT_USE_OPENGL
#  undef PIGLIT_USE_OPENGL_ES1
#  undef PIGLIT_USE_OPENGL_ES2
#endif

#include "piglit-util-gl-common.h"


const char *
piglit_get_gl_enum_name(GLenum param)
{
#define CASE(x) case x: return #x;

	switch (param) {

	CASE(GL_ZERO)	// 0x0000
	CASE(GL_ONE)	// 0x0001

	/* These alias with other enums and are only used in draw calls */
	//CASE(GL_POINTS)	// 0x0000
	//CASE(GL_LINES)	// 0x0001
	//CASE(GL_LINE_LOOP)	// 0x0002
	//CASE(GL_LINE_STRIP)	// 0x0003
	//CASE(GL_TRIANGLES)	// 0x0004
	//CASE(GL_TRIANGLE_STRIP)	// 0x0005
	//CASE(GL_TRIANGLE_FAN)	// 0x0006
	//CASE(GL_QUADS)	// 0x0007
	//CASE(GL_QUAD_STRIP)	// 0x0008
	//CASE(GL_POLYGON)	// 0x0009
	//CASE(GL_LINES_ADJACENCY)	// 0x000A
	//CASE(GL_LINE_STRIP_ADJACENCY)	// 0x000B
	//CASE(GL_TRIANGLES_ADJACENCY)	// 0x000C
	//CASE(GL_TRIANGLE_STRIP_ADJACENCY)	// 0x000D
	//CASE(GL_PATCHES)	// 0x000E

	CASE(GL_ACCUM)	// 0x0100
	CASE(GL_LOAD)	// 0x0101
	CASE(GL_RETURN)	// 0x0102
	CASE(GL_MULT)	// 0x0103
	CASE(GL_ADD)	// 0x0104
	CASE(GL_NEVER)	// 0x0200
	CASE(GL_LESS)	// 0x0201
	CASE(GL_EQUAL)	// 0x0202
	CASE(GL_LEQUAL)	// 0x0203
	CASE(GL_GREATER)	// 0x0204
	CASE(GL_NOTEQUAL)	// 0x0205
	CASE(GL_GEQUAL)	// 0x0206
	CASE(GL_ALWAYS)	// 0x0207
	CASE(GL_SRC_COLOR)	// 0x0300
	CASE(GL_ONE_MINUS_SRC_COLOR)	// 0x0301
	CASE(GL_SRC_ALPHA)	// 0x0302
	CASE(GL_ONE_MINUS_SRC_ALPHA)	// 0x0303
	CASE(GL_DST_ALPHA)	// 0x0304
	CASE(GL_ONE_MINUS_DST_ALPHA)	// 0x0305
	CASE(GL_DST_COLOR)	// 0x0306
	CASE(GL_ONE_MINUS_DST_COLOR)	// 0x0307
	CASE(GL_SRC_ALPHA_SATURATE)	// 0x0308
	CASE(GL_FRONT_LEFT)	// 0x0400
	CASE(GL_FRONT_RIGHT)	// 0x0401
	CASE(GL_BACK_LEFT)	// 0x0402
	CASE(GL_BACK_RIGHT)	// 0x0403
	CASE(GL_FRONT)	// 0x0404
	CASE(GL_BACK)	// 0x0405
	CASE(GL_LEFT)	// 0x0406
	CASE(GL_RIGHT)	// 0x0407
	CASE(GL_FRONT_AND_BACK)	// 0x0408
	CASE(GL_AUX0)	// 0x0409
	CASE(GL_AUX1)	// 0x040A
	CASE(GL_AUX2)	// 0x040B
	CASE(GL_AUX3)	// 0x040C
	CASE(GL_INVALID_ENUM)	// 0x0500
	CASE(GL_INVALID_VALUE)	// 0x0501
	CASE(GL_INVALID_OPERATION)	// 0x0502
	CASE(GL_STACK_OVERFLOW)	// 0x0503
	CASE(GL_STACK_UNDERFLOW)	// 0x0504
	CASE(GL_OUT_OF_MEMORY)	// 0x0505
	CASE(GL_INVALID_FRAMEBUFFER_OPERATION)	// 0x0506
	CASE(GL_2D)	// 0x0600
	CASE(GL_3D)	// 0x0601
	CASE(GL_3D_COLOR)	// 0x0602
	CASE(GL_3D_COLOR_TEXTURE)	// 0x0603
	CASE(GL_4D_COLOR_TEXTURE)	// 0x0604
	CASE(GL_PASS_THROUGH_TOKEN)	// 0x0700
	CASE(GL_POINT_TOKEN)	// 0x0701
	CASE(GL_LINE_TOKEN)	// 0x0702
	CASE(GL_POLYGON_TOKEN)	// 0x0703
	CASE(GL_BITMAP_TOKEN)	// 0x0704
	CASE(GL_DRAW_PIXEL_TOKEN)	// 0x0705
	CASE(GL_COPY_PIXEL_TOKEN)	// 0x0706
	CASE(GL_LINE_RESET_TOKEN)	// 0x0707
	CASE(GL_EXP)	// 0x0800
	CASE(GL_EXP2)	// 0x0801
	CASE(GL_CW)	// 0x0900
	CASE(GL_CCW)	// 0x0901
	CASE(GL_COEFF)	// 0x0A00
	CASE(GL_ORDER)	// 0x0A01
	CASE(GL_DOMAIN)	// 0x0A02
	CASE(GL_CURRENT_COLOR)	// 0x0B00
	CASE(GL_CURRENT_INDEX)	// 0x0B01
	CASE(GL_CURRENT_NORMAL)	// 0x0B02
	CASE(GL_CURRENT_TEXTURE_COORDS)	// 0x0B03
	CASE(GL_CURRENT_RASTER_COLOR)	// 0x0B04
	CASE(GL_CURRENT_RASTER_INDEX)	// 0x0B05
	CASE(GL_CURRENT_RASTER_TEXTURE_COORDS)	// 0x0B06
	CASE(GL_CURRENT_RASTER_POSITION)	// 0x0B07
	CASE(GL_CURRENT_RASTER_POSITION_VALID)	// 0x0B08
	CASE(GL_CURRENT_RASTER_DISTANCE)	// 0x0B09
	CASE(GL_POINT_SMOOTH)	// 0x0B10
	CASE(GL_POINT_SIZE)	// 0x0B11
	CASE(GL_POINT_SIZE_RANGE)	// 0x0B12
	CASE(GL_POINT_SIZE_GRANULARITY)	// 0x0B13
	CASE(GL_LINE_SMOOTH)	// 0x0B20
	CASE(GL_LINE_WIDTH)	// 0x0B21
	CASE(GL_LINE_WIDTH_RANGE)	// 0x0B22
	CASE(GL_LINE_WIDTH_GRANULARITY)	// 0x0B23
	CASE(GL_LINE_STIPPLE)	// 0x0B24
	CASE(GL_LINE_STIPPLE_PATTERN)	// 0x0B25
	CASE(GL_LINE_STIPPLE_REPEAT)	// 0x0B26
	CASE(GL_LIST_MODE)	// 0x0B30
	CASE(GL_MAX_LIST_NESTING)	// 0x0B31
	CASE(GL_LIST_BASE)	// 0x0B32
	CASE(GL_LIST_INDEX)	// 0x0B33
	CASE(GL_POLYGON_MODE)	// 0x0B40
	CASE(GL_POLYGON_SMOOTH)	// 0x0B41
	CASE(GL_POLYGON_STIPPLE)	// 0x0B42
	CASE(GL_EDGE_FLAG)	// 0x0B43
	CASE(GL_CULL_FACE)	// 0x0B44
	CASE(GL_CULL_FACE_MODE)	// 0x0B45
	CASE(GL_FRONT_FACE)	// 0x0B46
	CASE(GL_LIGHTING)	// 0x0B50
	CASE(GL_LIGHT_MODEL_LOCAL_VIEWER)	// 0x0B51
	CASE(GL_LIGHT_MODEL_TWO_SIDE)	// 0x0B52
	CASE(GL_LIGHT_MODEL_AMBIENT)	// 0x0B53
	CASE(GL_SHADE_MODEL)	// 0x0B54
	CASE(GL_COLOR_MATERIAL_FACE)	// 0x0B55
	CASE(GL_COLOR_MATERIAL_PARAMETER)	// 0x0B56
	CASE(GL_COLOR_MATERIAL)	// 0x0B57
	CASE(GL_FOG)	// 0x0B60
	CASE(GL_FOG_INDEX)	// 0x0B61
	CASE(GL_FOG_DENSITY)	// 0x0B62
	CASE(GL_FOG_START)	// 0x0B63
	CASE(GL_FOG_END)	// 0x0B64
	CASE(GL_FOG_MODE)	// 0x0B65
	CASE(GL_FOG_COLOR)	// 0x0B66
	CASE(GL_DEPTH_RANGE)	// 0x0B70
	CASE(GL_DEPTH_TEST)	// 0x0B71
	CASE(GL_DEPTH_WRITEMASK)	// 0x0B72
	CASE(GL_DEPTH_CLEAR_VALUE)	// 0x0B73
	CASE(GL_DEPTH_FUNC)	// 0x0B74
	CASE(GL_ACCUM_CLEAR_VALUE)	// 0x0B80
	CASE(GL_STENCIL_TEST)	// 0x0B90
	CASE(GL_STENCIL_CLEAR_VALUE)	// 0x0B91
	CASE(GL_STENCIL_FUNC)	// 0x0B92
	CASE(GL_STENCIL_VALUE_MASK)	// 0x0B93
	CASE(GL_STENCIL_FAIL)	// 0x0B94
	CASE(GL_STENCIL_PASS_DEPTH_FAIL)	// 0x0B95
	CASE(GL_STENCIL_PASS_DEPTH_PASS)	// 0x0B96
	CASE(GL_STENCIL_REF)	// 0x0B97
	CASE(GL_STENCIL_WRITEMASK)	// 0x0B98
	CASE(GL_MATRIX_MODE)	// 0x0BA0
	CASE(GL_NORMALIZE)	// 0x0BA1
	CASE(GL_VIEWPORT)	// 0x0BA2
	CASE(GL_MODELVIEW_STACK_DEPTH)	// 0x0BA3
	CASE(GL_PROJECTION_STACK_DEPTH)	// 0x0BA4
	CASE(GL_TEXTURE_STACK_DEPTH)	// 0x0BA5
	CASE(GL_MODELVIEW_MATRIX)	// 0x0BA6
	CASE(GL_PROJECTION_MATRIX)	// 0x0BA7
	CASE(GL_TEXTURE_MATRIX)	// 0x0BA8
	CASE(GL_ATTRIB_STACK_DEPTH)	// 0x0BB0
	CASE(GL_CLIENT_ATTRIB_STACK_DEPTH)	// 0x0BB1
	CASE(GL_ALPHA_TEST)	// 0x0BC0
	CASE(GL_ALPHA_TEST_FUNC)	// 0x0BC1
	CASE(GL_ALPHA_TEST_REF)	// 0x0BC2
	CASE(GL_DITHER)	// 0x0BD0
	CASE(GL_BLEND_DST)	// 0x0BE0
	CASE(GL_BLEND_SRC)	// 0x0BE1
	CASE(GL_BLEND)	// 0x0BE2
	CASE(GL_LOGIC_OP_MODE)	// 0x0BF0
	CASE(GL_INDEX_LOGIC_OP)	// 0x0BF1
	CASE(GL_COLOR_LOGIC_OP)	// 0x0BF2
	CASE(GL_AUX_BUFFERS)	// 0x0C00
	CASE(GL_DRAW_BUFFER)	// 0x0C01
	CASE(GL_READ_BUFFER)	// 0x0C02
	CASE(GL_SCISSOR_BOX)	// 0x0C10
	CASE(GL_SCISSOR_TEST)	// 0x0C11
	CASE(GL_INDEX_CLEAR_VALUE)	// 0x0C20
	CASE(GL_INDEX_WRITEMASK)	// 0x0C21
	CASE(GL_COLOR_CLEAR_VALUE)	// 0x0C22
	CASE(GL_COLOR_WRITEMASK)	// 0x0C23
	CASE(GL_INDEX_MODE)	// 0x0C30
	CASE(GL_RGBA_MODE)	// 0x0C31
	CASE(GL_DOUBLEBUFFER)	// 0x0C32
	CASE(GL_STEREO)	// 0x0C33
	CASE(GL_RENDER_MODE)	// 0x0C40
	CASE(GL_PERSPECTIVE_CORRECTION_HINT)	// 0x0C50
	CASE(GL_POINT_SMOOTH_HINT)	// 0x0C51
	CASE(GL_LINE_SMOOTH_HINT)	// 0x0C52
	CASE(GL_POLYGON_SMOOTH_HINT)	// 0x0C53
	CASE(GL_FOG_HINT)	// 0x0C54
	CASE(GL_TEXTURE_GEN_S)	// 0x0C60
	CASE(GL_TEXTURE_GEN_T)	// 0x0C61
	CASE(GL_TEXTURE_GEN_R)	// 0x0C62
	CASE(GL_TEXTURE_GEN_Q)	// 0x0C63
	CASE(GL_PIXEL_MAP_I_TO_I)	// 0x0C70
	CASE(GL_PIXEL_MAP_S_TO_S)	// 0x0C71
	CASE(GL_PIXEL_MAP_I_TO_R)	// 0x0C72
	CASE(GL_PIXEL_MAP_I_TO_G)	// 0x0C73
	CASE(GL_PIXEL_MAP_I_TO_B)	// 0x0C74
	CASE(GL_PIXEL_MAP_I_TO_A)	// 0x0C75
	CASE(GL_PIXEL_MAP_R_TO_R)	// 0x0C76
	CASE(GL_PIXEL_MAP_G_TO_G)	// 0x0C77
	CASE(GL_PIXEL_MAP_B_TO_B)	// 0x0C78
	CASE(GL_PIXEL_MAP_A_TO_A)	// 0x0C79
	CASE(GL_PIXEL_MAP_I_TO_I_SIZE)	// 0x0CB0
	CASE(GL_PIXEL_MAP_S_TO_S_SIZE)	// 0x0CB1
	CASE(GL_PIXEL_MAP_I_TO_R_SIZE)	// 0x0CB2
	CASE(GL_PIXEL_MAP_I_TO_G_SIZE)	// 0x0CB3
	CASE(GL_PIXEL_MAP_I_TO_B_SIZE)	// 0x0CB4
	CASE(GL_PIXEL_MAP_I_TO_A_SIZE)	// 0x0CB5
	CASE(GL_PIXEL_MAP_R_TO_R_SIZE)	// 0x0CB6
	CASE(GL_PIXEL_MAP_G_TO_G_SIZE)	// 0x0CB7
	CASE(GL_PIXEL_MAP_B_TO_B_SIZE)	// 0x0CB8
	CASE(GL_PIXEL_MAP_A_TO_A_SIZE)	// 0x0CB9
	CASE(GL_UNPACK_SWAP_BYTES)	// 0x0CF0
	CASE(GL_UNPACK_LSB_FIRST)	// 0x0CF1
	CASE(GL_UNPACK_ROW_LENGTH)	// 0x0CF2
	CASE(GL_UNPACK_SKIP_ROWS)	// 0x0CF3
	CASE(GL_UNPACK_SKIP_PIXELS)	// 0x0CF4
	CASE(GL_UNPACK_ALIGNMENT)	// 0x0CF5
	CASE(GL_PACK_SWAP_BYTES)	// 0x0D00
	CASE(GL_PACK_LSB_FIRST)	// 0x0D01
	CASE(GL_PACK_ROW_LENGTH)	// 0x0D02
	CASE(GL_PACK_SKIP_ROWS)	// 0x0D03
	CASE(GL_PACK_SKIP_PIXELS)	// 0x0D04
	CASE(GL_PACK_ALIGNMENT)	// 0x0D05
	CASE(GL_MAP_COLOR)	// 0x0D10
	CASE(GL_MAP_STENCIL)	// 0x0D11
	CASE(GL_INDEX_SHIFT)	// 0x0D12
	CASE(GL_INDEX_OFFSET)	// 0x0D13
	CASE(GL_RED_SCALE)	// 0x0D14
	CASE(GL_RED_BIAS)	// 0x0D15
	CASE(GL_ZOOM_X)	// 0x0D16
	CASE(GL_ZOOM_Y)	// 0x0D17
	CASE(GL_GREEN_SCALE)	// 0x0D18
	CASE(GL_GREEN_BIAS)	// 0x0D19
	CASE(GL_BLUE_SCALE)	// 0x0D1A
	CASE(GL_BLUE_BIAS)	// 0x0D1B
	CASE(GL_ALPHA_SCALE)	// 0x0D1C
	CASE(GL_ALPHA_BIAS)	// 0x0D1D
	CASE(GL_DEPTH_SCALE)	// 0x0D1E
	CASE(GL_DEPTH_BIAS)	// 0x0D1F
	CASE(GL_MAX_EVAL_ORDER)	// 0x0D30
	CASE(GL_MAX_LIGHTS)	// 0x0D31
	CASE(GL_MAX_CLIP_DISTANCES)	// 0x0D32
	CASE(GL_MAX_TEXTURE_SIZE)	// 0x0D33
	CASE(GL_MAX_PIXEL_MAP_TABLE)	// 0x0D34
	CASE(GL_MAX_ATTRIB_STACK_DEPTH)	// 0x0D35
	CASE(GL_MAX_MODELVIEW_STACK_DEPTH)	// 0x0D36
	CASE(GL_MAX_NAME_STACK_DEPTH)	// 0x0D37
	CASE(GL_MAX_PROJECTION_STACK_DEPTH)	// 0x0D38
	CASE(GL_MAX_TEXTURE_STACK_DEPTH)	// 0x0D39
	CASE(GL_MAX_VIEWPORT_DIMS)	// 0x0D3A
	CASE(GL_MAX_CLIENT_ATTRIB_STACK_DEPTH)	// 0x0D3B
	CASE(GL_SUBPIXEL_BITS)	// 0x0D50
	CASE(GL_INDEX_BITS)	// 0x0D51
	CASE(GL_RED_BITS)	// 0x0D52
	CASE(GL_GREEN_BITS)	// 0x0D53
	CASE(GL_BLUE_BITS)	// 0x0D54
	CASE(GL_ALPHA_BITS)	// 0x0D55
	CASE(GL_DEPTH_BITS)	// 0x0D56
	CASE(GL_STENCIL_BITS)	// 0x0D57
	CASE(GL_ACCUM_RED_BITS)	// 0x0D58
	CASE(GL_ACCUM_GREEN_BITS)	// 0x0D59
	CASE(GL_ACCUM_BLUE_BITS)	// 0x0D5A
	CASE(GL_ACCUM_ALPHA_BITS)	// 0x0D5B
	CASE(GL_NAME_STACK_DEPTH)	// 0x0D70
	CASE(GL_AUTO_NORMAL)	// 0x0D80
	CASE(GL_MAP1_COLOR_4)	// 0x0D90
	CASE(GL_MAP1_INDEX)	// 0x0D91
	CASE(GL_MAP1_NORMAL)	// 0x0D92
	CASE(GL_MAP1_TEXTURE_COORD_1)	// 0x0D93
	CASE(GL_MAP1_TEXTURE_COORD_2)	// 0x0D94
	CASE(GL_MAP1_TEXTURE_COORD_3)	// 0x0D95
	CASE(GL_MAP1_TEXTURE_COORD_4)	// 0x0D96
	CASE(GL_MAP1_VERTEX_3)	// 0x0D97
	CASE(GL_MAP1_VERTEX_4)	// 0x0D98
	CASE(GL_MAP2_COLOR_4)	// 0x0DB0
	CASE(GL_MAP2_INDEX)	// 0x0DB1
	CASE(GL_MAP2_NORMAL)	// 0x0DB2
	CASE(GL_MAP2_TEXTURE_COORD_1)	// 0x0DB3
	CASE(GL_MAP2_TEXTURE_COORD_2)	// 0x0DB4
	CASE(GL_MAP2_TEXTURE_COORD_3)	// 0x0DB5
	CASE(GL_MAP2_TEXTURE_COORD_4)	// 0x0DB6
	CASE(GL_MAP2_VERTEX_3)	// 0x0DB7
	CASE(GL_MAP2_VERTEX_4)	// 0x0DB8
	CASE(GL_MAP1_GRID_DOMAIN)	// 0x0DD0
	CASE(GL_MAP1_GRID_SEGMENTS)	// 0x0DD1
	CASE(GL_MAP2_GRID_DOMAIN)	// 0x0DD2
	CASE(GL_MAP2_GRID_SEGMENTS)	// 0x0DD3
	CASE(GL_TEXTURE_1D)	// 0x0DE0
	CASE(GL_TEXTURE_2D)	// 0x0DE1
	CASE(GL_FEEDBACK_BUFFER_POINTER)	// 0x0DF0
	CASE(GL_FEEDBACK_BUFFER_SIZE)	// 0x0DF1
	CASE(GL_FEEDBACK_BUFFER_TYPE)	// 0x0DF2
	CASE(GL_SELECTION_BUFFER_POINTER)	// 0x0DF3
	CASE(GL_SELECTION_BUFFER_SIZE)	// 0x0DF4
	CASE(GL_TEXTURE_WIDTH)	// 0x1000
	CASE(GL_TEXTURE_HEIGHT)	// 0x1001
	CASE(GL_TEXTURE_INTERNAL_FORMAT)	// 0x1003
	CASE(GL_TEXTURE_BORDER_COLOR)	// 0x1004
	CASE(GL_TEXTURE_BORDER)	// 0x1005
	CASE(GL_DONT_CARE)	// 0x1100
	CASE(GL_FASTEST)	// 0x1101
	CASE(GL_NICEST)	// 0x1102
	CASE(GL_AMBIENT)	// 0x1200
	CASE(GL_DIFFUSE)	// 0x1201
	CASE(GL_SPECULAR)	// 0x1202
	CASE(GL_POSITION)	// 0x1203
	CASE(GL_SPOT_DIRECTION)	// 0x1204
	CASE(GL_SPOT_EXPONENT)	// 0x1205
	CASE(GL_SPOT_CUTOFF)	// 0x1206
	CASE(GL_CONSTANT_ATTENUATION)	// 0x1207
	CASE(GL_LINEAR_ATTENUATION)	// 0x1208
	CASE(GL_QUADRATIC_ATTENUATION)	// 0x1209
	CASE(GL_COMPILE)	// 0x1300
	CASE(GL_COMPILE_AND_EXECUTE)	// 0x1301
	CASE(GL_BYTE)	// 0x1400
	CASE(GL_UNSIGNED_BYTE)	// 0x1401
	CASE(GL_SHORT)	// 0x1402
	CASE(GL_UNSIGNED_SHORT)	// 0x1403
	CASE(GL_INT)	// 0x1404
	CASE(GL_UNSIGNED_INT)	// 0x1405
	CASE(GL_FLOAT)	// 0x1406
	CASE(GL_2_BYTES)	// 0x1407
	CASE(GL_3_BYTES)	// 0x1408
	CASE(GL_4_BYTES)	// 0x1409
	CASE(GL_DOUBLE)	// 0x140A
	CASE(GL_HALF_FLOAT)	// 0x140B
	CASE(GL_FIXED)	// 0x140C
	CASE(GL_INT64_NV)	// 0x140E
	CASE(GL_UNSIGNED_INT64_NV)	// 0x140F
	CASE(GL_CLEAR)	// 0x1500
	CASE(GL_AND)	// 0x1501
	CASE(GL_AND_REVERSE)	// 0x1502
	CASE(GL_COPY)	// 0x1503
	CASE(GL_AND_INVERTED)	// 0x1504
	CASE(GL_NOOP)	// 0x1505
	CASE(GL_XOR)	// 0x1506
	CASE(GL_OR)	// 0x1507
	CASE(GL_NOR)	// 0x1508
	CASE(GL_EQUIV)	// 0x1509
	CASE(GL_INVERT)	// 0x150A
	CASE(GL_OR_REVERSE)	// 0x150B
	CASE(GL_COPY_INVERTED)	// 0x150C
	CASE(GL_OR_INVERTED)	// 0x150D
	CASE(GL_NAND)	// 0x150E
	CASE(GL_SET)	// 0x150F
	CASE(GL_EMISSION)	// 0x1600
	CASE(GL_SHININESS)	// 0x1601
	CASE(GL_AMBIENT_AND_DIFFUSE)	// 0x1602
	CASE(GL_COLOR_INDEXES)	// 0x1603
	CASE(GL_MODELVIEW)	// 0x1700
	CASE(GL_PROJECTION)	// 0x1701
	CASE(GL_TEXTURE)	// 0x1702
	CASE(GL_COLOR)	// 0x1800
	CASE(GL_DEPTH)	// 0x1801
	CASE(GL_STENCIL)	// 0x1802
	CASE(GL_COLOR_INDEX)	// 0x1900
	CASE(GL_STENCIL_INDEX)	// 0x1901
	CASE(GL_DEPTH_COMPONENT)	// 0x1902
	CASE(GL_RED)	// 0x1903
	CASE(GL_GREEN)	// 0x1904
	CASE(GL_BLUE)	// 0x1905
	CASE(GL_ALPHA)	// 0x1906
	CASE(GL_RGB)	// 0x1907
	CASE(GL_RGBA)	// 0x1908
	CASE(GL_LUMINANCE)	// 0x1909
	CASE(GL_LUMINANCE_ALPHA)	// 0x190A
	CASE(GL_RASTER_POSITION_UNCLIPPED_IBM)	// 0x19262
	CASE(GL_BITMAP)	// 0x1A00
	CASE(GL_PREFER_DOUBLEBUFFER_HINT_PGI)	// 0x1A1F8
	CASE(GL_CONSERVE_MEMORY_HINT_PGI)	// 0x1A1FD
	CASE(GL_RECLAIM_MEMORY_HINT_PGI)	// 0x1A1FE
	CASE(GL_NATIVE_GRAPHICS_HANDLE_PGI)	// 0x1A202
	CASE(GL_NATIVE_GRAPHICS_BEGIN_HINT_PGI)	// 0x1A203
	CASE(GL_NATIVE_GRAPHICS_END_HINT_PGI)	// 0x1A204
	CASE(GL_ALWAYS_FAST_HINT_PGI)	// 0x1A20C
	CASE(GL_ALWAYS_SOFT_HINT_PGI)	// 0x1A20D
	CASE(GL_ALLOW_DRAW_OBJ_HINT_PGI)	// 0x1A20E
	CASE(GL_ALLOW_DRAW_WIN_HINT_PGI)	// 0x1A20F
	CASE(GL_ALLOW_DRAW_FRG_HINT_PGI)	// 0x1A210
	CASE(GL_ALLOW_DRAW_MEM_HINT_PGI)	// 0x1A211
	CASE(GL_STRICT_DEPTHFUNC_HINT_PGI)	// 0x1A216
	CASE(GL_STRICT_LIGHTING_HINT_PGI)	// 0x1A217
	CASE(GL_STRICT_SCISSOR_HINT_PGI)	// 0x1A218
	CASE(GL_FULL_STIPPLE_HINT_PGI)	// 0x1A219
	CASE(GL_CLIP_NEAR_HINT_PGI)	// 0x1A220
	CASE(GL_CLIP_FAR_HINT_PGI)	// 0x1A221
	CASE(GL_WIDE_LINE_HINT_PGI)	// 0x1A222
	CASE(GL_BACK_NORMALS_HINT_PGI)	// 0x1A223
	CASE(GL_VERTEX_DATA_HINT_PGI)	// 0x1A22A
	CASE(GL_VERTEX_CONSISTENT_HINT_PGI)	// 0x1A22B
	CASE(GL_MATERIAL_SIDE_HINT_PGI)	// 0x1A22C
	CASE(GL_MAX_VERTEX_HINT_PGI)	// 0x1A22D
	CASE(GL_POINT)	// 0x1B00
	CASE(GL_LINE)	// 0x1B01
	CASE(GL_FILL)	// 0x1B02
	CASE(GL_RENDER)	// 0x1C00
	CASE(GL_FEEDBACK)	// 0x1C01
	CASE(GL_SELECT)	// 0x1C02
	CASE(GL_FLAT)	// 0x1D00
	CASE(GL_SMOOTH)	// 0x1D01
	CASE(GL_KEEP)	// 0x1E00
	CASE(GL_REPLACE)	// 0x1E01
	CASE(GL_INCR)	// 0x1E02
	CASE(GL_DECR)	// 0x1E03
	CASE(GL_VENDOR)	// 0x1F00
	CASE(GL_RENDERER)	// 0x1F01
	CASE(GL_VERSION)	// 0x1F02
	CASE(GL_EXTENSIONS)	// 0x1F03
	CASE(GL_S)	// 0x2000
	CASE(GL_T)	// 0x2001
	CASE(GL_R)	// 0x2002
	CASE(GL_Q)	// 0x2003
	CASE(GL_MODULATE)	// 0x2100
	CASE(GL_DECAL)	// 0x2101
	CASE(GL_TEXTURE_ENV_MODE)	// 0x2200
	CASE(GL_TEXTURE_ENV_COLOR)	// 0x2201
	CASE(GL_TEXTURE_ENV)	// 0x2300
	CASE(GL_EYE_LINEAR)	// 0x2400
	CASE(GL_OBJECT_LINEAR)	// 0x2401
	CASE(GL_SPHERE_MAP)	// 0x2402
	CASE(GL_TEXTURE_GEN_MODE)	// 0x2500
	CASE(GL_OBJECT_PLANE)	// 0x2501
	CASE(GL_EYE_PLANE)	// 0x2502
	CASE(GL_NEAREST)	// 0x2600
	CASE(GL_LINEAR)	// 0x2601
	CASE(GL_NEAREST_MIPMAP_NEAREST)	// 0x2700
	CASE(GL_LINEAR_MIPMAP_NEAREST)	// 0x2701
	CASE(GL_NEAREST_MIPMAP_LINEAR)	// 0x2702
	CASE(GL_LINEAR_MIPMAP_LINEAR)	// 0x2703
	CASE(GL_TEXTURE_MAG_FILTER)	// 0x2800
	CASE(GL_TEXTURE_MIN_FILTER)	// 0x2801
	CASE(GL_TEXTURE_WRAP_S)	// 0x2802
	CASE(GL_TEXTURE_WRAP_T)	// 0x2803
	CASE(GL_CLAMP)	// 0x2900
	CASE(GL_REPEAT)	// 0x2901
	CASE(GL_POLYGON_OFFSET_UNITS)	// 0x2A00
	CASE(GL_POLYGON_OFFSET_POINT)	// 0x2A01
	CASE(GL_POLYGON_OFFSET_LINE)	// 0x2A02
	CASE(GL_R3_G3_B2)	// 0x2A10
	CASE(GL_V2F)	// 0x2A20
	CASE(GL_V3F)	// 0x2A21
	CASE(GL_C4UB_V2F)	// 0x2A22
	CASE(GL_C4UB_V3F)	// 0x2A23
	CASE(GL_C3F_V3F)	// 0x2A24
	CASE(GL_N3F_V3F)	// 0x2A25
	CASE(GL_C4F_N3F_V3F)	// 0x2A26
	CASE(GL_T2F_V3F)	// 0x2A27
	CASE(GL_T4F_V4F)	// 0x2A28
	CASE(GL_T2F_C4UB_V3F)	// 0x2A29
	CASE(GL_T2F_C3F_V3F)	// 0x2A2A
	CASE(GL_T2F_N3F_V3F)	// 0x2A2B
	CASE(GL_T2F_C4F_N3F_V3F)	// 0x2A2C
	CASE(GL_T4F_C4F_N3F_V4F)	// 0x2A2D
	CASE(GL_CLIP_DISTANCE0)	// 0x3000
	CASE(GL_CLIP_DISTANCE1)	// 0x3001
	CASE(GL_CLIP_DISTANCE2)	// 0x3002
	CASE(GL_CLIP_DISTANCE3)	// 0x3003
	CASE(GL_CLIP_DISTANCE4)	// 0x3004
	CASE(GL_CLIP_DISTANCE5)	// 0x3005
	//CASE(GL_CLIP_DISTANCE6)	// 0x3006
	//CASE(GL_CLIP_DISTANCE7)	// 0x3007
	CASE(GL_LIGHT0)	// 0x4000
	CASE(GL_LIGHT1)	// 0x4001
	CASE(GL_LIGHT2)	// 0x4002
	CASE(GL_LIGHT3)	// 0x4003
	CASE(GL_LIGHT4)	// 0x4004
	CASE(GL_LIGHT5)	// 0x4005
	CASE(GL_LIGHT6)	// 0x4006
	CASE(GL_LIGHT7)	// 0x4007
	CASE(GL_ABGR_EXT)	// 0x8000
	CASE(GL_CONSTANT_COLOR)	// 0x8001
	CASE(GL_ONE_MINUS_CONSTANT_COLOR)	// 0x8002
	CASE(GL_CONSTANT_ALPHA)	// 0x8003
	CASE(GL_ONE_MINUS_CONSTANT_ALPHA)	// 0x8004
	CASE(GL_BLEND_COLOR)	// 0x8005
	CASE(GL_FUNC_ADD)	// 0x8006
	CASE(GL_MIN)	// 0x8007
	CASE(GL_MAX)	// 0x8008
	CASE(GL_BLEND_EQUATION)	// 0x8009
	CASE(GL_FUNC_SUBTRACT)	// 0x800A
	CASE(GL_FUNC_REVERSE_SUBTRACT)	// 0x800B
	CASE(GL_CMYK_EXT)	// 0x800C
	CASE(GL_CMYKA_EXT)	// 0x800D
	CASE(GL_PACK_CMYK_HINT_EXT)	// 0x800E
	CASE(GL_UNPACK_CMYK_HINT_EXT)	// 0x800F
	CASE(GL_CONVOLUTION_1D)	// 0x8010
	CASE(GL_CONVOLUTION_2D)	// 0x8011
	CASE(GL_SEPARABLE_2D)	// 0x8012
	CASE(GL_CONVOLUTION_BORDER_MODE)	// 0x8013
	CASE(GL_CONVOLUTION_FILTER_SCALE)	// 0x8014
	CASE(GL_CONVOLUTION_FILTER_BIAS)	// 0x8015
	CASE(GL_REDUCE)	// 0x8016
	CASE(GL_CONVOLUTION_FORMAT)	// 0x8017
	CASE(GL_CONVOLUTION_WIDTH)	// 0x8018
	CASE(GL_CONVOLUTION_HEIGHT)	// 0x8019
	CASE(GL_MAX_CONVOLUTION_WIDTH)	// 0x801A
	CASE(GL_MAX_CONVOLUTION_HEIGHT)	// 0x801B
	CASE(GL_POST_CONVOLUTION_RED_SCALE)	// 0x801C
	CASE(GL_POST_CONVOLUTION_GREEN_SCALE)	// 0x801D
	CASE(GL_POST_CONVOLUTION_BLUE_SCALE)	// 0x801E
	CASE(GL_POST_CONVOLUTION_ALPHA_SCALE)	// 0x801F
	CASE(GL_POST_CONVOLUTION_RED_BIAS)	// 0x8020
	CASE(GL_POST_CONVOLUTION_GREEN_BIAS)	// 0x8021
	CASE(GL_POST_CONVOLUTION_BLUE_BIAS)	// 0x8022
	CASE(GL_POST_CONVOLUTION_ALPHA_BIAS)	// 0x8023
	CASE(GL_HISTOGRAM)	// 0x8024
	CASE(GL_PROXY_HISTOGRAM)	// 0x8025
	CASE(GL_HISTOGRAM_WIDTH)	// 0x8026
	CASE(GL_HISTOGRAM_FORMAT)	// 0x8027
	CASE(GL_HISTOGRAM_RED_SIZE)	// 0x8028
	CASE(GL_HISTOGRAM_GREEN_SIZE)	// 0x8029
	CASE(GL_HISTOGRAM_BLUE_SIZE)	// 0x802A
	CASE(GL_HISTOGRAM_ALPHA_SIZE)	// 0x802B
	CASE(GL_HISTOGRAM_LUMINANCE_SIZE)	// 0x802C
	CASE(GL_HISTOGRAM_SINK)	// 0x802D
	CASE(GL_MINMAX)	// 0x802E
	CASE(GL_MINMAX_FORMAT)	// 0x802F
	CASE(GL_MINMAX_SINK)	// 0x8030
	CASE(GL_TABLE_TOO_LARGE)	// 0x8031
	CASE(GL_UNSIGNED_BYTE_3_3_2)	// 0x8032
	CASE(GL_UNSIGNED_SHORT_4_4_4_4)	// 0x8033
	CASE(GL_UNSIGNED_SHORT_5_5_5_1)	// 0x8034
	CASE(GL_UNSIGNED_INT_8_8_8_8)	// 0x8035
	CASE(GL_UNSIGNED_INT_10_10_10_2)	// 0x8036
	CASE(GL_POLYGON_OFFSET_FILL)	// 0x8037
	CASE(GL_POLYGON_OFFSET_FACTOR)	// 0x8038
	CASE(GL_POLYGON_OFFSET_BIAS_EXT)	// 0x8039
	CASE(GL_RESCALE_NORMAL)	// 0x803A
	CASE(GL_ALPHA4)	// 0x803B
	CASE(GL_ALPHA8)	// 0x803C
	CASE(GL_ALPHA12)	// 0x803D
	CASE(GL_ALPHA16)	// 0x803E
	CASE(GL_LUMINANCE4)	// 0x803F
	CASE(GL_LUMINANCE8)	// 0x8040
	CASE(GL_LUMINANCE12)	// 0x8041
	CASE(GL_LUMINANCE16)	// 0x8042
	CASE(GL_LUMINANCE4_ALPHA4)	// 0x8043
	CASE(GL_LUMINANCE6_ALPHA2)	// 0x8044
	CASE(GL_LUMINANCE8_ALPHA8)	// 0x8045
	CASE(GL_LUMINANCE12_ALPHA4)	// 0x8046
	CASE(GL_LUMINANCE12_ALPHA12)	// 0x8047
	CASE(GL_LUMINANCE16_ALPHA16)	// 0x8048
	CASE(GL_INTENSITY)	// 0x8049
	CASE(GL_INTENSITY4)	// 0x804A
	CASE(GL_INTENSITY8)	// 0x804B
	CASE(GL_INTENSITY12)	// 0x804C
	CASE(GL_INTENSITY16)	// 0x804D
	CASE(GL_RGB2_EXT)	// 0x804E
	CASE(GL_RGB4)	// 0x804F
	CASE(GL_RGB5)	// 0x8050
	CASE(GL_RGB8)	// 0x8051
	CASE(GL_RGB10)	// 0x8052
	CASE(GL_RGB12)	// 0x8053
	CASE(GL_RGB16)	// 0x8054
	CASE(GL_RGBA2)	// 0x8055
	CASE(GL_RGBA4)	// 0x8056
	CASE(GL_RGB5_A1)	// 0x8057
	CASE(GL_RGBA8)	// 0x8058
	CASE(GL_RGB10_A2)	// 0x8059
	CASE(GL_RGBA12)	// 0x805A
	CASE(GL_RGBA16)	// 0x805B
	CASE(GL_TEXTURE_RED_SIZE)	// 0x805C
	CASE(GL_TEXTURE_GREEN_SIZE)	// 0x805D
	CASE(GL_TEXTURE_BLUE_SIZE)	// 0x805E
	CASE(GL_TEXTURE_ALPHA_SIZE)	// 0x805F
	CASE(GL_TEXTURE_LUMINANCE_SIZE)	// 0x8060
	CASE(GL_TEXTURE_INTENSITY_SIZE)	// 0x8061
	CASE(GL_REPLACE_EXT)	// 0x8062
	CASE(GL_PROXY_TEXTURE_1D)	// 0x8063
	CASE(GL_PROXY_TEXTURE_2D)	// 0x8064
	//CASE(GL_TEXTURE_TOO_LARGE_EXT)	// 0x8065
	CASE(GL_TEXTURE_PRIORITY)	// 0x8066
	CASE(GL_TEXTURE_RESIDENT)	// 0x8067
	CASE(GL_TEXTURE_BINDING_1D)	// 0x8068
	CASE(GL_TEXTURE_BINDING_2D)	// 0x8069
	CASE(GL_TEXTURE_BINDING_3D)	// 0x806A
	CASE(GL_PACK_SKIP_IMAGES)	// 0x806B
	CASE(GL_PACK_IMAGE_HEIGHT)	// 0x806C
	CASE(GL_UNPACK_SKIP_IMAGES)	// 0x806D
	CASE(GL_UNPACK_IMAGE_HEIGHT)	// 0x806E
	CASE(GL_TEXTURE_3D)	// 0x806F
	CASE(GL_PROXY_TEXTURE_3D)	// 0x8070
	CASE(GL_TEXTURE_DEPTH)	// 0x8071
	CASE(GL_TEXTURE_WRAP_R)	// 0x8072
	CASE(GL_MAX_3D_TEXTURE_SIZE)	// 0x8073
	CASE(GL_VERTEX_ARRAY)	// 0x8074
	CASE(GL_NORMAL_ARRAY)	// 0x8075
	CASE(GL_COLOR_ARRAY)	// 0x8076
	CASE(GL_INDEX_ARRAY)	// 0x8077
	CASE(GL_TEXTURE_COORD_ARRAY)	// 0x8078
	CASE(GL_EDGE_FLAG_ARRAY)	// 0x8079
	CASE(GL_VERTEX_ARRAY_SIZE)	// 0x807A
	CASE(GL_VERTEX_ARRAY_TYPE)	// 0x807B
	CASE(GL_VERTEX_ARRAY_STRIDE)	// 0x807C
	CASE(GL_VERTEX_ARRAY_COUNT_EXT)	// 0x807D
	CASE(GL_NORMAL_ARRAY_TYPE)	// 0x807E
	CASE(GL_NORMAL_ARRAY_STRIDE)	// 0x807F
	CASE(GL_NORMAL_ARRAY_COUNT_EXT)	// 0x8080
	CASE(GL_COLOR_ARRAY_SIZE)	// 0x8081
	CASE(GL_COLOR_ARRAY_TYPE)	// 0x8082
	CASE(GL_COLOR_ARRAY_STRIDE)	// 0x8083
	CASE(GL_COLOR_ARRAY_COUNT_EXT)	// 0x8084
	CASE(GL_INDEX_ARRAY_TYPE)	// 0x8085
	CASE(GL_INDEX_ARRAY_STRIDE)	// 0x8086
	CASE(GL_INDEX_ARRAY_COUNT_EXT)	// 0x8087
	CASE(GL_TEXTURE_COORD_ARRAY_SIZE)	// 0x8088
	CASE(GL_TEXTURE_COORD_ARRAY_TYPE)	// 0x8089
	CASE(GL_TEXTURE_COORD_ARRAY_STRIDE)	// 0x808A
	CASE(GL_TEXTURE_COORD_ARRAY_COUNT_EXT)	// 0x808B
	CASE(GL_EDGE_FLAG_ARRAY_STRIDE)	// 0x808C
	CASE(GL_EDGE_FLAG_ARRAY_COUNT_EXT)	// 0x808D
	CASE(GL_VERTEX_ARRAY_POINTER)	// 0x808E
	CASE(GL_NORMAL_ARRAY_POINTER)	// 0x808F
	CASE(GL_COLOR_ARRAY_POINTER)	// 0x8090
	CASE(GL_INDEX_ARRAY_POINTER)	// 0x8091
	CASE(GL_TEXTURE_COORD_ARRAY_POINTER)	// 0x8092
	CASE(GL_EDGE_FLAG_ARRAY_POINTER)	// 0x8093
	CASE(GL_INTERLACE_SGIX)	// 0x8094
	//CASE(GL_DETAIL_TEXTURE_2D_SGIS)	// 0x8095
	//CASE(GL_DETAIL_TEXTURE_2D_BINDING_SGIS)	// 0x8096
	//CASE(GL_LINEAR_DETAIL_SGIS)	// 0x8097
	//CASE(GL_LINEAR_DETAIL_ALPHA_SGIS)	// 0x8098
	//CASE(GL_LINEAR_DETAIL_COLOR_SGIS)	// 0x8099
	//CASE(GL_DETAIL_TEXTURE_LEVEL_SGIS)	// 0x809A
	//CASE(GL_DETAIL_TEXTURE_MODE_SGIS)	// 0x809B
	//CASE(GL_DETAIL_TEXTURE_FUNC_POINTS_SGIS)	// 0x809C
	CASE(GL_MULTISAMPLE)	// 0x809D
	CASE(GL_SAMPLE_ALPHA_TO_COVERAGE)	// 0x809E
	CASE(GL_SAMPLE_ALPHA_TO_ONE)	// 0x809F
	CASE(GL_SAMPLE_COVERAGE)	// 0x80A0
	CASE(GL_1PASS_EXT)	// 0x80A1
	CASE(GL_2PASS_0_EXT)	// 0x80A2
	CASE(GL_2PASS_1_EXT)	// 0x80A3
	CASE(GL_4PASS_0_EXT)	// 0x80A4
	CASE(GL_4PASS_1_EXT)	// 0x80A5
	CASE(GL_4PASS_2_EXT)	// 0x80A6
	CASE(GL_4PASS_3_EXT)	// 0x80A7
	CASE(GL_SAMPLE_BUFFERS)	// 0x80A8
	CASE(GL_SAMPLES)	// 0x80A9
	CASE(GL_SAMPLE_COVERAGE_VALUE)	// 0x80AA
	CASE(GL_SAMPLE_COVERAGE_INVERT)	// 0x80AB
	CASE(GL_SAMPLE_PATTERN_EXT)	// 0x80AC
	//CASE(GL_LINEAR_SHARPEN_SGIS)	// 0x80AD
	//CASE(GL_LINEAR_SHARPEN_ALPHA_SGIS)	// 0x80AE
	//CASE(GL_LINEAR_SHARPEN_COLOR_SGIS)	// 0x80AF
	//CASE(GL_SHARPEN_TEXTURE_FUNC_POINTS_SGIS)	// 0x80B0
	CASE(GL_COLOR_MATRIX)	// 0x80B1
	CASE(GL_COLOR_MATRIX_STACK_DEPTH)	// 0x80B2
	CASE(GL_MAX_COLOR_MATRIX_STACK_DEPTH)	// 0x80B3
	CASE(GL_POST_COLOR_MATRIX_RED_SCALE)	// 0x80B4
	CASE(GL_POST_COLOR_MATRIX_GREEN_SCALE)	// 0x80B5
	CASE(GL_POST_COLOR_MATRIX_BLUE_SCALE)	// 0x80B6
	CASE(GL_POST_COLOR_MATRIX_ALPHA_SCALE)	// 0x80B7
	CASE(GL_POST_COLOR_MATRIX_RED_BIAS)	// 0x80B8
	CASE(GL_POST_COLOR_MATRIX_GREEN_BIAS)	// 0x80B9
	CASE(GL_POST_COLOR_MATRIX_BLUE_BIAS)	// 0x80BA
	CASE(GL_POST_COLOR_MATRIX_ALPHA_BIAS)	// 0x80BB
	CASE(GL_TEXTURE_COLOR_TABLE_SGI)	// 0x80BC
	CASE(GL_PROXY_TEXTURE_COLOR_TABLE_SGI)	// 0x80BD
	//CASE(GL_TEXTURE_ENV_BIAS_SGIX)	// 0x80BE
	CASE(GL_TEXTURE_COMPARE_FAIL_VALUE_ARB)	// 0x80BF
	CASE(GL_BLEND_DST_RGB)	// 0x80C8
	CASE(GL_BLEND_SRC_RGB)	// 0x80C9
	CASE(GL_BLEND_DST_ALPHA)	// 0x80CA
	CASE(GL_BLEND_SRC_ALPHA)	// 0x80CB
	CASE(GL_422_EXT)	// 0x80CC
	CASE(GL_422_REV_EXT)	// 0x80CD
	CASE(GL_422_AVERAGE_EXT)	// 0x80CE
	CASE(GL_422_REV_AVERAGE_EXT)	// 0x80CF
	CASE(GL_COLOR_TABLE)	// 0x80D0
	CASE(GL_POST_CONVOLUTION_COLOR_TABLE)	// 0x80D1
	CASE(GL_POST_COLOR_MATRIX_COLOR_TABLE)	// 0x80D2
	CASE(GL_PROXY_COLOR_TABLE)	// 0x80D3
	CASE(GL_PROXY_POST_CONVOLUTION_COLOR_TABLE)	// 0x80D4
	CASE(GL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE)	// 0x80D5
	CASE(GL_COLOR_TABLE_SCALE)	// 0x80D6
	CASE(GL_COLOR_TABLE_BIAS)	// 0x80D7
	CASE(GL_COLOR_TABLE_FORMAT)	// 0x80D8
	CASE(GL_COLOR_TABLE_WIDTH)	// 0x80D9
	CASE(GL_COLOR_TABLE_RED_SIZE)	// 0x80DA
	CASE(GL_COLOR_TABLE_GREEN_SIZE)	// 0x80DB
	CASE(GL_COLOR_TABLE_BLUE_SIZE)	// 0x80DC
	CASE(GL_COLOR_TABLE_ALPHA_SIZE)	// 0x80DD
	CASE(GL_COLOR_TABLE_LUMINANCE_SIZE)	// 0x80DE
	CASE(GL_COLOR_TABLE_INTENSITY_SIZE)	// 0x80DF
	CASE(GL_BGR)	// 0x80E0
	CASE(GL_BGRA)	// 0x80E1
	CASE(GL_COLOR_INDEX1_EXT)	// 0x80E2
	CASE(GL_COLOR_INDEX2_EXT)	// 0x80E3
	CASE(GL_COLOR_INDEX4_EXT)	// 0x80E4
	CASE(GL_COLOR_INDEX8_EXT)	// 0x80E5
	CASE(GL_COLOR_INDEX12_EXT)	// 0x80E6
	CASE(GL_COLOR_INDEX16_EXT)	// 0x80E7
	CASE(GL_MAX_ELEMENTS_VERTICES)	// 0x80E8
	CASE(GL_MAX_ELEMENTS_INDICES)	// 0x80E9
	CASE(GL_PHONG_WIN)	// 0x80EA
	CASE(GL_PHONG_HINT_WIN)	// 0x80EB
	CASE(GL_FOG_SPECULAR_TEXTURE_WIN)	// 0x80EC
	CASE(GL_TEXTURE_INDEX_SIZE_EXT)	// 0x80ED
	CASE(GL_CLIP_VOLUME_CLIPPING_HINT_EXT)	// 0x80F0
	//CASE(GL_DUAL_ALPHA4_SGIS)	// 0x8110
	//CASE(GL_DUAL_ALPHA8_SGIS)	// 0x8111
	//CASE(GL_DUAL_ALPHA12_SGIS)	// 0x8112
	//CASE(GL_DUAL_ALPHA16_SGIS)	// 0x8113
	//CASE(GL_DUAL_LUMINANCE4_SGIS)	// 0x8114
	//CASE(GL_DUAL_LUMINANCE8_SGIS)	// 0x8115
	//CASE(GL_DUAL_LUMINANCE12_SGIS)	// 0x8116
	//CASE(GL_DUAL_LUMINANCE16_SGIS)	// 0x8117
	//CASE(GL_DUAL_INTENSITY4_SGIS)	// 0x8118
	//CASE(GL_DUAL_INTENSITY8_SGIS)	// 0x8119
	//CASE(GL_DUAL_INTENSITY12_SGIS)	// 0x811A
	//CASE(GL_DUAL_INTENSITY16_SGIS)	// 0x811B
	//CASE(GL_DUAL_LUMINANCE_ALPHA4_SGIS)	// 0x811C
	//CASE(GL_DUAL_LUMINANCE_ALPHA8_SGIS)	// 0x811D
	//CASE(GL_QUAD_ALPHA4_SGIS)	// 0x811E
	//CASE(GL_QUAD_ALPHA8_SGIS)	// 0x811F
	//CASE(GL_QUAD_LUMINANCE4_SGIS)	// 0x8120
	//CASE(GL_QUAD_LUMINANCE8_SGIS)	// 0x8121
	//CASE(GL_QUAD_INTENSITY4_SGIS)	// 0x8122
	//CASE(GL_QUAD_INTENSITY8_SGIS)	// 0x8123
	//CASE(GL_DUAL_TEXTURE_SELECT_SGIS)	// 0x8124
	//CASE(GL_QUAD_TEXTURE_SELECT_SGIS)	// 0x8125
	CASE(GL_POINT_SIZE_MIN)	// 0x8126
	CASE(GL_POINT_SIZE_MAX)	// 0x8127
	CASE(GL_POINT_FADE_THRESHOLD_SIZE)	// 0x8128
	CASE(GL_POINT_DISTANCE_ATTENUATION)	// 0x8129
	//CASE(GL_FOG_FUNC_SGIS)	// 0x812A
	//CASE(GL_FOG_FUNC_POINTS_SGIS)	// 0x812B
	//CASE(GL_MAX_FOG_FUNC_POINTS_SGIS)	// 0x812C
	CASE(GL_CLAMP_TO_BORDER)	// 0x812D
	CASE(GL_TEXTURE_MULTI_BUFFER_HINT_SGIX)	// 0x812E
	CASE(GL_CLAMP_TO_EDGE)	// 0x812F
	//CASE(GL_PACK_SKIP_VOLUMES_SGIS)	// 0x8130
	//CASE(GL_PACK_IMAGE_DEPTH_SGIS)	// 0x8131
	//CASE(GL_UNPACK_SKIP_VOLUMES_SGIS)	// 0x8132
	//CASE(GL_UNPACK_IMAGE_DEPTH_SGIS)	// 0x8133
	//CASE(GL_TEXTURE_4D_SGIS)	// 0x8134
	//CASE(GL_PROXY_TEXTURE_4D_SGIS)	// 0x8135
	//CASE(GL_TEXTURE_4DSIZE_SGIS)	// 0x8136
	//CASE(GL_TEXTURE_WRAP_Q_SGIS)	// 0x8137
	//CASE(GL_MAX_4D_TEXTURE_SIZE_SGIS)	// 0x8138
	//CASE(GL_PIXEL_TEX_GEN_SGIX)	// 0x8139
	CASE(GL_TEXTURE_MIN_LOD)	// 0x813A
	CASE(GL_TEXTURE_MAX_LOD)	// 0x813B
	CASE(GL_TEXTURE_BASE_LEVEL)	// 0x813C
	CASE(GL_TEXTURE_MAX_LEVEL)	// 0x813D
	//CASE(GL_PIXEL_TILE_BEST_ALIGNMENT_SGIX)	// 0x813E
	//CASE(GL_PIXEL_TILE_CACHE_INCREMENT_SGIX)	// 0x813F
	//CASE(GL_PIXEL_TILE_WIDTH_SGIX)	// 0x8140
	//CASE(GL_PIXEL_TILE_HEIGHT_SGIX)	// 0x8141
	//CASE(GL_PIXEL_TILE_GRID_WIDTH_SGIX)	// 0x8142
	//CASE(GL_PIXEL_TILE_GRID_HEIGHT_SGIX)	// 0x8143
	//CASE(GL_PIXEL_TILE_GRID_DEPTH_SGIX)	// 0x8144
	//CASE(GL_PIXEL_TILE_CACHE_SIZE_SGIX)	// 0x8145
	//CASE(GL_FILTER4_SGIS)	// 0x8146
	//CASE(GL_TEXTURE_FILTER4_SIZE_SGIS)	// 0x8147
	//CASE(GL_SPRITE_SGIX)	// 0x8148
	//CASE(GL_SPRITE_MODE_SGIX)	// 0x8149
	//CASE(GL_SPRITE_AXIS_SGIX)	// 0x814A
	//CASE(GL_SPRITE_TRANSLATION_SGIX)	// 0x814B
	//CASE(GL_SPRITE_AXIAL_SGIX)	// 0x814C
	//CASE(GL_SPRITE_OBJECT_ALIGNED_SGIX)	// 0x814D
	//CASE(GL_SPRITE_EYE_ALIGNED_SGIX)	// 0x814E
	//CASE(GL_TEXTURE_4D_BINDING_SGIS)	// 0x814F
	//CASE(GL_IGNORE_BORDER_HP)	// 0x8150
	CASE(GL_CONSTANT_BORDER)	// 0x8151
	CASE(GL_REPLICATE_BORDER)	// 0x8153
	CASE(GL_CONVOLUTION_BORDER_COLOR)	// 0x8154
	//CASE(GL_IMAGE_SCALE_X_HP)	// 0x8155
	//CASE(GL_IMAGE_SCALE_Y_HP)	// 0x8156
	//CASE(GL_IMAGE_TRANSLATE_X_HP)	// 0x8157
	//CASE(GL_IMAGE_TRANSLATE_Y_HP)	// 0x8158
	//CASE(GL_IMAGE_ROTATE_ANGLE_HP)	// 0x8159
	//CASE(GL_IMAGE_ROTATE_ORIGIN_X_HP)	// 0x815A
	//CASE(GL_IMAGE_ROTATE_ORIGIN_Y_HP)	// 0x815B
	//CASE(GL_IMAGE_MAG_FILTER_HP)	// 0x815C
	//CASE(GL_IMAGE_MIN_FILTER_HP)	// 0x815D
	//CASE(GL_IMAGE_CUBIC_WEIGHT_HP)	// 0x815E
	//CASE(GL_CUBIC_HP)	// 0x815F
	//CASE(GL_AVERAGE_HP)	// 0x8160
	//CASE(GL_IMAGE_TRANSFORM_2D_HP)	// 0x8161
	//CASE(GL_POST_IMAGE_TRANSFORM_COLOR_TABLE_HP)	// 0x8162
	//CASE(GL_PROXY_POST_IMAGE_TRANSFORM_COLOR_TABLE_HP)	// 0x8163
	//CASE(GL_OCCLUSION_TEST_HP)	// 0x8165
	//CASE(GL_OCCLUSION_TEST_RESULT_HP)	// 0x8166
	//CASE(GL_TEXTURE_LIGHTING_MODE_HP)	// 0x8167
	//CASE(GL_TEXTURE_POST_SPECULAR_HP)	// 0x8168
	//CASE(GL_TEXTURE_PRE_SPECULAR_HP)	// 0x8169
	//CASE(GL_LINEAR_CLIPMAP_LINEAR_SGIX)	// 0x8170
	//CASE(GL_TEXTURE_CLIPMAP_CENTER_SGIX)	// 0x8171
	//CASE(GL_TEXTURE_CLIPMAP_FRAME_SGIX)	// 0x8172
	//CASE(GL_TEXTURE_CLIPMAP_OFFSET_SGIX)	// 0x8173
	//CASE(GL_TEXTURE_CLIPMAP_VIRTUAL_DEPTH_SGIX)	// 0x8174
	//CASE(GL_TEXTURE_CLIPMAP_LOD_OFFSET_SGIX)	// 0x8175
	//CASE(GL_TEXTURE_CLIPMAP_DEPTH_SGIX)	// 0x8176
	//CASE(GL_MAX_CLIPMAP_DEPTH_SGIX)	// 0x8177
	//CASE(GL_MAX_CLIPMAP_VIRTUAL_DEPTH_SGIX)	// 0x8178
	//CASE(GL_POST_TEXTURE_FILTER_BIAS_SGIX)	// 0x8179
	//CASE(GL_POST_TEXTURE_FILTER_SCALE_SGIX)	// 0x817A
	//CASE(GL_POST_TEXTURE_FILTER_BIAS_RANGE_SGIX)	// 0x817B
	//CASE(GL_POST_TEXTURE_FILTER_SCALE_RANGE_SGIX)	// 0x817C
	//CASE(GL_REFERENCE_PLANE_SGIX)	// 0x817D
	//CASE(GL_REFERENCE_PLANE_EQUATION_SGIX)	// 0x817E
	//CASE(GL_IR_INSTRUMENT1_SGIX)	// 0x817F
	//CASE(GL_INSTRUMENT_BUFFER_POINTER_SGIX)	// 0x8180
	//CASE(GL_INSTRUMENT_MEASUREMENTS_SGIX)	// 0x8181
	//CASE(GL_LIST_PRIORITY_SGIX)	// 0x8182
	//CASE(GL_CALLIGRAPHIC_FRAGMENT_SGIX)	// 0x8183
	//CASE(GL_PIXEL_TEX_GEN_Q_CEILING_SGIX)	// 0x8184
	//CASE(GL_PIXEL_TEX_GEN_Q_ROUND_SGIX)	// 0x8185
	//CASE(GL_PIXEL_TEX_GEN_Q_FLOOR_SGIX)	// 0x8186
	//CASE(GL_PIXEL_TEX_GEN_ALPHA_REPLACE_SGIX)	// 0x8187
	//CASE(GL_PIXEL_TEX_GEN_ALPHA_NO_REPLACE_SGIX)	// 0x8188
	//CASE(GL_PIXEL_TEX_GEN_ALPHA_LS_SGIX)	// 0x8189
	//CASE(GL_PIXEL_TEX_GEN_ALPHA_MS_SGIX)	// 0x818A
	//CASE(GL_FRAMEZOOM_SGIX)	// 0x818B
	//CASE(GL_FRAMEZOOM_FACTOR_SGIX)	// 0x818C
	//CASE(GL_MAX_FRAMEZOOM_FACTOR_SGIX)	// 0x818D
	//CASE(GL_TEXTURE_LOD_BIAS_S_SGIX)	// 0x818E
	//CASE(GL_TEXTURE_LOD_BIAS_T_SGIX)	// 0x818F
	//CASE(GL_TEXTURE_LOD_BIAS_R_SGIX)	// 0x8190
	//CASE(GL_GENERATE_MIPMAP)	// 0x8191
	//CASE(GL_GENERATE_MIPMAP_HINT)	// 0x8192
	//CASE(GL_GEOMETRY_DEFORMATION_SGIX)	// 0x8194
	//CASE(GL_TEXTURE_DEFORMATION_SGIX)	// 0x8195
	//CASE(GL_DEFORMATIONS_MASK_SGIX)	// 0x8196
	//CASE(GL_MAX_DEFORMATION_ORDER_SGIX)	// 0x8197
	//CASE(GL_FOG_OFFSET_SGIX)	// 0x8198
	//CASE(GL_FOG_OFFSET_VALUE_SGIX)	// 0x8199
	//CASE(GL_TEXTURE_COMPARE_SGIX)	// 0x819A
	//CASE(GL_TEXTURE_COMPARE_OPERATOR_SGIX)	// 0x819B
	//CASE(GL_TEXTURE_LEQUAL_R_SGIX)	// 0x819C
	//CASE(GL_TEXTURE_GEQUAL_R_SGIX)	// 0x819D
	CASE(GL_DEPTH_COMPONENT16)	// 0x81A5
	CASE(GL_DEPTH_COMPONENT24)	// 0x81A6
	CASE(GL_DEPTH_COMPONENT32)	// 0x81A7
	CASE(GL_ARRAY_ELEMENT_LOCK_FIRST_EXT)	// 0x81A8
	CASE(GL_ARRAY_ELEMENT_LOCK_COUNT_EXT)	// 0x81A9
	CASE(GL_CULL_VERTEX_EXT)	// 0x81AA
	CASE(GL_CULL_VERTEX_EYE_POSITION_EXT)	// 0x81AB
	CASE(GL_CULL_VERTEX_OBJECT_POSITION_EXT)	// 0x81AC
	//CASE(GL_IUI_V2F_EXT)	// 0x81AD
	//CASE(GL_IUI_V3F_EXT)	// 0x81AE
	//CASE(GL_IUI_N3F_V2F_EXT)	// 0x81AF
	//CASE(GL_IUI_N3F_V3F_EXT)	// 0x81B0
	//CASE(GL_T2F_IUI_V2F_EXT)	// 0x81B1
	//CASE(GL_T2F_IUI_V3F_EXT)	// 0x81B2
	//CASE(GL_T2F_IUI_N3F_V2F_EXT)	// 0x81B3
	//CASE(GL_T2F_IUI_N3F_V3F_EXT)	// 0x81B4
	//CASE(GL_INDEX_TEST_EXT)	// 0x81B5
	//CASE(GL_INDEX_TEST_FUNC_EXT)	// 0x81B6
	//CASE(GL_INDEX_TEST_REF_EXT)	// 0x81B7
	//CASE(GL_INDEX_MATERIAL_EXT)	// 0x81B8
	//CASE(GL_INDEX_MATERIAL_PARAMETER_EXT)	// 0x81B9
	//CASE(GL_INDEX_MATERIAL_FACE_EXT)	// 0x81BA
	//CASE(GL_YCRCB_422_SGIX)	// 0x81BB
	//CASE(GL_YCRCB_444_SGIX)	// 0x81BC
	CASE(GL_WRAP_BORDER_SUN)	// 0x81D4
	CASE(GL_UNPACK_CONSTANT_DATA_SUNX)	// 0x81D5
	CASE(GL_TEXTURE_CONSTANT_DATA_SUNX)	// 0x81D6
	CASE(GL_TRIANGLE_LIST_SUN)	// 0x81D7
	CASE(GL_REPLACEMENT_CODE_SUN)	// 0x81D8
	CASE(GL_GLOBAL_ALPHA_SUN)	// 0x81D9
	CASE(GL_GLOBAL_ALPHA_FACTOR_SUN)	// 0x81DA
	//CASE(GL_TEXTURE_COLOR_WRITEMASK_SGIS)	// 0x81EF
	CASE(GL_EYE_DISTANCE_TO_POINT_SGIS)	// 0x81F0
	CASE(GL_OBJECT_DISTANCE_TO_POINT_SGIS)	// 0x81F1
	CASE(GL_EYE_DISTANCE_TO_LINE_SGIS)	// 0x81F2
	CASE(GL_OBJECT_DISTANCE_TO_LINE_SGIS)	// 0x81F3
	CASE(GL_EYE_POINT_SGIS)	// 0x81F4
	CASE(GL_OBJECT_POINT_SGIS)	// 0x81F5
	CASE(GL_EYE_LINE_SGIS)	// 0x81F6
	CASE(GL_OBJECT_LINE_SGIS)	// 0x81F7
	CASE(GL_LIGHT_MODEL_COLOR_CONTROL)	// 0x81F8
	CASE(GL_SINGLE_COLOR)	// 0x81F9
	CASE(GL_SEPARATE_SPECULAR_COLOR)	// 0x81FA
	CASE(GL_SHARED_TEXTURE_PALETTE_EXT)	// 0x81FB
	//CASE(GL_FOG_SCALE_SGIX)	// 0x81FC
	//CASE(GL_FOG_SCALE_VALUE_SGIX)	// 0x81FD
	CASE(GL_TEXT_FRAGMENT_SHADER_ATI)	// 0x8200
	CASE(GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING)	// 0x8210
	CASE(GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE)	// 0x8211
	CASE(GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE)	// 0x8212
	CASE(GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE)	// 0x8213
	CASE(GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE)	// 0x8214
	CASE(GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE)	// 0x8215
	CASE(GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE)	// 0x8216
	CASE(GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE)	// 0x8217
	CASE(GL_FRAMEBUFFER_DEFAULT)	// 0x8218
	CASE(GL_FRAMEBUFFER_UNDEFINED)	// 0x8219
	CASE(GL_DEPTH_STENCIL_ATTACHMENT)	// 0x821A
	CASE(GL_MAJOR_VERSION)	// 0x821B
	CASE(GL_MINOR_VERSION)	// 0x821C
	CASE(GL_NUM_EXTENSIONS)	// 0x821D
	CASE(GL_CONTEXT_FLAGS)	// 0x821E
	CASE(GL_INDEX)	// 0x8222
	CASE(GL_COMPRESSED_RED)	// 0x8225
	CASE(GL_COMPRESSED_RG)	// 0x8226
	CASE(GL_RG)	// 0x8227
	CASE(GL_RG_INTEGER)	// 0x8228
	CASE(GL_R8)	// 0x8229
	CASE(GL_R16)	// 0x822A
	CASE(GL_RG8)	// 0x822B
	CASE(GL_RG16)	// 0x822C
	CASE(GL_R16F)	// 0x822D
	CASE(GL_R32F)	// 0x822E
	CASE(GL_RG16F)	// 0x822F
	CASE(GL_RG32F)	// 0x8230
	CASE(GL_R8I)	// 0x8231
	CASE(GL_R8UI)	// 0x8232
	CASE(GL_R16I)	// 0x8233
	CASE(GL_R16UI)	// 0x8234
	CASE(GL_R32I)	// 0x8235
	CASE(GL_R32UI)	// 0x8236
	CASE(GL_RG8I)	// 0x8237
	CASE(GL_RG8UI)	// 0x8238
	CASE(GL_RG16I)	// 0x8239
	CASE(GL_RG16UI)	// 0x823A
	CASE(GL_RG32I)	// 0x823B
	CASE(GL_RG32UI)	// 0x823C
	CASE(GL_SYNC_CL_EVENT_ARB)	// 0x8240
	CASE(GL_SYNC_CL_EVENT_COMPLETE_ARB)	// 0x8241
	CASE(GL_DEBUG_OUTPUT_SYNCHRONOUS_ARB)	// 0x8242
	CASE(GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH_ARB)	// 0x8243
	CASE(GL_DEBUG_CALLBACK_FUNCTION_ARB)	// 0x8244
	CASE(GL_DEBUG_CALLBACK_USER_PARAM_ARB)	// 0x8245
	CASE(GL_DEBUG_SOURCE_API_ARB)	// 0x8246
	CASE(GL_DEBUG_SOURCE_WINDOW_SYSTEM_ARB)	// 0x8247
	CASE(GL_DEBUG_SOURCE_SHADER_COMPILER_ARB)	// 0x8248
	CASE(GL_DEBUG_SOURCE_THIRD_PARTY_ARB)	// 0x8249
	CASE(GL_DEBUG_SOURCE_APPLICATION_ARB)	// 0x824A
	CASE(GL_DEBUG_SOURCE_OTHER_ARB)	// 0x824B
	CASE(GL_DEBUG_TYPE_ERROR_ARB)	// 0x824C
	CASE(GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR_ARB)	// 0x824D
	CASE(GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR_ARB)	// 0x824E
	CASE(GL_DEBUG_TYPE_PORTABILITY_ARB)	// 0x824F
	CASE(GL_DEBUG_TYPE_PERFORMANCE_ARB)	// 0x8250
	CASE(GL_DEBUG_TYPE_OTHER_ARB)	// 0x8251
	CASE(GL_LOSE_CONTEXT_ON_RESET_ARB)	// 0x8252
	CASE(GL_GUILTY_CONTEXT_RESET_ARB)	// 0x8253
	CASE(GL_INNOCENT_CONTEXT_RESET_ARB)	// 0x8254
	CASE(GL_UNKNOWN_CONTEXT_RESET_ARB)	// 0x8255
	CASE(GL_RESET_NOTIFICATION_STRATEGY_ARB)	// 0x8256
	CASE(GL_PROGRAM_BINARY_RETRIEVABLE_HINT)	// 0x8257
	CASE(GL_PROGRAM_SEPARABLE)	// 0x8258
	CASE(GL_ACTIVE_PROGRAM)	// 0x8259
	CASE(GL_PROGRAM_PIPELINE_BINDING)	// 0x825A
	CASE(GL_MAX_VIEWPORTS)	// 0x825B
	CASE(GL_VIEWPORT_SUBPIXEL_BITS)	// 0x825C
	CASE(GL_VIEWPORT_BOUNDS_RANGE)	// 0x825D
	CASE(GL_LAYER_PROVOKING_VERTEX)	// 0x825E
	CASE(GL_VIEWPORT_INDEX_PROVOKING_VERTEX)	// 0x825F
	CASE(GL_UNDEFINED_VERTEX)	// 0x8260
	CASE(GL_NO_RESET_NOTIFICATION_ARB)	// 0x8261
	//CASE(GL_DEPTH_PASS_INSTRUMENT_SGIX)	// 0x8310
	//CASE(GL_DEPTH_PASS_INSTRUMENT_COUNTERS_SGIX)	// 0x8311
	//CASE(GL_DEPTH_PASS_INSTRUMENT_MAX_SGIX)	// 0x8312
	//CASE(GL_CONVOLUTION_HINT_SGIX)	// 0x8316
	//CASE(GL_YCRCB_SGIX)	// 0x8318
	//CASE(GL_YCRCBA_SGIX)	// 0x8319
	CASE(GL_ALPHA_MIN_SGIX)	// 0x8320
	CASE(GL_ALPHA_MAX_SGIX)	// 0x8321
	//CASE(GL_SCALEBIAS_HINT_SGIX)	// 0x8322
	CASE(GL_ASYNC_MARKER_SGIX)	// 0x8329
	//CASE(GL_PIXEL_TEX_GEN_MODE_SGIX)	// 0x832B
	CASE(GL_ASYNC_HISTOGRAM_SGIX)	// 0x832C
	CASE(GL_MAX_ASYNC_HISTOGRAM_SGIX)	// 0x832D
	CASE(GL_PIXEL_TRANSFORM_2D_EXT)	// 0x8330
	CASE(GL_PIXEL_MAG_FILTER_EXT)	// 0x8331
	CASE(GL_PIXEL_MIN_FILTER_EXT)	// 0x8332
	CASE(GL_PIXEL_CUBIC_WEIGHT_EXT)	// 0x8333
	CASE(GL_CUBIC_EXT)	// 0x8334
	CASE(GL_AVERAGE_EXT)	// 0x8335
	CASE(GL_PIXEL_TRANSFORM_2D_STACK_DEPTH_EXT)	// 0x8336
	CASE(GL_MAX_PIXEL_TRANSFORM_2D_STACK_DEPTH_EXT)	// 0x8337
	CASE(GL_PIXEL_TRANSFORM_2D_MATRIX_EXT)	// 0x8338
	CASE(GL_FRAGMENT_MATERIAL_EXT)	// 0x8349
	CASE(GL_FRAGMENT_NORMAL_EXT)	// 0x834A
	CASE(GL_FRAGMENT_COLOR_EXT)	// 0x834C
	CASE(GL_ATTENUATION_EXT)	// 0x834D
	CASE(GL_SHADOW_ATTENUATION_EXT)	// 0x834E
	CASE(GL_TEXTURE_APPLICATION_MODE_EXT)	// 0x834F
	CASE(GL_TEXTURE_LIGHT_EXT)	// 0x8350
	CASE(GL_TEXTURE_MATERIAL_FACE_EXT)	// 0x8351
	CASE(GL_TEXTURE_MATERIAL_PARAMETER_EXT)	// 0x8352
	//CASE(GL_PIXEL_TEXTURE_SGIS)	// 0x8353
	//CASE(GL_PIXEL_FRAGMENT_RGB_SOURCE_SGIS)	// 0x8354
	//CASE(GL_PIXEL_FRAGMENT_ALPHA_SOURCE_SGIS)	// 0x8355
	//CASE(GL_PIXEL_GROUP_COLOR_SGIS)	// 0x8356
	CASE(GL_ASYNC_TEX_IMAGE_SGIX)	// 0x835C
	CASE(GL_ASYNC_DRAW_PIXELS_SGIX)	// 0x835D
	CASE(GL_ASYNC_READ_PIXELS_SGIX)	// 0x835E
	CASE(GL_MAX_ASYNC_TEX_IMAGE_SGIX)	// 0x835F
	CASE(GL_MAX_ASYNC_DRAW_PIXELS_SGIX)	// 0x8360
	CASE(GL_MAX_ASYNC_READ_PIXELS_SGIX)	// 0x8361
	CASE(GL_UNSIGNED_BYTE_2_3_3_REV)	// 0x8362
	CASE(GL_UNSIGNED_SHORT_5_6_5)	// 0x8363
	CASE(GL_UNSIGNED_SHORT_5_6_5_REV)	// 0x8364
	CASE(GL_UNSIGNED_SHORT_4_4_4_4_REV)	// 0x8365
	CASE(GL_UNSIGNED_SHORT_1_5_5_5_REV)	// 0x8366
	CASE(GL_UNSIGNED_INT_8_8_8_8_REV)	// 0x8367
	CASE(GL_UNSIGNED_INT_2_10_10_10_REV)	// 0x8368
	CASE(GL_TEXTURE_MAX_CLAMP_S_SGIX)	// 0x8369
	CASE(GL_TEXTURE_MAX_CLAMP_T_SGIX)	// 0x836A
	CASE(GL_TEXTURE_MAX_CLAMP_R_SGIX)	// 0x836B
	CASE(GL_MIRRORED_REPEAT)	// 0x8370
	CASE(GL_RGB_S3TC)	// 0x83A0
	CASE(GL_RGB4_S3TC)	// 0x83A1
	CASE(GL_RGBA_S3TC)	// 0x83A2
	CASE(GL_RGBA4_S3TC)	// 0x83A3
	CASE(GL_VERTEX_PRECLIP_SGIX)	// 0x83EE
	CASE(GL_VERTEX_PRECLIP_HINT_SGIX)	// 0x83EF
	CASE(GL_COMPRESSED_RGB_S3TC_DXT1_EXT)	// 0x83F0
	CASE(GL_COMPRESSED_RGBA_S3TC_DXT1_EXT)	// 0x83F1
	CASE(GL_COMPRESSED_RGBA_S3TC_DXT3_EXT)	// 0x83F2
	CASE(GL_COMPRESSED_RGBA_S3TC_DXT5_EXT)	// 0x83F3
	CASE(GL_PARALLEL_ARRAYS_INTEL)	// 0x83F4
	CASE(GL_VERTEX_ARRAY_PARALLEL_POINTERS_INTEL)	// 0x83F5
	CASE(GL_NORMAL_ARRAY_PARALLEL_POINTERS_INTEL)	// 0x83F6
	CASE(GL_COLOR_ARRAY_PARALLEL_POINTERS_INTEL)	// 0x83F7
	CASE(GL_TEXTURE_COORD_ARRAY_PARALLEL_POINTERS_INTEL)	// 0x83F8
	//CASE(GL_FRAGMENT_LIGHTING_SGIX)	// 0x8400
	//CASE(GL_FRAGMENT_COLOR_MATERIAL_SGIX)	// 0x8401
	//CASE(GL_FRAGMENT_COLOR_MATERIAL_FACE_SGIX)	// 0x8402
	//CASE(GL_FRAGMENT_COLOR_MATERIAL_PARAMETER_SGIX)	// 0x8403
	//CASE(GL_MAX_FRAGMENT_LIGHTS_SGIX)	// 0x8404
	//CASE(GL_MAX_ACTIVE_LIGHTS_SGIX)	// 0x8405
	//CASE(GL_CURRENT_RASTER_NORMAL_SGIX)	// 0x8406
	//CASE(GL_LIGHT_ENV_MODE_SGIX)	// 0x8407
	//CASE(GL_FRAGMENT_LIGHT_MODEL_LOCAL_VIEWER_SGIX)	// 0x8408
	//CASE(GL_FRAGMENT_LIGHT_MODEL_TWO_SIDE_SGIX)	// 0x8409
	//CASE(GL_FRAGMENT_LIGHT_MODEL_AMBIENT_SGIX)	// 0x840A
	//CASE(GL_FRAGMENT_LIGHT_MODEL_NORMAL_INTERPOLATION_SGIX)	// 0x840B
	//CASE(GL_FRAGMENT_LIGHT0_SGIX)	// 0x840C
	//CASE(GL_FRAGMENT_LIGHT1_SGIX)	// 0x840D
	//CASE(GL_FRAGMENT_LIGHT2_SGIX)	// 0x840E
	//CASE(GL_FRAGMENT_LIGHT3_SGIX)	// 0x840F
	//CASE(GL_FRAGMENT_LIGHT4_SGIX)	// 0x8410
	//CASE(GL_FRAGMENT_LIGHT5_SGIX)	// 0x8411
	//CASE(GL_FRAGMENT_LIGHT6_SGIX)	// 0x8412
	//CASE(GL_FRAGMENT_LIGHT7_SGIX)	// 0x8413
	CASE(GL_PACK_RESAMPLE_SGIX)	// 0x842C
	CASE(GL_UNPACK_RESAMPLE_SGIX)	// 0x842D
	CASE(GL_RESAMPLE_REPLICATE_SGIX)	// 0x842E
	CASE(GL_RESAMPLE_ZERO_FILL_SGIX)	// 0x842F
	CASE(GL_RESAMPLE_DECIMATE_SGIX)	// 0x8430
	CASE(GL_TANGENT_ARRAY_EXT)	// 0x8439
	CASE(GL_BINORMAL_ARRAY_EXT)	// 0x843A
	CASE(GL_CURRENT_TANGENT_EXT)	// 0x843B
	CASE(GL_CURRENT_BINORMAL_EXT)	// 0x843C
	CASE(GL_TANGENT_ARRAY_TYPE_EXT)	// 0x843E
	CASE(GL_TANGENT_ARRAY_STRIDE_EXT)	// 0x843F
	CASE(GL_BINORMAL_ARRAY_TYPE_EXT)	// 0x8440
	CASE(GL_BINORMAL_ARRAY_STRIDE_EXT)	// 0x8441
	CASE(GL_TANGENT_ARRAY_POINTER_EXT)	// 0x8442
	CASE(GL_BINORMAL_ARRAY_POINTER_EXT)	// 0x8443
	CASE(GL_MAP1_TANGENT_EXT)	// 0x8444
	CASE(GL_MAP2_TANGENT_EXT)	// 0x8445
	CASE(GL_MAP1_BINORMAL_EXT)	// 0x8446
	CASE(GL_MAP2_BINORMAL_EXT)	// 0x8447
	//CASE(GL_NEAREST_CLIPMAP_NEAREST_SGIX)	// 0x844D
	//CASE(GL_NEAREST_CLIPMAP_LINEAR_SGIX)	// 0x844E
	//CASE(GL_LINEAR_CLIPMAP_NEAREST_SGIX)	// 0x844F
	CASE(GL_FOG_COORD_SRC)	// 0x8450
	CASE(GL_FOG_COORD)	// 0x8451
	CASE(GL_FRAGMENT_DEPTH)	// 0x8452
	CASE(GL_CURRENT_FOG_COORD)	// 0x8453
	CASE(GL_FOG_COORD_ARRAY_TYPE)	// 0x8454
	CASE(GL_FOG_COORD_ARRAY_STRIDE)	// 0x8455
	CASE(GL_FOG_COORD_ARRAY_POINTER)	// 0x8456
	CASE(GL_FOG_COORD_ARRAY)	// 0x8457
	CASE(GL_COLOR_SUM)	// 0x8458
	CASE(GL_CURRENT_SECONDARY_COLOR)	// 0x8459
	CASE(GL_SECONDARY_COLOR_ARRAY_SIZE)	// 0x845A
	CASE(GL_SECONDARY_COLOR_ARRAY_TYPE)	// 0x845B
	CASE(GL_SECONDARY_COLOR_ARRAY_STRIDE)	// 0x845C
	CASE(GL_SECONDARY_COLOR_ARRAY_POINTER)	// 0x845D
	CASE(GL_SECONDARY_COLOR_ARRAY)	// 0x845E
	CASE(GL_CURRENT_RASTER_SECONDARY_COLOR)	// 0x845F
	CASE(GL_ALIASED_POINT_SIZE_RANGE)	// 0x846D
	CASE(GL_ALIASED_LINE_WIDTH_RANGE)	// 0x846E
	CASE(GL_SCREEN_COORDINATES_REND)	// 0x8490
	CASE(GL_INVERTED_SCREEN_W_REND)	// 0x8491
	CASE(GL_TEXTURE0)	// 0x84C0
	CASE(GL_TEXTURE1)	// 0x84C1
	CASE(GL_TEXTURE2)	// 0x84C2
	CASE(GL_TEXTURE3)	// 0x84C3
	CASE(GL_TEXTURE4)	// 0x84C4
	CASE(GL_TEXTURE5)	// 0x84C5
	CASE(GL_TEXTURE6)	// 0x84C6
	CASE(GL_TEXTURE7)	// 0x84C7
	CASE(GL_TEXTURE8)	// 0x84C8
	CASE(GL_TEXTURE9)	// 0x84C9
	CASE(GL_TEXTURE10)	// 0x84CA
	CASE(GL_TEXTURE11)	// 0x84CB
	CASE(GL_TEXTURE12)	// 0x84CC
	CASE(GL_TEXTURE13)	// 0x84CD
	CASE(GL_TEXTURE14)	// 0x84CE
	CASE(GL_TEXTURE15)	// 0x84CF
	CASE(GL_TEXTURE16)	// 0x84D0
	CASE(GL_TEXTURE17)	// 0x84D1
	CASE(GL_TEXTURE18)	// 0x84D2
	CASE(GL_TEXTURE19)	// 0x84D3
	CASE(GL_TEXTURE20)	// 0x84D4
	CASE(GL_TEXTURE21)	// 0x84D5
	CASE(GL_TEXTURE22)	// 0x84D6
	CASE(GL_TEXTURE23)	// 0x84D7
	CASE(GL_TEXTURE24)	// 0x84D8
	CASE(GL_TEXTURE25)	// 0x84D9
	CASE(GL_TEXTURE26)	// 0x84DA
	CASE(GL_TEXTURE27)	// 0x84DB
	CASE(GL_TEXTURE28)	// 0x84DC
	CASE(GL_TEXTURE29)	// 0x84DD
	CASE(GL_TEXTURE30)	// 0x84DE
	CASE(GL_TEXTURE31)	// 0x84DF
	CASE(GL_ACTIVE_TEXTURE)	// 0x84E0
	CASE(GL_CLIENT_ACTIVE_TEXTURE)	// 0x84E1
	CASE(GL_MAX_TEXTURE_UNITS)	// 0x84E2
	CASE(GL_TRANSPOSE_MODELVIEW_MATRIX)	// 0x84E3
	CASE(GL_TRANSPOSE_PROJECTION_MATRIX)	// 0x84E4
	CASE(GL_TRANSPOSE_TEXTURE_MATRIX)	// 0x84E5
	CASE(GL_TRANSPOSE_COLOR_MATRIX)	// 0x84E6
	CASE(GL_SUBTRACT)	// 0x84E7
	CASE(GL_MAX_RENDERBUFFER_SIZE)	// 0x84E8
	CASE(GL_COMPRESSED_ALPHA)	// 0x84E9
	CASE(GL_COMPRESSED_LUMINANCE)	// 0x84EA
	CASE(GL_COMPRESSED_LUMINANCE_ALPHA)	// 0x84EB
	CASE(GL_COMPRESSED_INTENSITY)	// 0x84EC
	CASE(GL_COMPRESSED_RGB)	// 0x84ED
	CASE(GL_COMPRESSED_RGBA)	// 0x84EE
	CASE(GL_TEXTURE_COMPRESSION_HINT)	// 0x84EF
	CASE(GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_CONTROL_SHADER)	// 0x84F0
	CASE(GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_EVALUATION_SHADER)	// 0x84F1
	CASE(GL_ALL_COMPLETED_NV)	// 0x84F2
	CASE(GL_FENCE_STATUS_NV)	// 0x84F3
	CASE(GL_FENCE_CONDITION_NV)	// 0x84F4
	CASE(GL_TEXTURE_RECTANGLE)	// 0x84F5
	CASE(GL_TEXTURE_BINDING_RECTANGLE)	// 0x84F6
	CASE(GL_PROXY_TEXTURE_RECTANGLE)	// 0x84F7
	CASE(GL_MAX_RECTANGLE_TEXTURE_SIZE)	// 0x84F8
	CASE(GL_DEPTH_STENCIL)	// 0x84F9
	CASE(GL_UNSIGNED_INT_24_8)	// 0x84FA
	CASE(GL_MAX_TEXTURE_LOD_BIAS)	// 0x84FD
	CASE(GL_TEXTURE_MAX_ANISOTROPY_EXT)	// 0x84FE
	CASE(GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT)	// 0x84FF
	CASE(GL_TEXTURE_FILTER_CONTROL)	// 0x8500
	CASE(GL_TEXTURE_LOD_BIAS)	// 0x8501
	CASE(GL_MODELVIEW1_STACK_DEPTH_EXT)	// 0x8502
	CASE(GL_COMBINE4_NV)	// 0x8503
	CASE(GL_MAX_SHININESS_NV)	// 0x8504
	CASE(GL_MAX_SPOT_EXPONENT_NV)	// 0x8505
	CASE(GL_MODELVIEW1_MATRIX_EXT)	// 0x8506
	CASE(GL_INCR_WRAP)	// 0x8507
	CASE(GL_DECR_WRAP)	// 0x8508
	CASE(GL_VERTEX_WEIGHTING_EXT)	// 0x8509
	CASE(GL_MODELVIEW1_ARB)	// 0x850A
	CASE(GL_CURRENT_VERTEX_WEIGHT_EXT)	// 0x850B
	CASE(GL_VERTEX_WEIGHT_ARRAY_EXT)	// 0x850C
	CASE(GL_VERTEX_WEIGHT_ARRAY_SIZE_EXT)	// 0x850D
	CASE(GL_VERTEX_WEIGHT_ARRAY_TYPE_EXT)	// 0x850E
	CASE(GL_VERTEX_WEIGHT_ARRAY_STRIDE_EXT)	// 0x850F
	CASE(GL_VERTEX_WEIGHT_ARRAY_POINTER_EXT)	// 0x8510
	CASE(GL_NORMAL_MAP)	// 0x8511
	CASE(GL_REFLECTION_MAP)	// 0x8512
	CASE(GL_TEXTURE_CUBE_MAP)	// 0x8513
	CASE(GL_TEXTURE_BINDING_CUBE_MAP)	// 0x8514
	CASE(GL_TEXTURE_CUBE_MAP_POSITIVE_X)	// 0x8515
	CASE(GL_TEXTURE_CUBE_MAP_NEGATIVE_X)	// 0x8516
	CASE(GL_TEXTURE_CUBE_MAP_POSITIVE_Y)	// 0x8517
	CASE(GL_TEXTURE_CUBE_MAP_NEGATIVE_Y)	// 0x8518
	CASE(GL_TEXTURE_CUBE_MAP_POSITIVE_Z)	// 0x8519
	CASE(GL_TEXTURE_CUBE_MAP_NEGATIVE_Z)	// 0x851A
	CASE(GL_PROXY_TEXTURE_CUBE_MAP)	// 0x851B
	CASE(GL_MAX_CUBE_MAP_TEXTURE_SIZE)	// 0x851C
	CASE(GL_VERTEX_ARRAY_RANGE_NV)	// 0x851D
	CASE(GL_VERTEX_ARRAY_RANGE_LENGTH_NV)	// 0x851E
	CASE(GL_VERTEX_ARRAY_RANGE_VALID_NV)	// 0x851F
	CASE(GL_MAX_VERTEX_ARRAY_RANGE_ELEMENT_NV)	// 0x8520
	CASE(GL_VERTEX_ARRAY_RANGE_POINTER_NV)	// 0x8521
	CASE(GL_REGISTER_COMBINERS_NV)	// 0x8522
	CASE(GL_VARIABLE_A_NV)	// 0x8523
	CASE(GL_VARIABLE_B_NV)	// 0x8524
	CASE(GL_VARIABLE_C_NV)	// 0x8525
	CASE(GL_VARIABLE_D_NV)	// 0x8526
	CASE(GL_VARIABLE_E_NV)	// 0x8527
	CASE(GL_VARIABLE_F_NV)	// 0x8528
	CASE(GL_VARIABLE_G_NV)	// 0x8529
	CASE(GL_CONSTANT_COLOR0_NV)	// 0x852A
	CASE(GL_CONSTANT_COLOR1_NV)	// 0x852B
	CASE(GL_PRIMARY_COLOR_NV)	// 0x852C
	CASE(GL_SECONDARY_COLOR_NV)	// 0x852D
	CASE(GL_SPARE0_NV)	// 0x852E
	CASE(GL_SPARE1_NV)	// 0x852F
	CASE(GL_DISCARD_NV)	// 0x8530
	CASE(GL_E_TIMES_F_NV)	// 0x8531
	CASE(GL_SPARE0_PLUS_SECONDARY_COLOR_NV)	// 0x8532
	CASE(GL_VERTEX_ARRAY_RANGE_WITHOUT_FLUSH_NV)	// 0x8533
	CASE(GL_MULTISAMPLE_FILTER_HINT_NV)	// 0x8534
	CASE(GL_PER_STAGE_CONSTANTS_NV)	// 0x8535
	CASE(GL_UNSIGNED_IDENTITY_NV)	// 0x8536
	CASE(GL_UNSIGNED_INVERT_NV)	// 0x8537
	CASE(GL_EXPAND_NORMAL_NV)	// 0x8538
	CASE(GL_EXPAND_NEGATE_NV)	// 0x8539
	CASE(GL_HALF_BIAS_NORMAL_NV)	// 0x853A
	CASE(GL_HALF_BIAS_NEGATE_NV)	// 0x853B
	CASE(GL_SIGNED_IDENTITY_NV)	// 0x853C
	CASE(GL_SIGNED_NEGATE_NV)	// 0x853D
	CASE(GL_SCALE_BY_TWO_NV)	// 0x853E
	CASE(GL_SCALE_BY_FOUR_NV)	// 0x853F
	CASE(GL_SCALE_BY_ONE_HALF_NV)	// 0x8540
	CASE(GL_BIAS_BY_NEGATIVE_ONE_HALF_NV)	// 0x8541
	CASE(GL_COMBINER_INPUT_NV)	// 0x8542
	CASE(GL_COMBINER_MAPPING_NV)	// 0x8543
	CASE(GL_COMBINER_COMPONENT_USAGE_NV)	// 0x8544
	CASE(GL_COMBINER_AB_DOT_PRODUCT_NV)	// 0x8545
	CASE(GL_COMBINER_CD_DOT_PRODUCT_NV)	// 0x8546
	CASE(GL_COMBINER_MUX_SUM_NV)	// 0x8547
	CASE(GL_COMBINER_SCALE_NV)	// 0x8548
	CASE(GL_COMBINER_BIAS_NV)	// 0x8549
	CASE(GL_COMBINER_AB_OUTPUT_NV)	// 0x854A
	CASE(GL_COMBINER_CD_OUTPUT_NV)	// 0x854B
	CASE(GL_COMBINER_SUM_OUTPUT_NV)	// 0x854C
	CASE(GL_MAX_GENERAL_COMBINERS_NV)	// 0x854D
	CASE(GL_NUM_GENERAL_COMBINERS_NV)	// 0x854E
	CASE(GL_COLOR_SUM_CLAMP_NV)	// 0x854F
	CASE(GL_COMBINER0_NV)	// 0x8550
	CASE(GL_COMBINER1_NV)	// 0x8551
	CASE(GL_COMBINER2_NV)	// 0x8552
	CASE(GL_COMBINER3_NV)	// 0x8553
	CASE(GL_COMBINER4_NV)	// 0x8554
	CASE(GL_COMBINER5_NV)	// 0x8555
	CASE(GL_COMBINER6_NV)	// 0x8556
	CASE(GL_COMBINER7_NV)	// 0x8557
	CASE(GL_PRIMITIVE_RESTART_NV)	// 0x8558
	CASE(GL_PRIMITIVE_RESTART_INDEX_NV)	// 0x8559
	CASE(GL_FOG_DISTANCE_MODE_NV)	// 0x855A
	CASE(GL_EYE_RADIAL_NV)	// 0x855B
	CASE(GL_EYE_PLANE_ABSOLUTE_NV)	// 0x855C
	CASE(GL_EMBOSS_LIGHT_NV)	// 0x855D
	CASE(GL_EMBOSS_CONSTANT_NV)	// 0x855E
	CASE(GL_EMBOSS_MAP_NV)	// 0x855F
	CASE(GL_RED_MIN_CLAMP_INGR)	// 0x8560
	CASE(GL_GREEN_MIN_CLAMP_INGR)	// 0x8561
	CASE(GL_BLUE_MIN_CLAMP_INGR)	// 0x8562
	CASE(GL_ALPHA_MIN_CLAMP_INGR)	// 0x8563
	CASE(GL_RED_MAX_CLAMP_INGR)	// 0x8564
	CASE(GL_GREEN_MAX_CLAMP_INGR)	// 0x8565
	CASE(GL_BLUE_MAX_CLAMP_INGR)	// 0x8566
	CASE(GL_ALPHA_MAX_CLAMP_INGR)	// 0x8567
	CASE(GL_INTERLACE_READ_INGR)	// 0x8568
	CASE(GL_COMBINE)	// 0x8570
	CASE(GL_COMBINE_RGB)	// 0x8571
	CASE(GL_COMBINE_ALPHA)	// 0x8572
	CASE(GL_RGB_SCALE)	// 0x8573
	CASE(GL_ADD_SIGNED)	// 0x8574
	CASE(GL_INTERPOLATE)	// 0x8575
	CASE(GL_CONSTANT)	// 0x8576
	CASE(GL_PRIMARY_COLOR)	// 0x8577
	CASE(GL_PREVIOUS)	// 0x8578
	CASE(GL_SRC0_RGB)	// 0x8580
	CASE(GL_SRC1_RGB)	// 0x8581
	CASE(GL_SRC2_RGB)	// 0x8582
	CASE(GL_SOURCE3_RGB_NV)	// 0x8583
	CASE(GL_SRC0_ALPHA)	// 0x8588
	CASE(GL_SRC1_ALPHA)	// 0x8589
	CASE(GL_SRC2_ALPHA)	// 0x858A
	CASE(GL_SOURCE3_ALPHA_NV)	// 0x858B
	CASE(GL_OPERAND0_RGB)	// 0x8590
	CASE(GL_OPERAND1_RGB)	// 0x8591
	CASE(GL_OPERAND2_RGB)	// 0x8592
	CASE(GL_OPERAND3_RGB_NV)	// 0x8593
	CASE(GL_OPERAND0_ALPHA)	// 0x8598
	CASE(GL_OPERAND1_ALPHA)	// 0x8599
	CASE(GL_OPERAND2_ALPHA)	// 0x859A
	CASE(GL_OPERAND3_ALPHA_NV)	// 0x859B
	//CASE(GL_PACK_SUBSAMPLE_RATE_SGIX)	// 0x85A0
	//CASE(GL_UNPACK_SUBSAMPLE_RATE_SGIX)	// 0x85A1
	//CASE(GL_PIXEL_SUBSAMPLE_4444_SGIX)	// 0x85A2
	//CASE(GL_PIXEL_SUBSAMPLE_2424_SGIX)	// 0x85A3
	//CASE(GL_PIXEL_SUBSAMPLE_4242_SGIX)	// 0x85A4
	CASE(GL_PERTURB_EXT)	// 0x85AE
	CASE(GL_TEXTURE_NORMAL_EXT)	// 0x85AF
	CASE(GL_LIGHT_MODEL_SPECULAR_VECTOR_APPLE)	// 0x85B0
	CASE(GL_TRANSFORM_HINT_APPLE)	// 0x85B1
	CASE(GL_UNPACK_CLIENT_STORAGE_APPLE)	// 0x85B2
	CASE(GL_BUFFER_OBJECT_APPLE)	// 0x85B3
	CASE(GL_STORAGE_CLIENT_APPLE)	// 0x85B4
	CASE(GL_VERTEX_ARRAY_BINDING)	// 0x85B5
	CASE(GL_TEXTURE_RANGE_LENGTH_APPLE)	// 0x85B7
	CASE(GL_TEXTURE_RANGE_POINTER_APPLE)	// 0x85B8
	CASE(GL_YCBCR_422_APPLE)	// 0x85B9
	CASE(GL_UNSIGNED_SHORT_8_8_MESA)	// 0x85BA
	CASE(GL_UNSIGNED_SHORT_8_8_REV_MESA)	// 0x85BB
	CASE(GL_TEXTURE_STORAGE_HINT_APPLE)	// 0x85BC
	CASE(GL_STORAGE_PRIVATE_APPLE)	// 0x85BD
	CASE(GL_STORAGE_CACHED_APPLE)	// 0x85BE
	CASE(GL_STORAGE_SHARED_APPLE)	// 0x85BF
	CASE(GL_REPLACEMENT_CODE_ARRAY_SUN)	// 0x85C0
	CASE(GL_REPLACEMENT_CODE_ARRAY_TYPE_SUN)	// 0x85C1
	CASE(GL_REPLACEMENT_CODE_ARRAY_STRIDE_SUN)	// 0x85C2
	CASE(GL_REPLACEMENT_CODE_ARRAY_POINTER_SUN)	// 0x85C3
	CASE(GL_R1UI_V3F_SUN)	// 0x85C4
	CASE(GL_R1UI_C4UB_V3F_SUN)	// 0x85C5
	CASE(GL_R1UI_C3F_V3F_SUN)	// 0x85C6
	CASE(GL_R1UI_N3F_V3F_SUN)	// 0x85C7
	CASE(GL_R1UI_C4F_N3F_V3F_SUN)	// 0x85C8
	CASE(GL_R1UI_T2F_V3F_SUN)	// 0x85C9
	CASE(GL_R1UI_T2F_N3F_V3F_SUN)	// 0x85CA
	CASE(GL_R1UI_T2F_C4F_N3F_V3F_SUN)	// 0x85CB
	CASE(GL_SLICE_ACCUM_SUN)	// 0x85CC
	CASE(GL_QUAD_MESH_SUN)	// 0x8614
	CASE(GL_TRIANGLE_MESH_SUN)	// 0x8615
	CASE(GL_VERTEX_PROGRAM_ARB)	// 0x8620
	CASE(GL_VERTEX_STATE_PROGRAM_NV)	// 0x8621
	CASE(GL_VERTEX_ATTRIB_ARRAY_ENABLED)	// 0x8622
	CASE(GL_VERTEX_ATTRIB_ARRAY_SIZE)	// 0x8623
	CASE(GL_VERTEX_ATTRIB_ARRAY_STRIDE)	// 0x8624
	CASE(GL_VERTEX_ATTRIB_ARRAY_TYPE)	// 0x8625
	CASE(GL_CURRENT_VERTEX_ATTRIB)	// 0x8626
	CASE(GL_PROGRAM_LENGTH_ARB)	// 0x8627
	CASE(GL_PROGRAM_STRING_ARB)	// 0x8628
	CASE(GL_MODELVIEW_PROJECTION_NV)	// 0x8629
	CASE(GL_IDENTITY_NV)	// 0x862A
	CASE(GL_INVERSE_NV)	// 0x862B
	CASE(GL_TRANSPOSE_NV)	// 0x862C
	CASE(GL_INVERSE_TRANSPOSE_NV)	// 0x862D
	CASE(GL_MAX_PROGRAM_MATRIX_STACK_DEPTH_ARB)	// 0x862E
	CASE(GL_MAX_PROGRAM_MATRICES_ARB)	// 0x862F
	CASE(GL_MATRIX0_NV)	// 0x8630
	CASE(GL_MATRIX1_NV)	// 0x8631
	CASE(GL_MATRIX2_NV)	// 0x8632
	CASE(GL_MATRIX3_NV)	// 0x8633
	CASE(GL_MATRIX4_NV)	// 0x8634
	CASE(GL_MATRIX5_NV)	// 0x8635
	CASE(GL_MATRIX6_NV)	// 0x8636
	CASE(GL_MATRIX7_NV)	// 0x8637
	CASE(GL_CURRENT_MATRIX_STACK_DEPTH_ARB)	// 0x8640
	CASE(GL_CURRENT_MATRIX_ARB)	// 0x8641
	CASE(GL_PROGRAM_POINT_SIZE)	// 0x8642
	CASE(GL_VERTEX_PROGRAM_TWO_SIDE)	// 0x8643
	CASE(GL_PROGRAM_PARAMETER_NV)	// 0x8644
	CASE(GL_VERTEX_ATTRIB_ARRAY_POINTER)	// 0x8645
	CASE(GL_PROGRAM_TARGET_NV)	// 0x8646
	CASE(GL_PROGRAM_RESIDENT_NV)	// 0x8647
	CASE(GL_TRACK_MATRIX_NV)	// 0x8648
	CASE(GL_TRACK_MATRIX_TRANSFORM_NV)	// 0x8649
	CASE(GL_VERTEX_PROGRAM_BINDING_NV)	// 0x864A
	CASE(GL_PROGRAM_ERROR_POSITION_ARB)	// 0x864B
	CASE(GL_OFFSET_TEXTURE_RECTANGLE_NV)	// 0x864C
	CASE(GL_OFFSET_TEXTURE_RECTANGLE_SCALE_NV)	// 0x864D
	CASE(GL_DOT_PRODUCT_TEXTURE_RECTANGLE_NV)	// 0x864E
	CASE(GL_DEPTH_CLAMP)	// 0x864F
	CASE(GL_VERTEX_ATTRIB_ARRAY0_NV)	// 0x8650
	CASE(GL_VERTEX_ATTRIB_ARRAY1_NV)	// 0x8651
	CASE(GL_VERTEX_ATTRIB_ARRAY2_NV)	// 0x8652
	CASE(GL_VERTEX_ATTRIB_ARRAY3_NV)	// 0x8653
	CASE(GL_VERTEX_ATTRIB_ARRAY4_NV)	// 0x8654
	CASE(GL_VERTEX_ATTRIB_ARRAY5_NV)	// 0x8655
	CASE(GL_VERTEX_ATTRIB_ARRAY6_NV)	// 0x8656
	CASE(GL_VERTEX_ATTRIB_ARRAY7_NV)	// 0x8657
	CASE(GL_VERTEX_ATTRIB_ARRAY8_NV)	// 0x8658
	CASE(GL_VERTEX_ATTRIB_ARRAY9_NV)	// 0x8659
	CASE(GL_VERTEX_ATTRIB_ARRAY10_NV)	// 0x865A
	CASE(GL_VERTEX_ATTRIB_ARRAY11_NV)	// 0x865B
	CASE(GL_VERTEX_ATTRIB_ARRAY12_NV)	// 0x865C
	CASE(GL_VERTEX_ATTRIB_ARRAY13_NV)	// 0x865D
	CASE(GL_VERTEX_ATTRIB_ARRAY14_NV)	// 0x865E
	CASE(GL_VERTEX_ATTRIB_ARRAY15_NV)	// 0x865F
	CASE(GL_MAP1_VERTEX_ATTRIB0_4_NV)	// 0x8660
	CASE(GL_MAP1_VERTEX_ATTRIB1_4_NV)	// 0x8661
	CASE(GL_MAP1_VERTEX_ATTRIB2_4_NV)	// 0x8662
	CASE(GL_MAP1_VERTEX_ATTRIB3_4_NV)	// 0x8663
	CASE(GL_MAP1_VERTEX_ATTRIB4_4_NV)	// 0x8664
	CASE(GL_MAP1_VERTEX_ATTRIB5_4_NV)	// 0x8665
	CASE(GL_MAP1_VERTEX_ATTRIB6_4_NV)	// 0x8666
	CASE(GL_MAP1_VERTEX_ATTRIB7_4_NV)	// 0x8667
	CASE(GL_MAP1_VERTEX_ATTRIB8_4_NV)	// 0x8668
	CASE(GL_MAP1_VERTEX_ATTRIB9_4_NV)	// 0x8669
	CASE(GL_MAP1_VERTEX_ATTRIB10_4_NV)	// 0x866A
	CASE(GL_MAP1_VERTEX_ATTRIB11_4_NV)	// 0x866B
	CASE(GL_MAP1_VERTEX_ATTRIB12_4_NV)	// 0x866C
	CASE(GL_MAP1_VERTEX_ATTRIB13_4_NV)	// 0x866D
	CASE(GL_MAP1_VERTEX_ATTRIB14_4_NV)	// 0x866E
	CASE(GL_MAP1_VERTEX_ATTRIB15_4_NV)	// 0x866F
	CASE(GL_MAP2_VERTEX_ATTRIB0_4_NV)	// 0x8670
	CASE(GL_MAP2_VERTEX_ATTRIB1_4_NV)	// 0x8671
	CASE(GL_MAP2_VERTEX_ATTRIB2_4_NV)	// 0x8672
	CASE(GL_MAP2_VERTEX_ATTRIB3_4_NV)	// 0x8673
	CASE(GL_MAP2_VERTEX_ATTRIB4_4_NV)	// 0x8674
	CASE(GL_MAP2_VERTEX_ATTRIB5_4_NV)	// 0x8675
	CASE(GL_MAP2_VERTEX_ATTRIB6_4_NV)	// 0x8676
	CASE(GL_PROGRAM_BINDING_ARB)	// 0x8677
	CASE(GL_MAP2_VERTEX_ATTRIB8_4_NV)	// 0x8678
	CASE(GL_MAP2_VERTEX_ATTRIB9_4_NV)	// 0x8679
	CASE(GL_MAP2_VERTEX_ATTRIB10_4_NV)	// 0x867A
	CASE(GL_MAP2_VERTEX_ATTRIB11_4_NV)	// 0x867B
	CASE(GL_MAP2_VERTEX_ATTRIB12_4_NV)	// 0x867C
	CASE(GL_MAP2_VERTEX_ATTRIB13_4_NV)	// 0x867D
	CASE(GL_MAP2_VERTEX_ATTRIB14_4_NV)	// 0x867E
	CASE(GL_MAP2_VERTEX_ATTRIB15_4_NV)	// 0x867F
	CASE(GL_TEXTURE_COMPRESSED_IMAGE_SIZE)	// 0x86A0
	CASE(GL_TEXTURE_COMPRESSED)	// 0x86A1
	CASE(GL_NUM_COMPRESSED_TEXTURE_FORMATS)	// 0x86A2
	//XXX: the list is GL_NUM_COMPRESSED_TEXTURES
	//CASE(GL_COMPRESSED_TEXTURE_FORMATS)	# 0x86A3
	CASE(GL_MAX_VERTEX_UNITS_ARB)	// 0x86A4
	CASE(GL_ACTIVE_VERTEX_UNITS_ARB)	// 0x86A5
	CASE(GL_WEIGHT_SUM_UNITY_ARB)	// 0x86A6
	CASE(GL_VERTEX_BLEND_ARB)	// 0x86A7
	CASE(GL_CURRENT_WEIGHT_ARB)	// 0x86A8
	CASE(GL_WEIGHT_ARRAY_TYPE_ARB)	// 0x86A9
	CASE(GL_WEIGHT_ARRAY_STRIDE_ARB)	// 0x86AA
	CASE(GL_WEIGHT_ARRAY_SIZE_ARB)	// 0x86AB
	CASE(GL_WEIGHT_ARRAY_POINTER_ARB)	// 0x86AC
	CASE(GL_WEIGHT_ARRAY_ARB)	// 0x86AD
	CASE(GL_DOT3_RGB)	// 0x86AE
	CASE(GL_DOT3_RGBA)	// 0x86AF
	CASE(GL_COMPRESSED_RGB_FXT1_3DFX)	// 0x86B0
	CASE(GL_COMPRESSED_RGBA_FXT1_3DFX)	// 0x86B1
	CASE(GL_MULTISAMPLE_3DFX)	// 0x86B2
	CASE(GL_SAMPLE_BUFFERS_3DFX)	// 0x86B3
	CASE(GL_SAMPLES_3DFX)	// 0x86B4
	CASE(GL_EVAL_2D_NV)	// 0x86C0
	CASE(GL_EVAL_TRIANGULAR_2D_NV)	// 0x86C1
	CASE(GL_MAP_TESSELLATION_NV)	// 0x86C2
	CASE(GL_MAP_ATTRIB_U_ORDER_NV)	// 0x86C3
	CASE(GL_MAP_ATTRIB_V_ORDER_NV)	// 0x86C4
	CASE(GL_EVAL_FRACTIONAL_TESSELLATION_NV)	// 0x86C5
	CASE(GL_EVAL_VERTEX_ATTRIB0_NV)	// 0x86C6
	CASE(GL_EVAL_VERTEX_ATTRIB1_NV)	// 0x86C7
	CASE(GL_EVAL_VERTEX_ATTRIB2_NV)	// 0x86C8
	CASE(GL_EVAL_VERTEX_ATTRIB3_NV)	// 0x86C9
	CASE(GL_EVAL_VERTEX_ATTRIB4_NV)	// 0x86CA
	CASE(GL_EVAL_VERTEX_ATTRIB5_NV)	// 0x86CB
	CASE(GL_EVAL_VERTEX_ATTRIB6_NV)	// 0x86CC
	CASE(GL_EVAL_VERTEX_ATTRIB7_NV)	// 0x86CD
	CASE(GL_EVAL_VERTEX_ATTRIB8_NV)	// 0x86CE
	CASE(GL_EVAL_VERTEX_ATTRIB9_NV)	// 0x86CF
	CASE(GL_EVAL_VERTEX_ATTRIB10_NV)	// 0x86D0
	CASE(GL_EVAL_VERTEX_ATTRIB11_NV)	// 0x86D1
	CASE(GL_EVAL_VERTEX_ATTRIB12_NV)	// 0x86D2
	CASE(GL_EVAL_VERTEX_ATTRIB13_NV)	// 0x86D3
	CASE(GL_EVAL_VERTEX_ATTRIB14_NV)	// 0x86D4
	CASE(GL_EVAL_VERTEX_ATTRIB15_NV)	// 0x86D5
	CASE(GL_MAX_MAP_TESSELLATION_NV)	// 0x86D6
	CASE(GL_MAX_RATIONAL_EVAL_ORDER_NV)	// 0x86D7
	CASE(GL_MAX_PROGRAM_PATCH_ATTRIBS_NV)	// 0x86D8
	CASE(GL_RGBA_UNSIGNED_DOT_PRODUCT_MAPPING_NV)	// 0x86D9
	CASE(GL_UNSIGNED_INT_S8_S8_8_8_NV)	// 0x86DA
	CASE(GL_UNSIGNED_INT_8_8_S8_S8_REV_NV)	// 0x86DB
	CASE(GL_DSDT_MAG_INTENSITY_NV)	// 0x86DC
	CASE(GL_SHADER_CONSISTENT_NV)	// 0x86DD
	CASE(GL_TEXTURE_SHADER_NV)	// 0x86DE
	CASE(GL_SHADER_OPERATION_NV)	// 0x86DF
	CASE(GL_CULL_MODES_NV)	// 0x86E0
	CASE(GL_OFFSET_TEXTURE_MATRIX_NV)	// 0x86E1
	CASE(GL_OFFSET_TEXTURE_SCALE_NV)	// 0x86E2
	CASE(GL_OFFSET_TEXTURE_BIAS_NV)	// 0x86E3
	CASE(GL_PREVIOUS_TEXTURE_INPUT_NV)	// 0x86E4
	CASE(GL_CONST_EYE_NV)	// 0x86E5
	CASE(GL_PASS_THROUGH_NV)	// 0x86E6
	CASE(GL_CULL_FRAGMENT_NV)	// 0x86E7
	CASE(GL_OFFSET_TEXTURE_2D_NV)	// 0x86E8
	CASE(GL_DEPENDENT_AR_TEXTURE_2D_NV)	// 0x86E9
	CASE(GL_DEPENDENT_GB_TEXTURE_2D_NV)	// 0x86EA
	CASE(GL_SURFACE_STATE_NV)	// 0x86EB
	CASE(GL_DOT_PRODUCT_NV)	// 0x86EC
	CASE(GL_DOT_PRODUCT_DEPTH_REPLACE_NV)	// 0x86ED
	CASE(GL_DOT_PRODUCT_TEXTURE_2D_NV)	// 0x86EE
	CASE(GL_DOT_PRODUCT_TEXTURE_3D_NV)	// 0x86EF
	CASE(GL_DOT_PRODUCT_TEXTURE_CUBE_MAP_NV)	// 0x86F0
	CASE(GL_DOT_PRODUCT_DIFFUSE_CUBE_MAP_NV)	// 0x86F1
	CASE(GL_DOT_PRODUCT_REFLECT_CUBE_MAP_NV)	// 0x86F2
	CASE(GL_DOT_PRODUCT_CONST_EYE_REFLECT_CUBE_MAP_NV)	// 0x86F3
	CASE(GL_HILO_NV)	// 0x86F4
	CASE(GL_DSDT_NV)	// 0x86F5
	CASE(GL_DSDT_MAG_NV)	// 0x86F6
	CASE(GL_DSDT_MAG_VIB_NV)	// 0x86F7
	CASE(GL_HILO16_NV)	// 0x86F8
	CASE(GL_SIGNED_HILO_NV)	// 0x86F9
	CASE(GL_SIGNED_HILO16_NV)	// 0x86FA
	CASE(GL_SIGNED_RGBA_NV)	// 0x86FB
	CASE(GL_SIGNED_RGBA8_NV)	// 0x86FC
	CASE(GL_SURFACE_REGISTERED_NV)	// 0x86FD
	CASE(GL_SIGNED_RGB_NV)	// 0x86FE
	CASE(GL_SIGNED_RGB8_NV)	// 0x86FF
	CASE(GL_SURFACE_MAPPED_NV)	// 0x8700
	CASE(GL_SIGNED_LUMINANCE_NV)	// 0x8701
	CASE(GL_SIGNED_LUMINANCE8_NV)	// 0x8702
	CASE(GL_SIGNED_LUMINANCE_ALPHA_NV)	// 0x8703
	CASE(GL_SIGNED_LUMINANCE8_ALPHA8_NV)	// 0x8704
	CASE(GL_SIGNED_ALPHA_NV)	// 0x8705
	CASE(GL_SIGNED_ALPHA8_NV)	// 0x8706
	CASE(GL_SIGNED_INTENSITY_NV)	// 0x8707
	CASE(GL_SIGNED_INTENSITY8_NV)	// 0x8708
	CASE(GL_DSDT8_NV)	// 0x8709
	CASE(GL_DSDT8_MAG8_NV)	// 0x870A
	CASE(GL_DSDT8_MAG8_INTENSITY8_NV)	// 0x870B
	CASE(GL_SIGNED_RGB_UNSIGNED_ALPHA_NV)	// 0x870C
	CASE(GL_SIGNED_RGB8_UNSIGNED_ALPHA8_NV)	// 0x870D
	CASE(GL_HI_SCALE_NV)	// 0x870E
	CASE(GL_LO_SCALE_NV)	// 0x870F
	CASE(GL_DS_SCALE_NV)	// 0x8710
	CASE(GL_DT_SCALE_NV)	// 0x8711
	CASE(GL_MAGNITUDE_SCALE_NV)	// 0x8712
	CASE(GL_VIBRANCE_SCALE_NV)	// 0x8713
	CASE(GL_HI_BIAS_NV)	// 0x8714
	CASE(GL_LO_BIAS_NV)	// 0x8715
	CASE(GL_DS_BIAS_NV)	// 0x8716
	CASE(GL_DT_BIAS_NV)	// 0x8717
	CASE(GL_MAGNITUDE_BIAS_NV)	// 0x8718
	CASE(GL_VIBRANCE_BIAS_NV)	// 0x8719
	CASE(GL_TEXTURE_BORDER_VALUES_NV)	// 0x871A
	CASE(GL_TEXTURE_HI_SIZE_NV)	// 0x871B
	CASE(GL_TEXTURE_LO_SIZE_NV)	// 0x871C
	CASE(GL_TEXTURE_DS_SIZE_NV)	// 0x871D
	CASE(GL_TEXTURE_DT_SIZE_NV)	// 0x871E
	CASE(GL_TEXTURE_MAG_SIZE_NV)	// 0x871F
	CASE(GL_MODELVIEW2_ARB)	// 0x8722
	CASE(GL_MODELVIEW3_ARB)	// 0x8723
	CASE(GL_MODELVIEW4_ARB)	// 0x8724
	CASE(GL_MODELVIEW5_ARB)	// 0x8725
	CASE(GL_MODELVIEW6_ARB)	// 0x8726
	CASE(GL_MODELVIEW7_ARB)	// 0x8727
	CASE(GL_MODELVIEW8_ARB)	// 0x8728
	CASE(GL_MODELVIEW9_ARB)	// 0x8729
	CASE(GL_MODELVIEW10_ARB)	// 0x872A
	CASE(GL_MODELVIEW11_ARB)	// 0x872B
	CASE(GL_MODELVIEW12_ARB)	// 0x872C
	CASE(GL_MODELVIEW13_ARB)	// 0x872D
	CASE(GL_MODELVIEW14_ARB)	// 0x872E
	CASE(GL_MODELVIEW15_ARB)	// 0x872F
	CASE(GL_MODELVIEW16_ARB)	// 0x8730
	CASE(GL_MODELVIEW17_ARB)	// 0x8731
	CASE(GL_MODELVIEW18_ARB)	// 0x8732
	CASE(GL_MODELVIEW19_ARB)	// 0x8733
	CASE(GL_MODELVIEW20_ARB)	// 0x8734
	CASE(GL_MODELVIEW21_ARB)	// 0x8735
	CASE(GL_MODELVIEW22_ARB)	// 0x8736
	CASE(GL_MODELVIEW23_ARB)	// 0x8737
	CASE(GL_MODELVIEW24_ARB)	// 0x8738
	CASE(GL_MODELVIEW25_ARB)	// 0x8739
	CASE(GL_MODELVIEW26_ARB)	// 0x873A
	CASE(GL_MODELVIEW27_ARB)	// 0x873B
	CASE(GL_MODELVIEW28_ARB)	// 0x873C
	CASE(GL_MODELVIEW29_ARB)	// 0x873D
	CASE(GL_MODELVIEW30_ARB)	// 0x873E
	CASE(GL_MODELVIEW31_ARB)	// 0x873F
	CASE(GL_DOT3_RGB_EXT)	// 0x8740
	CASE(GL_DOT3_RGBA_EXT)	// 0x8741
	CASE(GL_MIRROR_CLAMP_ATI)	// 0x8742
	CASE(GL_MIRROR_CLAMP_TO_EDGE_ATI)	// 0x8743
	CASE(GL_MODULATE_ADD_ATI)	// 0x8744
	CASE(GL_MODULATE_SIGNED_ADD_ATI)	// 0x8745
	CASE(GL_MODULATE_SUBTRACT_ATI)	// 0x8746
	CASE(GL_YCBCR_MESA)	// 0x8757
	CASE(GL_PACK_INVERT_MESA)	// 0x8758
	CASE(GL_TEXTURE_1D_STACK_MESAX)	// 0x8759
	CASE(GL_TEXTURE_2D_STACK_MESAX)	// 0x875A
	CASE(GL_PROXY_TEXTURE_1D_STACK_MESAX)	// 0x875B
	CASE(GL_PROXY_TEXTURE_2D_STACK_MESAX)	// 0x875C
	CASE(GL_TEXTURE_1D_STACK_BINDING_MESAX)	// 0x875D
	CASE(GL_TEXTURE_2D_STACK_BINDING_MESAX)	// 0x875E
	CASE(GL_STATIC_ATI)	// 0x8760
	CASE(GL_DYNAMIC_ATI)	// 0x8761
	CASE(GL_PRESERVE_ATI)	// 0x8762
	CASE(GL_DISCARD_ATI)	// 0x8763
	CASE(GL_BUFFER_SIZE)	// 0x8764
	CASE(GL_BUFFER_USAGE)	// 0x8765
	CASE(GL_ARRAY_OBJECT_BUFFER_ATI)	// 0x8766
	CASE(GL_ARRAY_OBJECT_OFFSET_ATI)	// 0x8767
	CASE(GL_ELEMENT_ARRAY_ATI)	// 0x8768
	CASE(GL_ELEMENT_ARRAY_TYPE_ATI)	// 0x8769
	CASE(GL_ELEMENT_ARRAY_POINTER_ATI)	// 0x876A
	CASE(GL_MAX_VERTEX_STREAMS_ATI)	// 0x876B
	CASE(GL_VERTEX_STREAM0_ATI)	// 0x876C
	CASE(GL_VERTEX_STREAM1_ATI)	// 0x876D
	CASE(GL_VERTEX_STREAM2_ATI)	// 0x876E
	CASE(GL_VERTEX_STREAM3_ATI)	// 0x876F
	CASE(GL_VERTEX_STREAM4_ATI)	// 0x8770
	CASE(GL_VERTEX_STREAM5_ATI)	// 0x8771
	CASE(GL_VERTEX_STREAM6_ATI)	// 0x8772
	CASE(GL_VERTEX_STREAM7_ATI)	// 0x8773
	CASE(GL_VERTEX_SOURCE_ATI)	// 0x8774
	CASE(GL_BUMP_ROT_MATRIX_ATI)	// 0x8775
	CASE(GL_BUMP_ROT_MATRIX_SIZE_ATI)	// 0x8776
	CASE(GL_BUMP_NUM_TEX_UNITS_ATI)	// 0x8777
	CASE(GL_BUMP_TEX_UNITS_ATI)	// 0x8778
	CASE(GL_DUDV_ATI)	// 0x8779
	CASE(GL_DU8DV8_ATI)	// 0x877A
	CASE(GL_BUMP_ENVMAP_ATI)	// 0x877B
	CASE(GL_BUMP_TARGET_ATI)	// 0x877C
	CASE(GL_VERTEX_SHADER_EXT)	// 0x8780
	CASE(GL_VERTEX_SHADER_BINDING_EXT)	// 0x8781
	CASE(GL_OP_INDEX_EXT)	// 0x8782
	CASE(GL_OP_NEGATE_EXT)	// 0x8783
	CASE(GL_OP_DOT3_EXT)	// 0x8784
	CASE(GL_OP_DOT4_EXT)	// 0x8785
	CASE(GL_OP_MUL_EXT)	// 0x8786
	CASE(GL_OP_ADD_EXT)	// 0x8787
	CASE(GL_OP_MADD_EXT)	// 0x8788
	CASE(GL_OP_FRAC_EXT)	// 0x8789
	CASE(GL_OP_MAX_EXT)	// 0x878A
	CASE(GL_OP_MIN_EXT)	// 0x878B
	CASE(GL_OP_SET_GE_EXT)	// 0x878C
	CASE(GL_OP_SET_LT_EXT)	// 0x878D
	CASE(GL_OP_CLAMP_EXT)	// 0x878E
	CASE(GL_OP_FLOOR_EXT)	// 0x878F
	CASE(GL_OP_ROUND_EXT)	// 0x8790
	CASE(GL_OP_EXP_BASE_2_EXT)	// 0x8791
	CASE(GL_OP_LOG_BASE_2_EXT)	// 0x8792
	CASE(GL_OP_POWER_EXT)	// 0x8793
	CASE(GL_OP_RECIP_EXT)	// 0x8794
	CASE(GL_OP_RECIP_SQRT_EXT)	// 0x8795
	CASE(GL_OP_SUB_EXT)	// 0x8796
	CASE(GL_OP_CROSS_PRODUCT_EXT)	// 0x8797
	CASE(GL_OP_MULTIPLY_MATRIX_EXT)	// 0x8798
	CASE(GL_OP_MOV_EXT)	// 0x8799
	CASE(GL_OUTPUT_VERTEX_EXT)	// 0x879A
	CASE(GL_OUTPUT_COLOR0_EXT)	// 0x879B
	CASE(GL_OUTPUT_COLOR1_EXT)	// 0x879C
	CASE(GL_OUTPUT_TEXTURE_COORD0_EXT)	// 0x879D
	CASE(GL_OUTPUT_TEXTURE_COORD1_EXT)	// 0x879E
	CASE(GL_OUTPUT_TEXTURE_COORD2_EXT)	// 0x879F
	CASE(GL_OUTPUT_TEXTURE_COORD3_EXT)	// 0x87A0
	CASE(GL_OUTPUT_TEXTURE_COORD4_EXT)	// 0x87A1
	CASE(GL_OUTPUT_TEXTURE_COORD5_EXT)	// 0x87A2
	CASE(GL_OUTPUT_TEXTURE_COORD6_EXT)	// 0x87A3
	CASE(GL_OUTPUT_TEXTURE_COORD7_EXT)	// 0x87A4
	CASE(GL_OUTPUT_TEXTURE_COORD8_EXT)	// 0x87A5
	CASE(GL_OUTPUT_TEXTURE_COORD9_EXT)	// 0x87A6
	CASE(GL_OUTPUT_TEXTURE_COORD10_EXT)	// 0x87A7
	CASE(GL_OUTPUT_TEXTURE_COORD11_EXT)	// 0x87A8
	CASE(GL_OUTPUT_TEXTURE_COORD12_EXT)	// 0x87A9
	CASE(GL_OUTPUT_TEXTURE_COORD13_EXT)	// 0x87AA
	CASE(GL_OUTPUT_TEXTURE_COORD14_EXT)	// 0x87AB
	CASE(GL_OUTPUT_TEXTURE_COORD15_EXT)	// 0x87AC
	CASE(GL_OUTPUT_TEXTURE_COORD16_EXT)	// 0x87AD
	CASE(GL_OUTPUT_TEXTURE_COORD17_EXT)	// 0x87AE
	CASE(GL_OUTPUT_TEXTURE_COORD18_EXT)	// 0x87AF
	CASE(GL_OUTPUT_TEXTURE_COORD19_EXT)	// 0x87B0
	CASE(GL_OUTPUT_TEXTURE_COORD20_EXT)	// 0x87B1
	CASE(GL_OUTPUT_TEXTURE_COORD21_EXT)	// 0x87B2
	CASE(GL_OUTPUT_TEXTURE_COORD22_EXT)	// 0x87B3
	CASE(GL_OUTPUT_TEXTURE_COORD23_EXT)	// 0x87B4
	CASE(GL_OUTPUT_TEXTURE_COORD24_EXT)	// 0x87B5
	CASE(GL_OUTPUT_TEXTURE_COORD25_EXT)	// 0x87B6
	CASE(GL_OUTPUT_TEXTURE_COORD26_EXT)	// 0x87B7
	CASE(GL_OUTPUT_TEXTURE_COORD27_EXT)	// 0x87B8
	CASE(GL_OUTPUT_TEXTURE_COORD28_EXT)	// 0x87B9
	CASE(GL_OUTPUT_TEXTURE_COORD29_EXT)	// 0x87BA
	CASE(GL_OUTPUT_TEXTURE_COORD30_EXT)	// 0x87BB
	CASE(GL_OUTPUT_TEXTURE_COORD31_EXT)	// 0x87BC
	CASE(GL_OUTPUT_FOG_EXT)	// 0x87BD
	CASE(GL_SCALAR_EXT)	// 0x87BE
	CASE(GL_VECTOR_EXT)	// 0x87BF
	CASE(GL_MATRIX_EXT)	// 0x87C0
	CASE(GL_VARIANT_EXT)	// 0x87C1
	CASE(GL_INVARIANT_EXT)	// 0x87C2
	CASE(GL_LOCAL_CONSTANT_EXT)	// 0x87C3
	CASE(GL_LOCAL_EXT)	// 0x87C4
	CASE(GL_MAX_VERTEX_SHADER_INSTRUCTIONS_EXT)	// 0x87C5
	CASE(GL_MAX_VERTEX_SHADER_VARIANTS_EXT)	// 0x87C6
	CASE(GL_MAX_VERTEX_SHADER_INVARIANTS_EXT)	// 0x87C7
	CASE(GL_MAX_VERTEX_SHADER_LOCAL_CONSTANTS_EXT)	// 0x87C8
	CASE(GL_MAX_VERTEX_SHADER_LOCALS_EXT)	// 0x87C9
	CASE(GL_MAX_OPTIMIZED_VERTEX_SHADER_INSTRUCTIONS_EXT)	// 0x87CA
	CASE(GL_MAX_OPTIMIZED_VERTEX_SHADER_VARIANTS_EXT)	// 0x87CB
	CASE(GL_MAX_OPTIMIZED_VERTEX_SHADER_LOCAL_CONSTANTS_EXT)	// 0x87CC
	CASE(GL_MAX_OPTIMIZED_VERTEX_SHADER_INVARIANTS_EXT)	// 0x87CD
	CASE(GL_MAX_OPTIMIZED_VERTEX_SHADER_LOCALS_EXT)	// 0x87CE
	CASE(GL_VERTEX_SHADER_INSTRUCTIONS_EXT)	// 0x87CF
	CASE(GL_VERTEX_SHADER_VARIANTS_EXT)	// 0x87D0
	CASE(GL_VERTEX_SHADER_INVARIANTS_EXT)	// 0x87D1
	CASE(GL_VERTEX_SHADER_LOCAL_CONSTANTS_EXT)	// 0x87D2
	CASE(GL_VERTEX_SHADER_LOCALS_EXT)	// 0x87D3
	CASE(GL_VERTEX_SHADER_OPTIMIZED_EXT)	// 0x87D4
	CASE(GL_X_EXT)	// 0x87D5
	CASE(GL_Y_EXT)	// 0x87D6
	CASE(GL_Z_EXT)	// 0x87D7
	CASE(GL_W_EXT)	// 0x87D8
	CASE(GL_NEGATIVE_X_EXT)	// 0x87D9
	CASE(GL_NEGATIVE_Y_EXT)	// 0x87DA
	CASE(GL_NEGATIVE_Z_EXT)	// 0x87DB
	CASE(GL_NEGATIVE_W_EXT)	// 0x87DC
	CASE(GL_ZERO_EXT)	// 0x87DD
	CASE(GL_ONE_EXT)	// 0x87DE
	CASE(GL_NEGATIVE_ONE_EXT)	// 0x87DF
	CASE(GL_NORMALIZED_RANGE_EXT)	// 0x87E0
	CASE(GL_FULL_RANGE_EXT)	// 0x87E1
	CASE(GL_CURRENT_VERTEX_EXT)	// 0x87E2
	CASE(GL_MVP_MATRIX_EXT)	// 0x87E3
	CASE(GL_VARIANT_VALUE_EXT)	// 0x87E4
	CASE(GL_VARIANT_DATATYPE_EXT)	// 0x87E5
	CASE(GL_VARIANT_ARRAY_STRIDE_EXT)	// 0x87E6
	CASE(GL_VARIANT_ARRAY_TYPE_EXT)	// 0x87E7
	CASE(GL_VARIANT_ARRAY_EXT)	// 0x87E8
	CASE(GL_VARIANT_ARRAY_POINTER_EXT)	// 0x87E9
	CASE(GL_INVARIANT_VALUE_EXT)	// 0x87EA
	CASE(GL_INVARIANT_DATATYPE_EXT)	// 0x87EB
	CASE(GL_LOCAL_CONSTANT_VALUE_EXT)	// 0x87EC
	CASE(GL_LOCAL_CONSTANT_DATATYPE_EXT)	// 0x87ED
	CASE(GL_PN_TRIANGLES_ATI)	// 0x87F0
	CASE(GL_MAX_PN_TRIANGLES_TESSELATION_LEVEL_ATI)	// 0x87F1
	CASE(GL_PN_TRIANGLES_POINT_MODE_ATI)	// 0x87F2
	CASE(GL_PN_TRIANGLES_NORMAL_MODE_ATI)	// 0x87F3
	CASE(GL_PN_TRIANGLES_TESSELATION_LEVEL_ATI)	// 0x87F4
	CASE(GL_PN_TRIANGLES_POINT_MODE_LINEAR_ATI)	// 0x87F5
	CASE(GL_PN_TRIANGLES_POINT_MODE_CUBIC_ATI)	// 0x87F6
	CASE(GL_PN_TRIANGLES_NORMAL_MODE_LINEAR_ATI)	// 0x87F7
	CASE(GL_PN_TRIANGLES_NORMAL_MODE_QUADRATIC_ATI)	// 0x87F8
	CASE(GL_VBO_FREE_MEMORY_ATI)	// 0x87FB
	CASE(GL_TEXTURE_FREE_MEMORY_ATI)	// 0x87FC
	CASE(GL_RENDERBUFFER_FREE_MEMORY_ATI)	// 0x87FD
	CASE(GL_NUM_PROGRAM_BINARY_FORMATS)	// 0x87FE
	CASE(GL_PROGRAM_BINARY_FORMATS)	// 0x87FF
	CASE(GL_STENCIL_BACK_FUNC)	// 0x8800
	CASE(GL_STENCIL_BACK_FAIL)	// 0x8801
	CASE(GL_STENCIL_BACK_PASS_DEPTH_FAIL)	// 0x8802
	CASE(GL_STENCIL_BACK_PASS_DEPTH_PASS)	// 0x8803
	CASE(GL_FRAGMENT_PROGRAM_ARB)	// 0x8804
	CASE(GL_PROGRAM_ALU_INSTRUCTIONS_ARB)	// 0x8805
	CASE(GL_PROGRAM_TEX_INSTRUCTIONS_ARB)	// 0x8806
	CASE(GL_PROGRAM_TEX_INDIRECTIONS_ARB)	// 0x8807
	CASE(GL_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB)	// 0x8808
	CASE(GL_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB)	// 0x8809
	CASE(GL_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB)	// 0x880A
	CASE(GL_MAX_PROGRAM_ALU_INSTRUCTIONS_ARB)	// 0x880B
	CASE(GL_MAX_PROGRAM_TEX_INSTRUCTIONS_ARB)	// 0x880C
	CASE(GL_MAX_PROGRAM_TEX_INDIRECTIONS_ARB)	// 0x880D
	CASE(GL_MAX_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB)	// 0x880E
	CASE(GL_MAX_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB)	// 0x880F
	CASE(GL_MAX_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB)	// 0x8810
	CASE(GL_RGBA32F)	// 0x8814
	CASE(GL_RGB32F)	// 0x8815
	CASE(GL_ALPHA32F_ARB)	// 0x8816
	CASE(GL_INTENSITY32F_ARB)	// 0x8817
	CASE(GL_LUMINANCE32F_ARB)	// 0x8818
	CASE(GL_LUMINANCE_ALPHA32F_ARB)	// 0x8819
	CASE(GL_RGBA16F)	// 0x881A
	CASE(GL_RGB16F)	// 0x881B
	CASE(GL_ALPHA16F_ARB)	// 0x881C
	CASE(GL_INTENSITY16F_ARB)	// 0x881D
	CASE(GL_LUMINANCE16F_ARB)	// 0x881E
	CASE(GL_LUMINANCE_ALPHA16F_ARB)	// 0x881F
	CASE(GL_RGBA_FLOAT_MODE_ARB)	// 0x8820
	CASE(GL_MAX_DRAW_BUFFERS)	// 0x8824
	CASE(GL_DRAW_BUFFER0)	// 0x8825
	CASE(GL_DRAW_BUFFER1)	// 0x8826
	CASE(GL_DRAW_BUFFER2)	// 0x8827
	CASE(GL_DRAW_BUFFER3)	// 0x8828
	CASE(GL_DRAW_BUFFER4)	// 0x8829
	CASE(GL_DRAW_BUFFER5)	// 0x882A
	CASE(GL_DRAW_BUFFER6)	// 0x882B
	CASE(GL_DRAW_BUFFER7)	// 0x882C
	CASE(GL_DRAW_BUFFER8)	// 0x882D
	CASE(GL_DRAW_BUFFER9)	// 0x882E
	CASE(GL_DRAW_BUFFER10)	// 0x882F
	CASE(GL_DRAW_BUFFER11)	// 0x8830
	CASE(GL_DRAW_BUFFER12)	// 0x8831
	CASE(GL_DRAW_BUFFER13)	// 0x8832
	CASE(GL_DRAW_BUFFER14)	// 0x8833
	CASE(GL_DRAW_BUFFER15)	// 0x8834
	//CASE(GL_COLOR_CLEAR_UNCLAMPED_VALUE_ATI)	// 0x8835
	CASE(GL_BLEND_EQUATION_ALPHA)	// 0x883D
	CASE(GL_MATRIX_PALETTE_ARB)	// 0x8840
	CASE(GL_MAX_MATRIX_PALETTE_STACK_DEPTH_ARB)	// 0x8841
	CASE(GL_MAX_PALETTE_MATRICES_ARB)	// 0x8842
	CASE(GL_CURRENT_PALETTE_MATRIX_ARB)	// 0x8843
	CASE(GL_MATRIX_INDEX_ARRAY_ARB)	// 0x8844
	CASE(GL_CURRENT_MATRIX_INDEX_ARB)	// 0x8845
	CASE(GL_MATRIX_INDEX_ARRAY_SIZE_ARB)	// 0x8846
	CASE(GL_MATRIX_INDEX_ARRAY_TYPE_ARB)	// 0x8847
	CASE(GL_MATRIX_INDEX_ARRAY_STRIDE_ARB)	// 0x8848
	CASE(GL_MATRIX_INDEX_ARRAY_POINTER_ARB)	// 0x8849
	CASE(GL_TEXTURE_DEPTH_SIZE)	// 0x884A
	CASE(GL_DEPTH_TEXTURE_MODE)	// 0x884B
	CASE(GL_TEXTURE_COMPARE_MODE)	// 0x884C
	CASE(GL_TEXTURE_COMPARE_FUNC)	// 0x884D
	CASE(GL_COMPARE_REF_TO_TEXTURE)	// 0x884E
	CASE(GL_TEXTURE_CUBE_MAP_SEAMLESS)	// 0x884F
	CASE(GL_OFFSET_PROJECTIVE_TEXTURE_2D_NV)	// 0x8850
	CASE(GL_OFFSET_PROJECTIVE_TEXTURE_2D_SCALE_NV)	// 0x8851
	CASE(GL_OFFSET_PROJECTIVE_TEXTURE_RECTANGLE_NV)	// 0x8852
	CASE(GL_OFFSET_PROJECTIVE_TEXTURE_RECTANGLE_SCALE_NV)	// 0x8853
	CASE(GL_OFFSET_HILO_TEXTURE_2D_NV)	// 0x8854
	CASE(GL_OFFSET_HILO_TEXTURE_RECTANGLE_NV)	// 0x8855
	CASE(GL_OFFSET_HILO_PROJECTIVE_TEXTURE_2D_NV)	// 0x8856
	CASE(GL_OFFSET_HILO_PROJECTIVE_TEXTURE_RECTANGLE_NV)	// 0x8857
	CASE(GL_DEPENDENT_HILO_TEXTURE_2D_NV)	// 0x8858
	CASE(GL_DEPENDENT_RGB_TEXTURE_3D_NV)	// 0x8859
	CASE(GL_DEPENDENT_RGB_TEXTURE_CUBE_MAP_NV)	// 0x885A
	CASE(GL_DOT_PRODUCT_PASS_THROUGH_NV)	// 0x885B
	CASE(GL_DOT_PRODUCT_TEXTURE_1D_NV)	// 0x885C
	CASE(GL_DOT_PRODUCT_AFFINE_DEPTH_REPLACE_NV)	// 0x885D
	CASE(GL_HILO8_NV)	// 0x885E
	CASE(GL_SIGNED_HILO8_NV)	// 0x885F
	CASE(GL_FORCE_BLUE_TO_ONE_NV)	// 0x8860
	CASE(GL_POINT_SPRITE)	// 0x8861
	CASE(GL_COORD_REPLACE)	// 0x8862
	CASE(GL_POINT_SPRITE_R_MODE_NV)	// 0x8863
	CASE(GL_QUERY_COUNTER_BITS)	// 0x8864
	CASE(GL_CURRENT_QUERY)	// 0x8865
	CASE(GL_QUERY_RESULT)	// 0x8866
	CASE(GL_QUERY_RESULT_AVAILABLE)	// 0x8867
	CASE(GL_MAX_FRAGMENT_PROGRAM_LOCAL_PARAMETERS_NV)	// 0x8868
	CASE(GL_MAX_VERTEX_ATTRIBS)	// 0x8869
	CASE(GL_VERTEX_ATTRIB_ARRAY_NORMALIZED)	// 0x886A
	CASE(GL_MAX_TESS_CONTROL_INPUT_COMPONENTS)	// 0x886C
	CASE(GL_MAX_TESS_EVALUATION_INPUT_COMPONENTS)	// 0x886D
	CASE(GL_DEPTH_STENCIL_TO_RGBA_NV)	// 0x886E
	CASE(GL_DEPTH_STENCIL_TO_BGRA_NV)	// 0x886F
	CASE(GL_FRAGMENT_PROGRAM_NV)	// 0x8870
	CASE(GL_MAX_TEXTURE_COORDS)	// 0x8871
	CASE(GL_MAX_TEXTURE_IMAGE_UNITS)	// 0x8872
	CASE(GL_FRAGMENT_PROGRAM_BINDING_NV)	// 0x8873
	CASE(GL_PROGRAM_ERROR_STRING_ARB)	// 0x8874
	CASE(GL_PROGRAM_FORMAT_ASCII_ARB)	// 0x8875
	CASE(GL_PROGRAM_FORMAT_ARB)	// 0x8876
	CASE(GL_WRITE_PIXEL_DATA_RANGE_NV)	// 0x8878
	CASE(GL_READ_PIXEL_DATA_RANGE_NV)	// 0x8879
	CASE(GL_WRITE_PIXEL_DATA_RANGE_LENGTH_NV)	// 0x887A
	CASE(GL_READ_PIXEL_DATA_RANGE_LENGTH_NV)	// 0x887B
	CASE(GL_WRITE_PIXEL_DATA_RANGE_POINTER_NV)	// 0x887C
	CASE(GL_READ_PIXEL_DATA_RANGE_POINTER_NV)	// 0x887D
	CASE(GL_GEOMETRY_SHADER_INVOCATIONS)	// 0x887F
	CASE(GL_FLOAT_R_NV)	// 0x8880
	CASE(GL_FLOAT_RG_NV)	// 0x8881
	CASE(GL_FLOAT_RGB_NV)	// 0x8882
	CASE(GL_FLOAT_RGBA_NV)	// 0x8883
	CASE(GL_FLOAT_R16_NV)	// 0x8884
	CASE(GL_FLOAT_R32_NV)	// 0x8885
	CASE(GL_FLOAT_RG16_NV)	// 0x8886
	CASE(GL_FLOAT_RG32_NV)	// 0x8887
	CASE(GL_FLOAT_RGB16_NV)	// 0x8888
	CASE(GL_FLOAT_RGB32_NV)	// 0x8889
	CASE(GL_FLOAT_RGBA16_NV)	// 0x888A
	CASE(GL_FLOAT_RGBA32_NV)	// 0x888B
	CASE(GL_TEXTURE_FLOAT_COMPONENTS_NV)	// 0x888C
	CASE(GL_FLOAT_CLEAR_COLOR_VALUE_NV)	// 0x888D
	CASE(GL_FLOAT_RGBA_MODE_NV)	// 0x888E
	CASE(GL_TEXTURE_UNSIGNED_REMAP_MODE_NV)	// 0x888F
	CASE(GL_DEPTH_BOUNDS_TEST_EXT)	// 0x8890
	CASE(GL_DEPTH_BOUNDS_EXT)	// 0x8891
	CASE(GL_ARRAY_BUFFER)	// 0x8892
	CASE(GL_ELEMENT_ARRAY_BUFFER)	// 0x8893
	CASE(GL_ARRAY_BUFFER_BINDING)	// 0x8894
	CASE(GL_ELEMENT_ARRAY_BUFFER_BINDING)	// 0x8895
	CASE(GL_VERTEX_ARRAY_BUFFER_BINDING)	// 0x8896
	CASE(GL_NORMAL_ARRAY_BUFFER_BINDING)	// 0x8897
	CASE(GL_COLOR_ARRAY_BUFFER_BINDING)	// 0x8898
	CASE(GL_INDEX_ARRAY_BUFFER_BINDING)	// 0x8899
	CASE(GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING)	// 0x889A
	CASE(GL_EDGE_FLAG_ARRAY_BUFFER_BINDING)	// 0x889B
	CASE(GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING)	// 0x889C
	CASE(GL_FOG_COORD_ARRAY_BUFFER_BINDING)	// 0x889D
	CASE(GL_WEIGHT_ARRAY_BUFFER_BINDING)	// 0x889E
	CASE(GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING)	// 0x889F
	CASE(GL_PROGRAM_INSTRUCTIONS_ARB)	// 0x88A0
	CASE(GL_MAX_PROGRAM_INSTRUCTIONS_ARB)	// 0x88A1
	CASE(GL_PROGRAM_NATIVE_INSTRUCTIONS_ARB)	// 0x88A2
	CASE(GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB)	// 0x88A3
	CASE(GL_PROGRAM_TEMPORARIES_ARB)	// 0x88A4
	CASE(GL_MAX_PROGRAM_TEMPORARIES_ARB)	// 0x88A5
	CASE(GL_PROGRAM_NATIVE_TEMPORARIES_ARB)	// 0x88A6
	CASE(GL_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB)	// 0x88A7
	CASE(GL_PROGRAM_PARAMETERS_ARB)	// 0x88A8
	CASE(GL_MAX_PROGRAM_PARAMETERS_ARB)	// 0x88A9
	CASE(GL_PROGRAM_NATIVE_PARAMETERS_ARB)	// 0x88AA
	CASE(GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB)	// 0x88AB
	CASE(GL_PROGRAM_ATTRIBS_ARB)	// 0x88AC
	CASE(GL_MAX_PROGRAM_ATTRIBS_ARB)	// 0x88AD
	CASE(GL_PROGRAM_NATIVE_ATTRIBS_ARB)	// 0x88AE
	CASE(GL_MAX_PROGRAM_NATIVE_ATTRIBS_ARB)	// 0x88AF
	CASE(GL_PROGRAM_ADDRESS_REGISTERS_ARB)	// 0x88B0
	CASE(GL_MAX_PROGRAM_ADDRESS_REGISTERS_ARB)	// 0x88B1
	CASE(GL_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB)	// 0x88B2
	CASE(GL_MAX_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB)	// 0x88B3
	CASE(GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB)	// 0x88B4
	CASE(GL_MAX_PROGRAM_ENV_PARAMETERS_ARB)	// 0x88B5
	CASE(GL_PROGRAM_UNDER_NATIVE_LIMITS_ARB)	// 0x88B6
	CASE(GL_TRANSPOSE_CURRENT_MATRIX_ARB)	// 0x88B7
	CASE(GL_READ_ONLY)	// 0x88B8
	CASE(GL_WRITE_ONLY)	// 0x88B9
	CASE(GL_READ_WRITE)	// 0x88BA
	CASE(GL_BUFFER_ACCESS)	// 0x88BB
	CASE(GL_BUFFER_MAPPED)	// 0x88BC
	CASE(GL_BUFFER_MAP_POINTER)	// 0x88BD
	CASE(GL_WRITE_DISCARD_NV)	// 0x88BE
	CASE(GL_TIME_ELAPSED)	// 0x88BF
	CASE(GL_MATRIX0_ARB)	// 0x88C0
	CASE(GL_MATRIX1_ARB)	// 0x88C1
	CASE(GL_MATRIX2_ARB)	// 0x88C2
	CASE(GL_MATRIX3_ARB)	// 0x88C3
	CASE(GL_MATRIX4_ARB)	// 0x88C4
	CASE(GL_MATRIX5_ARB)	// 0x88C5
	CASE(GL_MATRIX6_ARB)	// 0x88C6
	CASE(GL_MATRIX7_ARB)	// 0x88C7
	CASE(GL_MATRIX8_ARB)	// 0x88C8
	CASE(GL_MATRIX9_ARB)	// 0x88C9
	CASE(GL_MATRIX10_ARB)	// 0x88CA
	CASE(GL_MATRIX11_ARB)	// 0x88CB
	CASE(GL_MATRIX12_ARB)	// 0x88CC
	CASE(GL_MATRIX13_ARB)	// 0x88CD
	CASE(GL_MATRIX14_ARB)	// 0x88CE
	CASE(GL_MATRIX15_ARB)	// 0x88CF
	CASE(GL_MATRIX16_ARB)	// 0x88D0
	CASE(GL_MATRIX17_ARB)	// 0x88D1
	CASE(GL_MATRIX18_ARB)	// 0x88D2
	CASE(GL_MATRIX19_ARB)	// 0x88D3
	CASE(GL_MATRIX20_ARB)	// 0x88D4
	CASE(GL_MATRIX21_ARB)	// 0x88D5
	CASE(GL_MATRIX22_ARB)	// 0x88D6
	CASE(GL_MATRIX23_ARB)	// 0x88D7
	CASE(GL_MATRIX24_ARB)	// 0x88D8
	CASE(GL_MATRIX25_ARB)	// 0x88D9
	CASE(GL_MATRIX26_ARB)	// 0x88DA
	CASE(GL_MATRIX27_ARB)	// 0x88DB
	CASE(GL_MATRIX28_ARB)	// 0x88DC
	CASE(GL_MATRIX29_ARB)	// 0x88DD
	CASE(GL_MATRIX30_ARB)	// 0x88DE
	CASE(GL_MATRIX31_ARB)	// 0x88DF
	CASE(GL_STREAM_DRAW)	// 0x88E0
	CASE(GL_STREAM_READ)	// 0x88E1
	CASE(GL_STREAM_COPY)	// 0x88E2
	CASE(GL_STATIC_DRAW)	// 0x88E4
	CASE(GL_STATIC_READ)	// 0x88E5
	CASE(GL_STATIC_COPY)	// 0x88E6
	CASE(GL_DYNAMIC_DRAW)	// 0x88E8
	CASE(GL_DYNAMIC_READ)	// 0x88E9
	CASE(GL_DYNAMIC_COPY)	// 0x88EA
	CASE(GL_PIXEL_PACK_BUFFER)	// 0x88EB
	CASE(GL_PIXEL_UNPACK_BUFFER)	// 0x88EC
	CASE(GL_PIXEL_PACK_BUFFER_BINDING)	// 0x88ED
	CASE(GL_PIXEL_UNPACK_BUFFER_BINDING)	// 0x88EF
	CASE(GL_DEPTH24_STENCIL8)	// 0x88F0
	CASE(GL_TEXTURE_STENCIL_SIZE)	// 0x88F1
	CASE(GL_STENCIL_TAG_BITS_EXT)	// 0x88F2
	CASE(GL_STENCIL_CLEAR_TAG_VALUE_EXT)	// 0x88F3
	CASE(GL_MAX_PROGRAM_EXEC_INSTRUCTIONS_NV)	// 0x88F4
	CASE(GL_MAX_PROGRAM_CALL_DEPTH_NV)	// 0x88F5
	CASE(GL_MAX_PROGRAM_IF_DEPTH_NV)	// 0x88F6
	CASE(GL_MAX_PROGRAM_LOOP_DEPTH_NV)	// 0x88F7
	CASE(GL_MAX_PROGRAM_LOOP_COUNT_NV)	// 0x88F8
	CASE(GL_SRC1_COLOR)	// 0x88F9
	CASE(GL_ONE_MINUS_SRC1_COLOR)	// 0x88FA
	CASE(GL_ONE_MINUS_SRC1_ALPHA)	// 0x88FB
	CASE(GL_MAX_DUAL_SOURCE_DRAW_BUFFERS)	// 0x88FC
	CASE(GL_VERTEX_ATTRIB_ARRAY_INTEGER)	// 0x88FD
	CASE(GL_VERTEX_ATTRIB_ARRAY_DIVISOR)	// 0x88FE
	CASE(GL_MAX_ARRAY_TEXTURE_LAYERS)	// 0x88FF
	CASE(GL_MIN_PROGRAM_TEXEL_OFFSET)	// 0x8904
	CASE(GL_MAX_PROGRAM_TEXEL_OFFSET)	// 0x8905
	CASE(GL_PROGRAM_ATTRIB_COMPONENTS_NV)	// 0x8906
	CASE(GL_PROGRAM_RESULT_COMPONENTS_NV)	// 0x8907
	CASE(GL_MAX_PROGRAM_ATTRIB_COMPONENTS_NV)	// 0x8908
	CASE(GL_MAX_PROGRAM_RESULT_COMPONENTS_NV)	// 0x8909
	CASE(GL_STENCIL_TEST_TWO_SIDE_EXT)	// 0x8910
	CASE(GL_ACTIVE_STENCIL_FACE_EXT)	// 0x8911
	CASE(GL_MIRROR_CLAMP_TO_BORDER_EXT)	// 0x8912
	CASE(GL_SAMPLES_PASSED)	// 0x8914
	CASE(GL_GEOMETRY_VERTICES_OUT)	// 0x8916
	CASE(GL_GEOMETRY_INPUT_TYPE)	// 0x8917
	CASE(GL_GEOMETRY_OUTPUT_TYPE)	// 0x8918
	CASE(GL_SAMPLER_BINDING)	// 0x8919
	CASE(GL_CLAMP_VERTEX_COLOR)	// 0x891A
	CASE(GL_CLAMP_FRAGMENT_COLOR)	// 0x891B
	CASE(GL_CLAMP_READ_COLOR)	// 0x891C
	CASE(GL_FIXED_ONLY)	// 0x891D
	CASE(GL_TESS_CONTROL_PROGRAM_NV)	// 0x891E
	CASE(GL_TESS_EVALUATION_PROGRAM_NV)	// 0x891F
	CASE(GL_FRAGMENT_SHADER_ATI)	// 0x8920
	//CASE(GL_REG_0_ATI)	// 0x8921
	//CASE(GL_REG_1_ATI)	// 0x8922
	//CASE(GL_REG_2_ATI)	// 0x8923
	//CASE(GL_REG_3_ATI)	// 0x8924
	//CASE(GL_REG_4_ATI)	// 0x8925
	//CASE(GL_REG_5_ATI)	// 0x8926
	//CASE(GL_REG_6_ATI)	// 0x8927
	//CASE(GL_REG_7_ATI)	// 0x8928
	//CASE(GL_REG_8_ATI)	// 0x8929
	//CASE(GL_REG_9_ATI)	// 0x892A
	//CASE(GL_REG_10_ATI)	// 0x892B
	//CASE(GL_REG_11_ATI)	// 0x892C
	//CASE(GL_REG_12_ATI)	// 0x892D
	//CASE(GL_REG_13_ATI)	// 0x892E
	//CASE(GL_REG_14_ATI)	// 0x892F
	//CASE(GL_REG_15_ATI)	// 0x8930
	//CASE(GL_REG_16_ATI)	// 0x8931
	//CASE(GL_REG_17_ATI)	// 0x8932
	//CASE(GL_REG_18_ATI)	// 0x8933
	//CASE(GL_REG_19_ATI)	// 0x8934
	//CASE(GL_REG_20_ATI)	// 0x8935
	//CASE(GL_REG_21_ATI)	// 0x8936
	//CASE(GL_REG_22_ATI)	// 0x8937
	//CASE(GL_REG_23_ATI)	// 0x8938
	//CASE(GL_REG_24_ATI)	// 0x8939
	//CASE(GL_REG_25_ATI)	// 0x893A
	//CASE(GL_REG_26_ATI)	// 0x893B
	//CASE(GL_REG_27_ATI)	// 0x893C
	//CASE(GL_REG_28_ATI)	// 0x893D
	//CASE(GL_REG_29_ATI)	// 0x893E
	//CASE(GL_REG_30_ATI)	// 0x893F
	//CASE(GL_REG_31_ATI)	// 0x8940
	//CASE(GL_CON_0_ATI)	// 0x8941
	//CASE(GL_CON_1_ATI)	// 0x8942
	//CASE(GL_CON_2_ATI)	// 0x8943
	//CASE(GL_CON_3_ATI)	// 0x8944
	//CASE(GL_CON_4_ATI)	// 0x8945
	//CASE(GL_CON_5_ATI)	// 0x8946
	//CASE(GL_CON_6_ATI)	// 0x8947
	//CASE(GL_CON_7_ATI)	// 0x8948
	//CASE(GL_CON_8_ATI)	// 0x8949
	//CASE(GL_CON_9_ATI)	// 0x894A
	//CASE(GL_CON_10_ATI)	// 0x894B
	//CASE(GL_CON_11_ATI)	// 0x894C
	//CASE(GL_CON_12_ATI)	// 0x894D
	//CASE(GL_CON_13_ATI)	// 0x894E
	//CASE(GL_CON_14_ATI)	// 0x894F
	//CASE(GL_CON_15_ATI)	// 0x8950
	//CASE(GL_CON_16_ATI)	// 0x8951
	//CASE(GL_CON_17_ATI)	// 0x8952
	//CASE(GL_CON_18_ATI)	// 0x8953
	//CASE(GL_CON_19_ATI)	// 0x8954
	//CASE(GL_CON_20_ATI)	// 0x8955
	//CASE(GL_CON_21_ATI)	// 0x8956
	//CASE(GL_CON_22_ATI)	// 0x8957
	//CASE(GL_CON_23_ATI)	// 0x8958
	//CASE(GL_CON_24_ATI)	// 0x8959
	//CASE(GL_CON_25_ATI)	// 0x895A
	//CASE(GL_CON_26_ATI)	// 0x895B
	//CASE(GL_CON_27_ATI)	// 0x895C
	//CASE(GL_CON_28_ATI)	// 0x895D
	//CASE(GL_CON_29_ATI)	// 0x895E
	//CASE(GL_CON_30_ATI)	// 0x895F
	//CASE(GL_CON_31_ATI)	// 0x8960
	CASE(GL_MOV_ATI)	// 0x8961
	CASE(GL_ADD_ATI)	// 0x8963
	CASE(GL_MUL_ATI)	// 0x8964
	CASE(GL_SUB_ATI)	// 0x8965
	CASE(GL_DOT3_ATI)	// 0x8966
	CASE(GL_DOT4_ATI)	// 0x8967
	CASE(GL_MAD_ATI)	// 0x8968
	CASE(GL_LERP_ATI)	// 0x8969
	CASE(GL_CND_ATI)	// 0x896A
	CASE(GL_CND0_ATI)	// 0x896B
	CASE(GL_DOT2_ADD_ATI)	// 0x896C
	CASE(GL_SECONDARY_INTERPOLATOR_ATI)	// 0x896D
	CASE(GL_NUM_FRAGMENT_REGISTERS_ATI)	// 0x896E
	CASE(GL_NUM_FRAGMENT_CONSTANTS_ATI)	// 0x896F
	CASE(GL_NUM_PASSES_ATI)	// 0x8970
	CASE(GL_NUM_INSTRUCTIONS_PER_PASS_ATI)	// 0x8971
	CASE(GL_NUM_INSTRUCTIONS_TOTAL_ATI)	// 0x8972
	CASE(GL_NUM_INPUT_INTERPOLATOR_COMPONENTS_ATI)	// 0x8973
	CASE(GL_NUM_LOOPBACK_COMPONENTS_ATI)	// 0x8974
	CASE(GL_COLOR_ALPHA_PAIRING_ATI)	// 0x8975
	CASE(GL_SWIZZLE_STR_ATI)	// 0x8976
	CASE(GL_SWIZZLE_STQ_ATI)	// 0x8977
	CASE(GL_SWIZZLE_STR_DR_ATI)	// 0x8978
	CASE(GL_SWIZZLE_STQ_DQ_ATI)	// 0x8979
	CASE(GL_SWIZZLE_STRQ_ATI)	// 0x897A
	CASE(GL_SWIZZLE_STRQ_DQ_ATI)	// 0x897B
	CASE(GL_INTERLACE_OML)	// 0x8980
	CASE(GL_INTERLACE_READ_OML)	// 0x8981
	CASE(GL_FORMAT_SUBSAMPLE_24_24_OML)	// 0x8982
	CASE(GL_FORMAT_SUBSAMPLE_244_244_OML)	// 0x8983
	CASE(GL_PACK_RESAMPLE_OML)	// 0x8984
	CASE(GL_UNPACK_RESAMPLE_OML)	// 0x8985
	CASE(GL_RESAMPLE_REPLICATE_OML)	// 0x8986
	CASE(GL_RESAMPLE_ZERO_FILL_OML)	// 0x8987
	CASE(GL_RESAMPLE_AVERAGE_OML)	// 0x8988
	CASE(GL_RESAMPLE_DECIMATE_OML)	// 0x8989
	//CASE(GL_POINT_SIZE_ARRAY_TYPE_OES)	# 0x898A
	//CASE(GL_POINT_SIZE_ARRAY_STRIDE_OES)	# 0x898B
	//CASE(GL_POINT_SIZE_ARRAY_POINTER_OES)	# 0x898C
	//CASE(GL_MODELVIEW_MATRIX_FLOAT_AS_INT_BITS_OES)	# 0x898D
	//CASE(GL_PROJECTION_MATRIX_FLOAT_AS_INT_BITS_OES)	# 0x898E
	//CASE(GL_TEXTURE_MATRIX_FLOAT_AS_INT_BITS_OES)	# 0x898F
	CASE(GL_VERTEX_ATTRIB_MAP1_APPLE)	// 0x8A00
	CASE(GL_VERTEX_ATTRIB_MAP2_APPLE)	// 0x8A01
	CASE(GL_VERTEX_ATTRIB_MAP1_SIZE_APPLE)	// 0x8A02
	CASE(GL_VERTEX_ATTRIB_MAP1_COEFF_APPLE)	// 0x8A03
	CASE(GL_VERTEX_ATTRIB_MAP1_ORDER_APPLE)	// 0x8A04
	CASE(GL_VERTEX_ATTRIB_MAP1_DOMAIN_APPLE)	// 0x8A05
	CASE(GL_VERTEX_ATTRIB_MAP2_SIZE_APPLE)	// 0x8A06
	CASE(GL_VERTEX_ATTRIB_MAP2_COEFF_APPLE)	// 0x8A07
	CASE(GL_VERTEX_ATTRIB_MAP2_ORDER_APPLE)	// 0x8A08
	CASE(GL_VERTEX_ATTRIB_MAP2_DOMAIN_APPLE)	// 0x8A09
	CASE(GL_DRAW_PIXELS_APPLE)	// 0x8A0A
	CASE(GL_FENCE_APPLE)	// 0x8A0B
	CASE(GL_ELEMENT_ARRAY_APPLE)	// 0x8A0C
	CASE(GL_ELEMENT_ARRAY_TYPE_APPLE)	// 0x8A0D
	CASE(GL_ELEMENT_ARRAY_POINTER_APPLE)	// 0x8A0E
	CASE(GL_COLOR_FLOAT_APPLE)	// 0x8A0F
	CASE(GL_UNIFORM_BUFFER)	// 0x8A11
	CASE(GL_BUFFER_SERIALIZED_MODIFY_APPLE)	// 0x8A12
	CASE(GL_BUFFER_FLUSHING_UNMAP_APPLE)	// 0x8A13
	CASE(GL_AUX_DEPTH_STENCIL_APPLE)	// 0x8A14
	CASE(GL_PACK_ROW_BYTES_APPLE)	// 0x8A15
	CASE(GL_UNPACK_ROW_BYTES_APPLE)	// 0x8A16
	CASE(GL_RELEASED_APPLE)	// 0x8A19
	CASE(GL_VOLATILE_APPLE)	// 0x8A1A
	CASE(GL_RETAINED_APPLE)	// 0x8A1B
	CASE(GL_UNDEFINED_APPLE)	// 0x8A1C
	CASE(GL_PURGEABLE_APPLE)	// 0x8A1D
	CASE(GL_RGB_422_APPLE)	// 0x8A1F
	CASE(GL_UNIFORM_BUFFER_BINDING)	// 0x8A28
	CASE(GL_UNIFORM_BUFFER_START)	// 0x8A29
	CASE(GL_UNIFORM_BUFFER_SIZE)	// 0x8A2A
	CASE(GL_MAX_VERTEX_UNIFORM_BLOCKS)	// 0x8A2B
	CASE(GL_MAX_GEOMETRY_UNIFORM_BLOCKS)	// 0x8A2C
	CASE(GL_MAX_FRAGMENT_UNIFORM_BLOCKS)	// 0x8A2D
	CASE(GL_MAX_COMBINED_UNIFORM_BLOCKS)	// 0x8A2E
	CASE(GL_MAX_UNIFORM_BUFFER_BINDINGS)	// 0x8A2F
	CASE(GL_MAX_UNIFORM_BLOCK_SIZE)	// 0x8A30
	CASE(GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS)	// 0x8A31
	CASE(GL_MAX_COMBINED_GEOMETRY_UNIFORM_COMPONENTS)	// 0x8A32
	CASE(GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS)	// 0x8A33
	CASE(GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT)	// 0x8A34
	CASE(GL_ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH)	// 0x8A35
	CASE(GL_ACTIVE_UNIFORM_BLOCKS)	// 0x8A36
	CASE(GL_UNIFORM_TYPE)	// 0x8A37
	CASE(GL_UNIFORM_SIZE)	// 0x8A38
	CASE(GL_UNIFORM_NAME_LENGTH)	// 0x8A39
	CASE(GL_UNIFORM_BLOCK_INDEX)	// 0x8A3A
	CASE(GL_UNIFORM_OFFSET)	// 0x8A3B
	CASE(GL_UNIFORM_ARRAY_STRIDE)	// 0x8A3C
	CASE(GL_UNIFORM_MATRIX_STRIDE)	// 0x8A3D
	CASE(GL_UNIFORM_IS_ROW_MAJOR)	// 0x8A3E
	CASE(GL_UNIFORM_BLOCK_BINDING)	// 0x8A3F
	CASE(GL_UNIFORM_BLOCK_DATA_SIZE)	// 0x8A40
	CASE(GL_UNIFORM_BLOCK_NAME_LENGTH)	// 0x8A41
	CASE(GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS)	// 0x8A42
	CASE(GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES)	// 0x8A43
	CASE(GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER)	// 0x8A44
	CASE(GL_UNIFORM_BLOCK_REFERENCED_BY_GEOMETRY_SHADER)	// 0x8A45
	CASE(GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER)	// 0x8A46
	CASE(GL_TEXTURE_SRGB_DECODE_EXT)	// 0x8A48
	CASE(GL_DECODE_EXT)	// 0x8A49
	CASE(GL_SKIP_DECODE_EXT)	// 0x8A4A
	CASE(GL_FRAGMENT_SHADER)	// 0x8B30
	CASE(GL_VERTEX_SHADER)	// 0x8B31
	CASE(GL_PROGRAM_OBJECT_ARB)	// 0x8B40
	CASE(GL_SHADER_OBJECT_ARB)	// 0x8B48
	CASE(GL_MAX_FRAGMENT_UNIFORM_COMPONENTS)	// 0x8B49
	CASE(GL_MAX_VERTEX_UNIFORM_COMPONENTS)	// 0x8B4A
	CASE(GL_MAX_VARYING_COMPONENTS)	// 0x8B4B
	CASE(GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS)	// 0x8B4C
	CASE(GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS)	// 0x8B4D
	CASE(GL_OBJECT_TYPE_ARB)	// 0x8B4E
	CASE(GL_SHADER_TYPE)	// 0x8B4F
	CASE(GL_FLOAT_VEC2)	// 0x8B50
	CASE(GL_FLOAT_VEC3)	// 0x8B51
	CASE(GL_FLOAT_VEC4)	// 0x8B52
	CASE(GL_INT_VEC2)	// 0x8B53
	CASE(GL_INT_VEC3)	// 0x8B54
	CASE(GL_INT_VEC4)	// 0x8B55
	CASE(GL_BOOL)	// 0x8B56
	CASE(GL_BOOL_VEC2)	// 0x8B57
	CASE(GL_BOOL_VEC3)	// 0x8B58
	CASE(GL_BOOL_VEC4)	// 0x8B59
	CASE(GL_FLOAT_MAT2)	// 0x8B5A
	CASE(GL_FLOAT_MAT3)	// 0x8B5B
	CASE(GL_FLOAT_MAT4)	// 0x8B5C
	CASE(GL_SAMPLER_1D)	// 0x8B5D
	CASE(GL_SAMPLER_2D)	// 0x8B5E
	CASE(GL_SAMPLER_3D)	// 0x8B5F
	CASE(GL_SAMPLER_CUBE)	// 0x8B60
	CASE(GL_SAMPLER_1D_SHADOW)	// 0x8B61
	CASE(GL_SAMPLER_2D_SHADOW)	// 0x8B62
	CASE(GL_SAMPLER_2D_RECT)	// 0x8B63
	CASE(GL_SAMPLER_2D_RECT_SHADOW)	// 0x8B64
	CASE(GL_FLOAT_MAT2x3)	// 0x8B65
	CASE(GL_FLOAT_MAT2x4)	// 0x8B66
	CASE(GL_FLOAT_MAT3x2)	// 0x8B67
	CASE(GL_FLOAT_MAT3x4)	// 0x8B68
	CASE(GL_FLOAT_MAT4x2)	// 0x8B69
	CASE(GL_FLOAT_MAT4x3)	// 0x8B6A
	CASE(GL_DELETE_STATUS)	// 0x8B80
	CASE(GL_COMPILE_STATUS)	// 0x8B81
	CASE(GL_LINK_STATUS)	// 0x8B82
	CASE(GL_VALIDATE_STATUS)	// 0x8B83
	CASE(GL_INFO_LOG_LENGTH)	// 0x8B84
	CASE(GL_ATTACHED_SHADERS)	// 0x8B85
	CASE(GL_ACTIVE_UNIFORMS)	// 0x8B86
	CASE(GL_ACTIVE_UNIFORM_MAX_LENGTH)	// 0x8B87
	CASE(GL_SHADER_SOURCE_LENGTH)	// 0x8B88
	CASE(GL_ACTIVE_ATTRIBUTES)	// 0x8B89
	CASE(GL_ACTIVE_ATTRIBUTE_MAX_LENGTH)	// 0x8B8A
	CASE(GL_FRAGMENT_SHADER_DERIVATIVE_HINT)	// 0x8B8B
	CASE(GL_SHADING_LANGUAGE_VERSION)	// 0x8B8C
	CASE(GL_CURRENT_PROGRAM)	// 0x8B8D
	//CASE(GL_PALETTE4_RGB8_OES)	# 0x8B90
	//CASE(GL_PALETTE4_RGBA8_OES)	# 0x8B91
	//CASE(GL_PALETTE4_R5_G6_B5_OES)	# 0x8B92
	//CASE(GL_PALETTE4_RGBA4_OES)	# 0x8B93
	//CASE(GL_PALETTE4_RGB5_A1_OES)	# 0x8B94
	//CASE(GL_PALETTE8_RGB8_OES)	# 0x8B95
	//CASE(GL_PALETTE8_RGBA8_OES)	# 0x8B96
	//CASE(GL_PALETTE8_R5_G6_B5_OES)	# 0x8B97
	//CASE(GL_PALETTE8_RGBA4_OES)	# 0x8B98
	//CASE(GL_PALETTE8_RGB5_A1_OES)	# 0x8B99
	CASE(GL_IMPLEMENTATION_COLOR_READ_TYPE)	// 0x8B9A
	CASE(GL_IMPLEMENTATION_COLOR_READ_FORMAT)	// 0x8B9B
	//CASE(GL_POINT_SIZE_ARRAY_OES)	# 0x8B9C
	//CASE(GL_TEXTURE_CROP_RECT_OES)	# 0x8B9D
	//CASE(GL_MATRIX_INDEX_ARRAY_BUFFER_BINDING_OES)	# 0x8B9E
	//CASE(GL_POINT_SIZE_ARRAY_BUFFER_BINDING_OES)	# 0x8B9F
	//CASE(GL_FRAGMENT_PROGRAM_POSITION_MESA)	# 0x8BB0
	//CASE(GL_FRAGMENT_PROGRAM_CALLBACK_MESA)	# 0x8BB1
	//CASE(GL_FRAGMENT_PROGRAM_CALLBACK_FUNC_MESA)	# 0x8BB2
	//CASE(GL_FRAGMENT_PROGRAM_CALLBACK_DATA_MESA)	# 0x8BB3
	//CASE(GL_VERTEX_PROGRAM_CALLBACK_MESA)	# 0x8BB4
	//CASE(GL_VERTEX_PROGRAM_POSITION_MESA)	# 0x8BB4
	//CASE(GL_VERTEX_PROGRAM_CALLBACK_FUNC_MESA)	# 0x8BB6
	//CASE(GL_VERTEX_PROGRAM_CALLBACK_DATA_MESA)	# 0x8BB7
	CASE(GL_COUNTER_TYPE_AMD)	// 0x8BC0
	CASE(GL_COUNTER_RANGE_AMD)	// 0x8BC1
	CASE(GL_UNSIGNED_INT64_AMD)	// 0x8BC2
	CASE(GL_PERCENTAGE_AMD)	// 0x8BC3
	CASE(GL_PERFMON_RESULT_AVAILABLE_AMD)	// 0x8BC4
	CASE(GL_PERFMON_RESULT_SIZE_AMD)	// 0x8BC5
	CASE(GL_PERFMON_RESULT_AMD)	// 0x8BC6
	//CASE(GL_TEXTURE_WIDTH_QCOM)	# 0x8BD2
	//CASE(GL_TEXTURE_HEIGHT_QCOM)	# 0x8BD3
	//CASE(GL_TEXTURE_DEPTH_QCOM)	# 0x8BD4
	//CASE(GL_TEXTURE_INTERNAL_FORMAT_QCOM)	# 0x8BD5
	//CASE(GL_TEXTURE_FORMAT_QCOM)	# 0x8BD6
	//CASE(GL_TEXTURE_TYPE_QCOM)	# 0x8BD7
	//CASE(GL_TEXTURE_IMAGE_VALID_QCOM)	# 0x8BD8
	//CASE(GL_TEXTURE_NUM_LEVELS_QCOM)	# 0x8BD9
	//CASE(GL_TEXTURE_TARGET_QCOM)	# 0x8BDA
	//CASE(GL_TEXTURE_OBJECT_VALID_QCOM)	# 0x8BDB
	//CASE(GL_STATE_RESTORE)	# 0x8BDC
	//CASE(GL_COMPRESSED_RGB_PVRTC_4BPPV1_IMG)	# 0x8C00
	//CASE(GL_COMPRESSED_RGB_PVRTC_2BPPV1_IMG)	# 0x8C01
	//CASE(GL_COMPRESSED_RGBA_PVRTC_4BPPV1_IMG)	# 0x8C02
	//CASE(GL_COMPRESSED_RGBA_PVRTC_2BPPV1_IMG)	# 0x8C03
	//CASE(GL_MODULATE_COLOR_IMG)	# 0x8C04
	//CASE(GL_RECIP_ADD_SIGNED_ALPHA_IMG)	# 0x8C05
	//CASE(GL_TEXTURE_ALPHA_MODULATE_IMG)	# 0x8C06
	//CASE(GL_FACTOR_ALPHA_MODULATE_IMG)	# 0x8C07
	//CASE(GL_FRAGMENT_ALPHA_MODULATE_IMG)	# 0x8C08
	//CASE(GL_ADD_BLEND_IMG)	# 0x8C09
	//CASE(GL_SGX_BINARY_IMG)	# 0x8C0A
	CASE(GL_TEXTURE_RED_TYPE)	// 0x8C10
	CASE(GL_TEXTURE_GREEN_TYPE)	// 0x8C11
	CASE(GL_TEXTURE_BLUE_TYPE)	// 0x8C12
	CASE(GL_TEXTURE_ALPHA_TYPE)	// 0x8C13
	CASE(GL_TEXTURE_LUMINANCE_TYPE)	// 0x8C14
	CASE(GL_TEXTURE_INTENSITY_TYPE)	// 0x8C15
	CASE(GL_TEXTURE_DEPTH_TYPE)	// 0x8C16
	CASE(GL_UNSIGNED_NORMALIZED)	// 0x8C17
	CASE(GL_TEXTURE_1D_ARRAY)	// 0x8C18
	CASE(GL_PROXY_TEXTURE_1D_ARRAY)	// 0x8C19
	CASE(GL_TEXTURE_2D_ARRAY)	// 0x8C1A
	CASE(GL_PROXY_TEXTURE_2D_ARRAY)	// 0x8C1B
	CASE(GL_TEXTURE_BINDING_1D_ARRAY)	// 0x8C1C
	CASE(GL_TEXTURE_BINDING_2D_ARRAY)	// 0x8C1D
	CASE(GL_GEOMETRY_PROGRAM_NV)	// 0x8C26
	CASE(GL_MAX_PROGRAM_OUTPUT_VERTICES_NV)	// 0x8C27
	CASE(GL_MAX_PROGRAM_TOTAL_OUTPUT_COMPONENTS_NV)	// 0x8C28
	CASE(GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS)	// 0x8C29
	CASE(GL_TEXTURE_BUFFER)	// 0x8C2A
	CASE(GL_MAX_TEXTURE_BUFFER_SIZE)	// 0x8C2B
	CASE(GL_TEXTURE_BINDING_BUFFER)	// 0x8C2C
	CASE(GL_TEXTURE_BUFFER_DATA_STORE_BINDING)	// 0x8C2D
	CASE(GL_TEXTURE_BUFFER_FORMAT_ARB)	// 0x8C2E
	CASE(GL_ANY_SAMPLES_PASSED)	// 0x8C2F
	CASE(GL_SAMPLE_SHADING)	// 0x8C36
	CASE(GL_MIN_SAMPLE_SHADING_VALUE)	// 0x8C37
	CASE(GL_R11F_G11F_B10F)	// 0x8C3A
	CASE(GL_UNSIGNED_INT_10F_11F_11F_REV)	// 0x8C3B
	CASE(GL_RGBA_SIGNED_COMPONENTS_EXT)	// 0x8C3C
	CASE(GL_RGB9_E5)	// 0x8C3D
	CASE(GL_UNSIGNED_INT_5_9_9_9_REV)	// 0x8C3E
	CASE(GL_TEXTURE_SHARED_SIZE)	// 0x8C3F
	CASE(GL_SRGB)	// 0x8C40
	CASE(GL_SRGB8)	// 0x8C41
	CASE(GL_SRGB_ALPHA)	// 0x8C42
	CASE(GL_SRGB8_ALPHA8)	// 0x8C43
	CASE(GL_SLUMINANCE_ALPHA)	// 0x8C44
	CASE(GL_SLUMINANCE8_ALPHA8)	// 0x8C45
	CASE(GL_SLUMINANCE)	// 0x8C46
	CASE(GL_SLUMINANCE8)	// 0x8C47
	CASE(GL_COMPRESSED_SRGB)	// 0x8C48
	CASE(GL_COMPRESSED_SRGB_ALPHA)	// 0x8C49
	CASE(GL_COMPRESSED_SLUMINANCE)	// 0x8C4A
	CASE(GL_COMPRESSED_SLUMINANCE_ALPHA)	// 0x8C4B
	CASE(GL_COMPRESSED_SRGB_S3TC_DXT1_EXT)	// 0x8C4C
	CASE(GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT1_EXT)	// 0x8C4D
	CASE(GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT3_EXT)	// 0x8C4E
	CASE(GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT5_EXT)	// 0x8C4F
	CASE(GL_COMPRESSED_LUMINANCE_LATC1_EXT)	// 0x8C70
	CASE(GL_COMPRESSED_SIGNED_LUMINANCE_LATC1_EXT)	// 0x8C71
	CASE(GL_COMPRESSED_LUMINANCE_ALPHA_LATC2_EXT)	// 0x8C72
	CASE(GL_COMPRESSED_SIGNED_LUMINANCE_ALPHA_LATC2_EXT)	// 0x8C73
	CASE(GL_TESS_CONTROL_PROGRAM_PARAMETER_BUFFER_NV)	// 0x8C74
	CASE(GL_TESS_EVALUATION_PROGRAM_PARAMETER_BUFFER_NV)	// 0x8C75
	CASE(GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH)	// 0x8C76
	CASE(GL_BACK_PRIMARY_COLOR_NV)	// 0x8C77
	CASE(GL_BACK_SECONDARY_COLOR_NV)	// 0x8C78
	CASE(GL_TEXTURE_COORD_NV)	// 0x8C79
	CASE(GL_CLIP_DISTANCE_NV)	// 0x8C7A
	CASE(GL_VERTEX_ID_NV)	// 0x8C7B
	CASE(GL_PRIMITIVE_ID_NV)	// 0x8C7C
	CASE(GL_GENERIC_ATTRIB_NV)	// 0x8C7D
	CASE(GL_TRANSFORM_FEEDBACK_ATTRIBS_NV)	// 0x8C7F
	CASE(GL_TRANSFORM_FEEDBACK_BUFFER_MODE)	// 0x8C7F
	CASE(GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS)	// 0x8C80
	CASE(GL_ACTIVE_VARYINGS_NV)	// 0x8C81
	CASE(GL_ACTIVE_VARYING_MAX_LENGTH_NV)	// 0x8C82
	CASE(GL_TRANSFORM_FEEDBACK_VARYINGS)	// 0x8C83
	CASE(GL_TRANSFORM_FEEDBACK_BUFFER_START)	// 0x8C84
	CASE(GL_TRANSFORM_FEEDBACK_BUFFER_SIZE)	// 0x8C85
	CASE(GL_TRANSFORM_FEEDBACK_RECORD_NV)	// 0x8C86
	CASE(GL_PRIMITIVES_GENERATED)	// 0x8C87
	CASE(GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN)	// 0x8C88
	CASE(GL_RASTERIZER_DISCARD)	// 0x8C89
	CASE(GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS)	// 0x8C8A
	CASE(GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS)	// 0x8C8B
	CASE(GL_INTERLEAVED_ATTRIBS)	// 0x8C8C
	CASE(GL_SEPARATE_ATTRIBS)	// 0x8C8D
	CASE(GL_TRANSFORM_FEEDBACK_BUFFER)	// 0x8C8E
	CASE(GL_TRANSFORM_FEEDBACK_BUFFER_BINDING)	// 0x8C8F
	//CASE(GL_ATC_RGB_AMD)	# 0x8C92
	//CASE(GL_ATC_RGBA_EXPLICIT_ALPHA_AMD)	# 0x8C93
	CASE(GL_POINT_SPRITE_COORD_ORIGIN)	// 0x8CA0
	CASE(GL_LOWER_LEFT)	// 0x8CA1
	CASE(GL_UPPER_LEFT)	// 0x8CA2
	CASE(GL_STENCIL_BACK_REF)	// 0x8CA3
	CASE(GL_STENCIL_BACK_VALUE_MASK)	// 0x8CA4
	CASE(GL_STENCIL_BACK_WRITEMASK)	// 0x8CA5
	CASE(GL_DRAW_FRAMEBUFFER_BINDING)	// 0x8CA6
	CASE(GL_RENDERBUFFER_BINDING)	// 0x8CA7
	CASE(GL_READ_FRAMEBUFFER)	// 0x8CA8
	CASE(GL_DRAW_FRAMEBUFFER)	// 0x8CA9
	CASE(GL_READ_FRAMEBUFFER_BINDING)	// 0x8CAA
	CASE(GL_RENDERBUFFER_SAMPLES)	// 0x8CAB
	CASE(GL_DEPTH_COMPONENT32F)	// 0x8CAC
	CASE(GL_DEPTH32F_STENCIL8)	// 0x8CAD
	CASE(GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE)	// 0x8CD0
	CASE(GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME)	// 0x8CD1
	CASE(GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL)	// 0x8CD2
	CASE(GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE)	// 0x8CD3
	CASE(GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER)	// 0x8CD4
	CASE(GL_FRAMEBUFFER_COMPLETE)	// 0x8CD5
	CASE(GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT)	// 0x8CD6
	CASE(GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT)	// 0x8CD7
	CASE(GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS_EXT)	// 0x8CD9
	CASE(GL_FRAMEBUFFER_INCOMPLETE_FORMATS_EXT)	// 0x8CDA
	CASE(GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER)	// 0x8CDB
	CASE(GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER)	// 0x8CDC
	CASE(GL_FRAMEBUFFER_UNSUPPORTED)	// 0x8CDD
	CASE(GL_MAX_COLOR_ATTACHMENTS)	// 0x8CDF
	CASE(GL_COLOR_ATTACHMENT0)	// 0x8CE0
	CASE(GL_COLOR_ATTACHMENT1)	// 0x8CE1
	CASE(GL_COLOR_ATTACHMENT2)	// 0x8CE2
	CASE(GL_COLOR_ATTACHMENT3)	// 0x8CE3
	CASE(GL_COLOR_ATTACHMENT4)	// 0x8CE4
	CASE(GL_COLOR_ATTACHMENT5)	// 0x8CE5
	CASE(GL_COLOR_ATTACHMENT6)	// 0x8CE6
	CASE(GL_COLOR_ATTACHMENT7)	// 0x8CE7
	CASE(GL_COLOR_ATTACHMENT8)	// 0x8CE8
	CASE(GL_COLOR_ATTACHMENT9)	// 0x8CE9
	CASE(GL_COLOR_ATTACHMENT10)	// 0x8CEA
	CASE(GL_COLOR_ATTACHMENT11)	// 0x8CEB
	CASE(GL_COLOR_ATTACHMENT12)	// 0x8CEC
	CASE(GL_COLOR_ATTACHMENT13)	// 0x8CED
	CASE(GL_COLOR_ATTACHMENT14)	// 0x8CEE
	CASE(GL_COLOR_ATTACHMENT15)	// 0x8CEF
	CASE(GL_DEPTH_ATTACHMENT)	// 0x8D00
	CASE(GL_STENCIL_ATTACHMENT)	// 0x8D20
	CASE(GL_FRAMEBUFFER)	// 0x8D40
	CASE(GL_RENDERBUFFER)	// 0x8D41
	CASE(GL_RENDERBUFFER_WIDTH)	// 0x8D42
	CASE(GL_RENDERBUFFER_HEIGHT)	// 0x8D43
	CASE(GL_RENDERBUFFER_INTERNAL_FORMAT)	// 0x8D44
	CASE(GL_STENCIL_INDEX1)	// 0x8D46
	CASE(GL_STENCIL_INDEX4)	// 0x8D47
	CASE(GL_STENCIL_INDEX8)	// 0x8D48
	CASE(GL_STENCIL_INDEX16)	// 0x8D49
	CASE(GL_RENDERBUFFER_RED_SIZE)	// 0x8D50
	CASE(GL_RENDERBUFFER_GREEN_SIZE)	// 0x8D51
	CASE(GL_RENDERBUFFER_BLUE_SIZE)	// 0x8D52
	CASE(GL_RENDERBUFFER_ALPHA_SIZE)	// 0x8D53
	CASE(GL_RENDERBUFFER_DEPTH_SIZE)	// 0x8D54
	CASE(GL_RENDERBUFFER_STENCIL_SIZE)	// 0x8D55
	CASE(GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE)	// 0x8D56
	CASE(GL_MAX_SAMPLES)	// 0x8D57
	//CASE(GL_TEXTURE_GEN_STR_OES)	# 0x8D60
	//CASE(GL_HALF_FLOAT_OES)	# 0x8D61
	//CASE(GL_RGB565_OES)	# 0x8D62
	CASE(GL_RGB565)	// 0x8D62
	//CASE(GL_ETC1_RGB8_OES)	# 0x8D64
	//CASE(GL_TEXTURE_EXTERNAL_OES)	# 0x8D65
	//CASE(GL_SAMPLER_EXTERNAL_OES)	# 0x8D66
	//CASE(GL_TEXTURE_BINDING_EXTERNAL_OES)	# 0x8D67
	//CASE(GL_REQUIRED_TEXTURE_IMAGE_UNITS_OES)	# 0x8D68
	CASE(GL_RGBA32UI)	// 0x8D70
	CASE(GL_RGB32UI)	// 0x8D71
	CASE(GL_ALPHA32UI_EXT)	// 0x8D72
	CASE(GL_INTENSITY32UI_EXT)	// 0x8D73
	CASE(GL_LUMINANCE32UI_EXT)	// 0x8D74
	CASE(GL_LUMINANCE_ALPHA32UI_EXT)	// 0x8D75
	CASE(GL_RGBA16UI)	// 0x8D76
	CASE(GL_RGB16UI)	// 0x8D77
	CASE(GL_ALPHA16UI_EXT)	// 0x8D78
	CASE(GL_INTENSITY16UI_EXT)	// 0x8D79
	CASE(GL_LUMINANCE16UI_EXT)	// 0x8D7A
	CASE(GL_LUMINANCE_ALPHA16UI_EXT)	// 0x8D7B
	CASE(GL_RGBA8UI)	// 0x8D7C
	CASE(GL_RGB8UI)	// 0x8D7D
	CASE(GL_ALPHA8UI_EXT)	// 0x8D7E
	CASE(GL_INTENSITY8UI_EXT)	// 0x8D7F
	CASE(GL_LUMINANCE8UI_EXT)	// 0x8D80
	CASE(GL_LUMINANCE_ALPHA8UI_EXT)	// 0x8D81
	CASE(GL_RGBA32I)	// 0x8D82
	CASE(GL_RGB32I)	// 0x8D83
	CASE(GL_ALPHA32I_EXT)	// 0x8D84
	CASE(GL_INTENSITY32I_EXT)	// 0x8D85
	CASE(GL_LUMINANCE32I_EXT)	// 0x8D86
	CASE(GL_LUMINANCE_ALPHA32I_EXT)	// 0x8D87
	CASE(GL_RGBA16I)	// 0x8D88
	CASE(GL_RGB16I)	// 0x8D89
	CASE(GL_ALPHA16I_EXT)	// 0x8D8A
	CASE(GL_INTENSITY16I_EXT)	// 0x8D8B
	CASE(GL_LUMINANCE16I_EXT)	// 0x8D8C
	CASE(GL_LUMINANCE_ALPHA16I_EXT)	// 0x8D8D
	CASE(GL_RGBA8I)	// 0x8D8E
	CASE(GL_RGB8I)	// 0x8D8F
	CASE(GL_ALPHA8I_EXT)	// 0x8D90
	CASE(GL_INTENSITY8I_EXT)	// 0x8D91
	CASE(GL_LUMINANCE8I_EXT)	// 0x8D92
	CASE(GL_LUMINANCE_ALPHA8I_EXT)	// 0x8D93
	CASE(GL_RED_INTEGER)	// 0x8D94
	CASE(GL_GREEN_INTEGER)	// 0x8D95
	CASE(GL_BLUE_INTEGER)	// 0x8D96
	CASE(GL_ALPHA_INTEGER)	// 0x8D97
	CASE(GL_RGB_INTEGER)	// 0x8D98
	CASE(GL_RGBA_INTEGER)	// 0x8D99
	CASE(GL_BGR_INTEGER)	// 0x8D9A
	CASE(GL_BGRA_INTEGER)	// 0x8D9B
	CASE(GL_LUMINANCE_INTEGER_EXT)	// 0x8D9C
	CASE(GL_LUMINANCE_ALPHA_INTEGER_EXT)	// 0x8D9D
	CASE(GL_RGBA_INTEGER_MODE_EXT)	// 0x8D9E
	CASE(GL_INT_2_10_10_10_REV)	// 0x8D9F
	CASE(GL_MAX_PROGRAM_PARAMETER_BUFFER_BINDINGS_NV)	// 0x8DA0
	CASE(GL_MAX_PROGRAM_PARAMETER_BUFFER_SIZE_NV)	// 0x8DA1
	CASE(GL_VERTEX_PROGRAM_PARAMETER_BUFFER_NV)	// 0x8DA2
	CASE(GL_GEOMETRY_PROGRAM_PARAMETER_BUFFER_NV)	// 0x8DA3
	CASE(GL_FRAGMENT_PROGRAM_PARAMETER_BUFFER_NV)	// 0x8DA4
	CASE(GL_MAX_PROGRAM_GENERIC_ATTRIBS_NV)	// 0x8DA5
	CASE(GL_MAX_PROGRAM_GENERIC_RESULTS_NV)	// 0x8DA6
	CASE(GL_FRAMEBUFFER_ATTACHMENT_LAYERED)	// 0x8DA7
	CASE(GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS)	// 0x8DA8
	CASE(GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_ARB)	// 0x8DA9
	//CASE(GL_LAYER_NV)	// 0x8DAA
	CASE(GL_DEPTH_COMPONENT32F_NV)	// 0x8DAB
	CASE(GL_DEPTH32F_STENCIL8_NV)	// 0x8DAC
	CASE(GL_FLOAT_32_UNSIGNED_INT_24_8_REV)	// 0x8DAD
	CASE(GL_SHADER_INCLUDE_ARB)	// 0x8DAE
	CASE(GL_DEPTH_BUFFER_FLOAT_MODE_NV)	// 0x8DAF
	CASE(GL_FRAMEBUFFER_SRGB)	// 0x8DB9
	CASE(GL_FRAMEBUFFER_SRGB_CAPABLE_EXT)	// 0x8DBA
	CASE(GL_COMPRESSED_RED_RGTC1)	// 0x8DBB
	CASE(GL_COMPRESSED_SIGNED_RED_RGTC1)	// 0x8DBC
	CASE(GL_COMPRESSED_RG_RGTC2)	// 0x8DBD
	CASE(GL_COMPRESSED_SIGNED_RG_RGTC2)	// 0x8DBE
	CASE(GL_SAMPLER_1D_ARRAY)	// 0x8DC0
	CASE(GL_SAMPLER_2D_ARRAY)	// 0x8DC1
	CASE(GL_SAMPLER_BUFFER)	// 0x8DC2
	CASE(GL_SAMPLER_1D_ARRAY_SHADOW)	// 0x8DC3
	CASE(GL_SAMPLER_2D_ARRAY_SHADOW)	// 0x8DC4
	CASE(GL_SAMPLER_CUBE_SHADOW)	// 0x8DC5
	CASE(GL_UNSIGNED_INT_VEC2)	// 0x8DC6
	CASE(GL_UNSIGNED_INT_VEC3)	// 0x8DC7
	CASE(GL_UNSIGNED_INT_VEC4)	// 0x8DC8
	CASE(GL_INT_SAMPLER_1D)	// 0x8DC9
	CASE(GL_INT_SAMPLER_2D)	// 0x8DCA
	CASE(GL_INT_SAMPLER_3D)	// 0x8DCB
	CASE(GL_INT_SAMPLER_CUBE)	// 0x8DCC
	CASE(GL_INT_SAMPLER_2D_RECT)	// 0x8DCD
	CASE(GL_INT_SAMPLER_1D_ARRAY)	// 0x8DCE
	CASE(GL_INT_SAMPLER_2D_ARRAY)	// 0x8DCF
	CASE(GL_INT_SAMPLER_BUFFER)	// 0x8DD0
	CASE(GL_UNSIGNED_INT_SAMPLER_1D)	// 0x8DD1
	CASE(GL_UNSIGNED_INT_SAMPLER_2D)	// 0x8DD2
	CASE(GL_UNSIGNED_INT_SAMPLER_3D)	// 0x8DD3
	CASE(GL_UNSIGNED_INT_SAMPLER_CUBE)	// 0x8DD4
	CASE(GL_UNSIGNED_INT_SAMPLER_2D_RECT)	// 0x8DD5
	CASE(GL_UNSIGNED_INT_SAMPLER_1D_ARRAY)	// 0x8DD6
	CASE(GL_UNSIGNED_INT_SAMPLER_2D_ARRAY)	// 0x8DD7
	CASE(GL_UNSIGNED_INT_SAMPLER_BUFFER)	// 0x8DD8
	CASE(GL_GEOMETRY_SHADER)	// 0x8DD9
	CASE(GL_GEOMETRY_VERTICES_OUT_ARB)	// 0x8DDA
	CASE(GL_GEOMETRY_INPUT_TYPE_ARB)	// 0x8DDB
	CASE(GL_GEOMETRY_OUTPUT_TYPE_ARB)	// 0x8DDC
	CASE(GL_MAX_GEOMETRY_VARYING_COMPONENTS_ARB)	// 0x8DDD
	CASE(GL_MAX_VERTEX_VARYING_COMPONENTS_ARB)	// 0x8DDE
	CASE(GL_MAX_GEOMETRY_UNIFORM_COMPONENTS)	// 0x8DDF
	CASE(GL_MAX_GEOMETRY_OUTPUT_VERTICES)	// 0x8DE0
	CASE(GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS)	// 0x8DE1
	CASE(GL_MAX_VERTEX_BINDABLE_UNIFORMS_EXT)	// 0x8DE2
	CASE(GL_MAX_FRAGMENT_BINDABLE_UNIFORMS_EXT)	// 0x8DE3
	CASE(GL_MAX_GEOMETRY_BINDABLE_UNIFORMS_EXT)	// 0x8DE4
	CASE(GL_ACTIVE_SUBROUTINES)	// 0x8DE5
	CASE(GL_ACTIVE_SUBROUTINE_UNIFORMS)	// 0x8DE6
	CASE(GL_MAX_SUBROUTINES)	// 0x8DE7
	CASE(GL_MAX_SUBROUTINE_UNIFORM_LOCATIONS)	// 0x8DE8
	CASE(GL_NAMED_STRING_LENGTH_ARB)	// 0x8DE9
	CASE(GL_NAMED_STRING_TYPE_ARB)	// 0x8DEA
	CASE(GL_MAX_BINDABLE_UNIFORM_SIZE_EXT)	// 0x8DED
	CASE(GL_UNIFORM_BUFFER_EXT)	// 0x8DEE
	CASE(GL_UNIFORM_BUFFER_BINDING_EXT)	// 0x8DEF
	CASE(GL_LOW_FLOAT)	// 0x8DF0
	CASE(GL_MEDIUM_FLOAT)	// 0x8DF1
	CASE(GL_HIGH_FLOAT)	// 0x8DF2
	CASE(GL_LOW_INT)	// 0x8DF3
	CASE(GL_MEDIUM_INT)	// 0x8DF4
	CASE(GL_HIGH_INT)	// 0x8DF5
	CASE(GL_SHADER_BINARY_FORMATS)	// 0x8DF8
	CASE(GL_NUM_SHADER_BINARY_FORMATS)	// 0x8DF9
	CASE(GL_SHADER_COMPILER)	// 0x8DFA
	CASE(GL_MAX_VERTEX_UNIFORM_VECTORS)	// 0x8DFB
	CASE(GL_MAX_VARYING_VECTORS)	// 0x8DFC
	CASE(GL_MAX_FRAGMENT_UNIFORM_VECTORS)	// 0x8DFD
	CASE(GL_RENDERBUFFER_COLOR_SAMPLES_NV)	// 0x8E10
	CASE(GL_MAX_MULTISAMPLE_COVERAGE_MODES_NV)	// 0x8E11
	CASE(GL_MULTISAMPLE_COVERAGE_MODES_NV)	// 0x8E12
	CASE(GL_QUERY_WAIT)	// 0x8E13
	CASE(GL_QUERY_NO_WAIT)	// 0x8E14
	CASE(GL_QUERY_BY_REGION_WAIT)	// 0x8E15
	CASE(GL_QUERY_BY_REGION_NO_WAIT)	// 0x8E16
	CASE(GL_MAX_COMBINED_TESS_CONTROL_UNIFORM_COMPONENTS)	// 0x8E1E
	CASE(GL_MAX_COMBINED_TESS_EVALUATION_UNIFORM_COMPONENTS)	// 0x8E1F
	CASE(GL_COLOR_SAMPLES_NV)	// 0x8E20
	CASE(GL_TRANSFORM_FEEDBACK)	// 0x8E22
	CASE(GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED)	// 0x8E23
	CASE(GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE)	// 0x8E24
	CASE(GL_TRANSFORM_FEEDBACK_BINDING)	// 0x8E25
	CASE(GL_FRAME_NV)	// 0x8E26
	CASE(GL_FIELDS_NV)	// 0x8E27
	CASE(GL_TIMESTAMP)	// 0x8E28
	CASE(GL_NUM_FILL_STREAMS_NV)	// 0x8E29
	CASE(GL_PRESENT_TIME_NV)	// 0x8E2A
	CASE(GL_PRESENT_DURATION_NV)	// 0x8E2B
	CASE(GL_PROGRAM_MATRIX_EXT)	// 0x8E2D
	CASE(GL_TRANSPOSE_PROGRAM_MATRIX_EXT)	// 0x8E2E
	CASE(GL_PROGRAM_MATRIX_STACK_DEPTH_EXT)	// 0x8E2F
	CASE(GL_TEXTURE_SWIZZLE_R)	// 0x8E42
	CASE(GL_TEXTURE_SWIZZLE_G)	// 0x8E43
	CASE(GL_TEXTURE_SWIZZLE_B)	// 0x8E44
	CASE(GL_TEXTURE_SWIZZLE_A)	// 0x8E45
	CASE(GL_TEXTURE_SWIZZLE_RGBA)	// 0x8E46
	CASE(GL_ACTIVE_SUBROUTINE_UNIFORM_LOCATIONS)	// 0x8E47
	CASE(GL_ACTIVE_SUBROUTINE_MAX_LENGTH)	// 0x8E48
	CASE(GL_ACTIVE_SUBROUTINE_UNIFORM_MAX_LENGTH)	// 0x8E49
	CASE(GL_NUM_COMPATIBLE_SUBROUTINES)	// 0x8E4A
	CASE(GL_COMPATIBLE_SUBROUTINES)	// 0x8E4B
	CASE(GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION)	// 0x8E4C
	CASE(GL_FIRST_VERTEX_CONVENTION)	// 0x8E4D
	CASE(GL_LAST_VERTEX_CONVENTION)	// 0x8E4E
	CASE(GL_PROVOKING_VERTEX)	// 0x8E4F
	CASE(GL_SAMPLE_POSITION)	// 0x8E50
	CASE(GL_SAMPLE_MASK)	// 0x8E51
	CASE(GL_SAMPLE_MASK_VALUE)	// 0x8E52
	CASE(GL_TEXTURE_BINDING_RENDERBUFFER_NV)	// 0x8E53
	CASE(GL_TEXTURE_RENDERBUFFER_DATA_STORE_BINDING_NV)	// 0x8E54
	CASE(GL_TEXTURE_RENDERBUFFER_NV)	// 0x8E55
	CASE(GL_SAMPLER_RENDERBUFFER_NV)	// 0x8E56
	CASE(GL_INT_SAMPLER_RENDERBUFFER_NV)	// 0x8E57
	CASE(GL_UNSIGNED_INT_SAMPLER_RENDERBUFFER_NV)	// 0x8E58
	CASE(GL_MAX_SAMPLE_MASK_WORDS)	// 0x8E59
	CASE(GL_MAX_GEOMETRY_SHADER_INVOCATIONS)	// 0x8E5A
	CASE(GL_MIN_FRAGMENT_INTERPOLATION_OFFSET)	// 0x8E5B
	CASE(GL_MAX_FRAGMENT_INTERPOLATION_OFFSET)	// 0x8E5C
	CASE(GL_FRAGMENT_INTERPOLATION_OFFSET_BITS)	// 0x8E5D
	CASE(GL_MIN_PROGRAM_TEXTURE_GATHER_OFFSET)	// 0x8E5E
	CASE(GL_MAX_PROGRAM_TEXTURE_GATHER_OFFSET)	// 0x8E5F
	CASE(GL_MAX_TRANSFORM_FEEDBACK_BUFFERS)	// 0x8E70
	CASE(GL_MAX_VERTEX_STREAMS)	// 0x8E71
	CASE(GL_PATCH_VERTICES)	// 0x8E72
	CASE(GL_PATCH_DEFAULT_INNER_LEVEL)	// 0x8E73
	CASE(GL_PATCH_DEFAULT_OUTER_LEVEL)	// 0x8E74
	CASE(GL_TESS_CONTROL_OUTPUT_VERTICES)	// 0x8E75
	CASE(GL_TESS_GEN_MODE)	// 0x8E76
	CASE(GL_TESS_GEN_SPACING)	// 0x8E77
	CASE(GL_TESS_GEN_VERTEX_ORDER)	// 0x8E78
	CASE(GL_TESS_GEN_POINT_MODE)	// 0x8E79
	CASE(GL_ISOLINES)	// 0x8E7A
	CASE(GL_FRACTIONAL_ODD)	// 0x8E7B
	CASE(GL_FRACTIONAL_EVEN)	// 0x8E7C
	CASE(GL_MAX_PATCH_VERTICES)	// 0x8E7D
	CASE(GL_MAX_TESS_GEN_LEVEL)	// 0x8E7E
	CASE(GL_MAX_TESS_CONTROL_UNIFORM_COMPONENTS)	// 0x8E7F
	CASE(GL_MAX_TESS_EVALUATION_UNIFORM_COMPONENTS)	// 0x8E80
	CASE(GL_MAX_TESS_CONTROL_TEXTURE_IMAGE_UNITS)	// 0x8E81
	CASE(GL_MAX_TESS_EVALUATION_TEXTURE_IMAGE_UNITS)	// 0x8E82
	CASE(GL_MAX_TESS_CONTROL_OUTPUT_COMPONENTS)	// 0x8E83
	CASE(GL_MAX_TESS_PATCH_COMPONENTS)	// 0x8E84
	CASE(GL_MAX_TESS_CONTROL_TOTAL_OUTPUT_COMPONENTS)	// 0x8E85
	CASE(GL_MAX_TESS_EVALUATION_OUTPUT_COMPONENTS)	// 0x8E86
	CASE(GL_TESS_EVALUATION_SHADER)	// 0x8E87
	CASE(GL_TESS_CONTROL_SHADER)	// 0x8E88
	CASE(GL_MAX_TESS_CONTROL_UNIFORM_BLOCKS)	// 0x8E89
	CASE(GL_MAX_TESS_EVALUATION_UNIFORM_BLOCKS)	// 0x8E8A
	CASE(GL_COMPRESSED_RGBA_BPTC_UNORM_ARB)	// 0x8E8C
	CASE(GL_COMPRESSED_SRGB_ALPHA_BPTC_UNORM_ARB)	// 0x8E8D
	CASE(GL_COMPRESSED_RGB_BPTC_SIGNED_FLOAT_ARB)	// 0x8E8E
	CASE(GL_COMPRESSED_RGB_BPTC_UNSIGNED_FLOAT_ARB)	// 0x8E8F
	//CASE(GL_COVERAGE_COMPONENT_NV)	# 0x8ED0
	//CASE(GL_COVERAGE_COMPONENT4_NV)	# 0x8ED1
	//CASE(GL_COVERAGE_ATTACHMENT_NV)	# 0x8ED2
	//CASE(GL_COVERAGE_BUFFERS_NV)	# 0x8ED3
	//CASE(GL_COVERAGE_SAMPLES_NV)	# 0x8ED4
	//CASE(GL_COVERAGE_ALL_FRAGMENTS_NV)	# 0x8ED5
	//CASE(GL_COVERAGE_EDGE_FRAGMENTS_NV)	# 0x8ED6
	//CASE(GL_COVERAGE_AUTOMATIC_NV)	# 0x8ED7
	CASE(GL_BUFFER_GPU_ADDRESS_NV)	// 0x8F1D
	CASE(GL_VERTEX_ATTRIB_ARRAY_UNIFIED_NV)	// 0x8F1E
	CASE(GL_ELEMENT_ARRAY_UNIFIED_NV)	// 0x8F1F
	CASE(GL_VERTEX_ATTRIB_ARRAY_ADDRESS_NV)	// 0x8F20
	CASE(GL_VERTEX_ARRAY_ADDRESS_NV)	// 0x8F21
	CASE(GL_NORMAL_ARRAY_ADDRESS_NV)	// 0x8F22
	CASE(GL_COLOR_ARRAY_ADDRESS_NV)	// 0x8F23
	CASE(GL_INDEX_ARRAY_ADDRESS_NV)	// 0x8F24
	CASE(GL_TEXTURE_COORD_ARRAY_ADDRESS_NV)	// 0x8F25
	CASE(GL_EDGE_FLAG_ARRAY_ADDRESS_NV)	// 0x8F26
	CASE(GL_SECONDARY_COLOR_ARRAY_ADDRESS_NV)	// 0x8F27
	CASE(GL_FOG_COORD_ARRAY_ADDRESS_NV)	// 0x8F28
	CASE(GL_ELEMENT_ARRAY_ADDRESS_NV)	// 0x8F29
	CASE(GL_VERTEX_ATTRIB_ARRAY_LENGTH_NV)	// 0x8F2A
	CASE(GL_VERTEX_ARRAY_LENGTH_NV)	// 0x8F2B
	CASE(GL_NORMAL_ARRAY_LENGTH_NV)	// 0x8F2C
	CASE(GL_COLOR_ARRAY_LENGTH_NV)	// 0x8F2D
	CASE(GL_INDEX_ARRAY_LENGTH_NV)	// 0x8F2E
	CASE(GL_TEXTURE_COORD_ARRAY_LENGTH_NV)	// 0x8F2F
	CASE(GL_EDGE_FLAG_ARRAY_LENGTH_NV)	// 0x8F30
	CASE(GL_SECONDARY_COLOR_ARRAY_LENGTH_NV)	// 0x8F31
	CASE(GL_FOG_COORD_ARRAY_LENGTH_NV)	// 0x8F32
	CASE(GL_ELEMENT_ARRAY_LENGTH_NV)	// 0x8F33
	CASE(GL_GPU_ADDRESS_NV)	// 0x8F34
	CASE(GL_MAX_SHADER_BUFFER_ADDRESS_NV)	// 0x8F35
	CASE(GL_COPY_READ_BUFFER)	// 0x8F36
	CASE(GL_COPY_WRITE_BUFFER)	// 0x8F37
	CASE(GL_MAX_IMAGE_UNITS)	// 0x8F38
	CASE(GL_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS)	// 0x8F39
	CASE(GL_IMAGE_BINDING_NAME)	// 0x8F3A
	CASE(GL_IMAGE_BINDING_LEVEL)	// 0x8F3B
	CASE(GL_IMAGE_BINDING_LAYERED)	// 0x8F3C
	CASE(GL_IMAGE_BINDING_LAYER)	// 0x8F3D
	CASE(GL_IMAGE_BINDING_ACCESS)	// 0x8F3E
	CASE(GL_DRAW_INDIRECT_BUFFER)	// 0x8F3F
	CASE(GL_DRAW_INDIRECT_UNIFIED_NV)	// 0x8F40
	CASE(GL_DRAW_INDIRECT_ADDRESS_NV)	// 0x8F41
	CASE(GL_DRAW_INDIRECT_LENGTH_NV)	// 0x8F42
	CASE(GL_DRAW_INDIRECT_BUFFER_BINDING)	// 0x8F43
	//CASE(GL_MAX_PROGRAM_SUBROUTINE_PARAMETERS_NV)	// 0x8F44
	//CASE(GL_MAX_PROGRAM_SUBROUTINE_NUM_NV)	// 0x8F45
	CASE(GL_DOUBLE_MAT2)	// 0x8F46
	CASE(GL_DOUBLE_MAT3)	// 0x8F47
	CASE(GL_DOUBLE_MAT4)	// 0x8F48
	CASE(GL_DOUBLE_MAT2x3)	// 0x8F49
	CASE(GL_DOUBLE_MAT2x4)	// 0x8F4A
	CASE(GL_DOUBLE_MAT3x2)	// 0x8F4B
	CASE(GL_DOUBLE_MAT3x4)	// 0x8F4C
	CASE(GL_DOUBLE_MAT4x2)	// 0x8F4D
	CASE(GL_DOUBLE_MAT4x3)	// 0x8F4E
	//CASE(GL_MALI_SHADER_BINARY_ARM)	# 0x8F60
	CASE(GL_RED_SNORM)	// 0x8F90
	CASE(GL_RG_SNORM)	// 0x8F91
	CASE(GL_RGB_SNORM)	// 0x8F92
	CASE(GL_RGBA_SNORM)	// 0x8F93
	CASE(GL_R8_SNORM)	// 0x8F94
	CASE(GL_RG8_SNORM)	// 0x8F95
	CASE(GL_RGB8_SNORM)	// 0x8F96
	CASE(GL_RGBA8_SNORM)	// 0x8F97
	CASE(GL_R16_SNORM)	// 0x8F98
	CASE(GL_RG16_SNORM)	// 0x8F99
	CASE(GL_RGB16_SNORM)	// 0x8F9A
	CASE(GL_RGBA16_SNORM)	// 0x8F9B
	CASE(GL_SIGNED_NORMALIZED)	// 0x8F9C
	CASE(GL_PRIMITIVE_RESTART)	// 0x8F9D
	CASE(GL_PRIMITIVE_RESTART_INDEX)	// 0x8F9E
	//CASE(GL_MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS)	# 0x8F9F
	//CASE(GL_PERFMON_GLOBAL_MODE_QCOM)	# 0x8FA0
	//CASE(GL_SHADER_BINARY_VIV)	# 0x8FC4
	CASE(GL_INT8_NV)	// 0x8FE0
	CASE(GL_INT8_VEC2_NV)	// 0x8FE1
	CASE(GL_INT8_VEC3_NV)	// 0x8FE2
	CASE(GL_INT8_VEC4_NV)	// 0x8FE3
	CASE(GL_INT16_NV)	// 0x8FE4
	CASE(GL_INT16_VEC2_NV)	// 0x8FE5
	CASE(GL_INT16_VEC3_NV)	// 0x8FE6
	CASE(GL_INT16_VEC4_NV)	// 0x8FE7
	CASE(GL_INT64_VEC2_NV)	// 0x8FE9
	CASE(GL_INT64_VEC3_NV)	// 0x8FEA
	CASE(GL_INT64_VEC4_NV)	// 0x8FEB
	CASE(GL_UNSIGNED_INT8_NV)	// 0x8FEC
	CASE(GL_UNSIGNED_INT8_VEC2_NV)	// 0x8FED
	CASE(GL_UNSIGNED_INT8_VEC3_NV)	// 0x8FEE
	CASE(GL_UNSIGNED_INT8_VEC4_NV)	// 0x8FEF
	CASE(GL_UNSIGNED_INT16_NV)	// 0x8FF0
	CASE(GL_UNSIGNED_INT16_VEC2_NV)	// 0x8FF1
	CASE(GL_UNSIGNED_INT16_VEC3_NV)	// 0x8FF2
	CASE(GL_UNSIGNED_INT16_VEC4_NV)	// 0x8FF3
	CASE(GL_UNSIGNED_INT64_VEC2_NV)	// 0x8FF5
	CASE(GL_UNSIGNED_INT64_VEC3_NV)	// 0x8FF6
	CASE(GL_UNSIGNED_INT64_VEC4_NV)	// 0x8FF7
	CASE(GL_FLOAT16_NV)	// 0x8FF8
	CASE(GL_FLOAT16_VEC2_NV)	// 0x8FF9
	CASE(GL_FLOAT16_VEC3_NV)	// 0x8FFA
	CASE(GL_FLOAT16_VEC4_NV)	// 0x8FFB
	CASE(GL_DOUBLE_VEC2)	// 0x8FFC
	CASE(GL_DOUBLE_VEC3)	// 0x8FFD
	CASE(GL_DOUBLE_VEC4)	// 0x8FFE
	CASE(GL_SAMPLER_BUFFER_AMD)	// 0x9001
	CASE(GL_INT_SAMPLER_BUFFER_AMD)	// 0x9002
	CASE(GL_UNSIGNED_INT_SAMPLER_BUFFER_AMD)	// 0x9003
	CASE(GL_TESSELLATION_MODE_AMD)	// 0x9004
	CASE(GL_TESSELLATION_FACTOR_AMD)	// 0x9005
	CASE(GL_DISCRETE_AMD)	// 0x9006
	CASE(GL_CONTINUOUS_AMD)	// 0x9007
	CASE(GL_TEXTURE_CUBE_MAP_ARRAY)	// 0x9009
	CASE(GL_TEXTURE_BINDING_CUBE_MAP_ARRAY)	// 0x900A
	CASE(GL_PROXY_TEXTURE_CUBE_MAP_ARRAY)	// 0x900B
	CASE(GL_SAMPLER_CUBE_MAP_ARRAY)	// 0x900C
	CASE(GL_SAMPLER_CUBE_MAP_ARRAY_SHADOW)	// 0x900D
	CASE(GL_INT_SAMPLER_CUBE_MAP_ARRAY)	// 0x900E
	CASE(GL_UNSIGNED_INT_SAMPLER_CUBE_MAP_ARRAY)	// 0x900F
	CASE(GL_ALPHA_SNORM)	// 0x9010
	CASE(GL_LUMINANCE_SNORM)	// 0x9011
	CASE(GL_LUMINANCE_ALPHA_SNORM)	// 0x9012
	CASE(GL_INTENSITY_SNORM)	// 0x9013
	CASE(GL_ALPHA8_SNORM)	// 0x9014
	CASE(GL_LUMINANCE8_SNORM)	// 0x9015
	CASE(GL_LUMINANCE8_ALPHA8_SNORM)	// 0x9016
	CASE(GL_INTENSITY8_SNORM)	// 0x9017
	CASE(GL_ALPHA16_SNORM)	// 0x9018
	CASE(GL_LUMINANCE16_SNORM)	// 0x9019
	CASE(GL_LUMINANCE16_ALPHA16_SNORM)	// 0x901A
	CASE(GL_INTENSITY16_SNORM)	// 0x901B
	CASE(GL_FACTOR_MIN_AMD)	// 0x901C
	CASE(GL_FACTOR_MAX_AMD)	// 0x901D
	CASE(GL_DEPTH_CLAMP_NEAR_AMD)	// 0x901E
	CASE(GL_DEPTH_CLAMP_FAR_AMD)	// 0x901F
	CASE(GL_VIDEO_BUFFER_NV)	// 0x9020
	CASE(GL_VIDEO_BUFFER_BINDING_NV)	// 0x9021
	CASE(GL_FIELD_UPPER_NV)	// 0x9022
	CASE(GL_FIELD_LOWER_NV)	// 0x9023
	CASE(GL_NUM_VIDEO_CAPTURE_STREAMS_NV)	// 0x9024
	CASE(GL_NEXT_VIDEO_CAPTURE_BUFFER_STATUS_NV)	// 0x9025
	CASE(GL_VIDEO_CAPTURE_TO_422_SUPPORTED_NV)	// 0x9026
	CASE(GL_LAST_VIDEO_CAPTURE_STATUS_NV)	// 0x9027
	CASE(GL_VIDEO_BUFFER_PITCH_NV)	// 0x9028
	CASE(GL_VIDEO_COLOR_CONVERSION_MATRIX_NV)	// 0x9029
	CASE(GL_VIDEO_COLOR_CONVERSION_MAX_NV)	// 0x902A
	CASE(GL_VIDEO_COLOR_CONVERSION_MIN_NV)	// 0x902B
	CASE(GL_VIDEO_COLOR_CONVERSION_OFFSET_NV)	// 0x902C
	CASE(GL_VIDEO_BUFFER_INTERNAL_FORMAT_NV)	// 0x902D
	CASE(GL_PARTIAL_SUCCESS_NV)	// 0x902E
	CASE(GL_SUCCESS_NV)	// 0x902F
	CASE(GL_FAILURE_NV)	// 0x9030
	CASE(GL_YCBYCR8_422_NV)	// 0x9031
	CASE(GL_YCBAYCR8A_4224_NV)	// 0x9032
	CASE(GL_Z6Y10Z6CB10Z6Y10Z6CR10_422_NV)	// 0x9033
	CASE(GL_Z6Y10Z6CB10Z6A10Z6Y10Z6CR10Z6A10_4224_NV)	// 0x9034
	CASE(GL_Z4Y12Z4CB12Z4Y12Z4CR12_422_NV)	// 0x9035
	CASE(GL_Z4Y12Z4CB12Z4A12Z4Y12Z4CR12Z4A12_4224_NV)	// 0x9036
	CASE(GL_Z4Y12Z4CB12Z4CR12_444_NV)	// 0x9037
	CASE(GL_VIDEO_CAPTURE_FRAME_WIDTH_NV)	// 0x9038
	CASE(GL_VIDEO_CAPTURE_FRAME_HEIGHT_NV)	// 0x9039
	CASE(GL_VIDEO_CAPTURE_FIELD_UPPER_HEIGHT_NV)	// 0x903A
	CASE(GL_VIDEO_CAPTURE_FIELD_LOWER_HEIGHT_NV)	// 0x903B
	CASE(GL_VIDEO_CAPTURE_SURFACE_ORIGIN_NV)	// 0x903C
	CASE(GL_TEXTURE_COVERAGE_SAMPLES_NV)	// 0x9045
	CASE(GL_TEXTURE_COLOR_SAMPLES_NV)	// 0x9046
	//CASE(GL_GPU_MEMORY_INFO_DEDICATED_VIDMEM_NVX) // 0x9047
	//CASE(GL_GPU_MEMORY_INFO_TOTAL_AVAILABLE_MEMORY_NVX) // 0x9048
	//CASE(GL_GPU_MEMORY_INFO_CURRENT_AVAILABLE_VIDMEM_NVX) // 0x9049
	//CASE(GL_GPU_MEMORY_INFO_EVICTION_COUNT_NVX) // 0x904A
	//CASE(GL_GPU_MEMORY_INFO_EVICTED_MEMORY_NVX) // 0x904B
	CASE(GL_IMAGE_1D)	// 0x904C
	CASE(GL_IMAGE_2D)	// 0x904D
	CASE(GL_IMAGE_3D)	// 0x904E
	CASE(GL_IMAGE_2D_RECT)	// 0x904F
	CASE(GL_IMAGE_CUBE)	// 0x9050
	CASE(GL_IMAGE_BUFFER)	// 0x9051
	CASE(GL_IMAGE_1D_ARRAY)	// 0x9052
	CASE(GL_IMAGE_2D_ARRAY)	// 0x9053
	CASE(GL_IMAGE_CUBE_MAP_ARRAY)	// 0x9054
	CASE(GL_IMAGE_2D_MULTISAMPLE)	// 0x9055
	CASE(GL_IMAGE_2D_MULTISAMPLE_ARRAY)	// 0x9056
	CASE(GL_INT_IMAGE_1D)	// 0x9057
	CASE(GL_INT_IMAGE_2D)	// 0x9058
	CASE(GL_INT_IMAGE_3D)	// 0x9059
	CASE(GL_INT_IMAGE_2D_RECT)	// 0x905A
	CASE(GL_INT_IMAGE_CUBE)	// 0x905B
	CASE(GL_INT_IMAGE_BUFFER)	// 0x905C
	CASE(GL_INT_IMAGE_1D_ARRAY)	// 0x905D
	CASE(GL_INT_IMAGE_2D_ARRAY)	// 0x905E
	CASE(GL_INT_IMAGE_CUBE_MAP_ARRAY)	// 0x905F
	CASE(GL_INT_IMAGE_2D_MULTISAMPLE)	// 0x9060
	CASE(GL_INT_IMAGE_2D_MULTISAMPLE_ARRAY)	// 0x9061
	CASE(GL_UNSIGNED_INT_IMAGE_1D)	// 0x9062
	CASE(GL_UNSIGNED_INT_IMAGE_2D)	// 0x9063
	CASE(GL_UNSIGNED_INT_IMAGE_3D)	// 0x9064
	CASE(GL_UNSIGNED_INT_IMAGE_2D_RECT)	// 0x9065
	CASE(GL_UNSIGNED_INT_IMAGE_CUBE)	// 0x9066
	CASE(GL_UNSIGNED_INT_IMAGE_BUFFER)	// 0x9067
	CASE(GL_UNSIGNED_INT_IMAGE_1D_ARRAY)	// 0x9068
	CASE(GL_UNSIGNED_INT_IMAGE_2D_ARRAY)	// 0x9069
	CASE(GL_UNSIGNED_INT_IMAGE_CUBE_MAP_ARRAY)	// 0x906A
	CASE(GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE)	// 0x906B
	CASE(GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_ARRAY)	// 0x906C
	CASE(GL_MAX_IMAGE_SAMPLES)	// 0x906D
	CASE(GL_IMAGE_BINDING_FORMAT)	// 0x906E
	CASE(GL_RGB10_A2UI)	// 0x906F
	CASE(GL_SCALED_RESOLVE_FASTEST_EXT)	// 0x90BA
	CASE(GL_SCALED_RESOLVE_NICEST_EXT)	// 0x90BB
	CASE(GL_MIN_MAP_BUFFER_ALIGNMENT)	// 0x90BC
	CASE(GL_IMAGE_FORMAT_COMPATIBILITY_TYPE)	// 0x90C7
	CASE(GL_IMAGE_FORMAT_COMPATIBILITY_BY_SIZE)	// 0x90C8
	CASE(GL_IMAGE_FORMAT_COMPATIBILITY_BY_CLASS)	// 0x90C9
	CASE(GL_MAX_VERTEX_IMAGE_UNIFORMS)	// 0x90CA
	CASE(GL_MAX_TESS_CONTROL_IMAGE_UNIFORMS)	// 0x90CB
	CASE(GL_MAX_TESS_EVALUATION_IMAGE_UNIFORMS)	// 0x90CC
	CASE(GL_MAX_GEOMETRY_IMAGE_UNIFORMS)	// 0x90CD
	CASE(GL_MAX_FRAGMENT_IMAGE_UNIFORMS)	// 0x90CE
	CASE(GL_MAX_COMBINED_IMAGE_UNIFORMS)	// 0x90CF
	CASE(GL_SYNC_X11_FENCE_EXT)	// 0x90E1
	CASE(GL_TEXTURE_2D_MULTISAMPLE)	// 0x9100
	CASE(GL_PROXY_TEXTURE_2D_MULTISAMPLE)	// 0x9101
	CASE(GL_TEXTURE_2D_MULTISAMPLE_ARRAY)	// 0x9102
	CASE(GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY)	// 0x9103
	CASE(GL_TEXTURE_BINDING_2D_MULTISAMPLE)	// 0x9104
	CASE(GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY)	// 0x9105
	CASE(GL_TEXTURE_SAMPLES)	// 0x9106
	CASE(GL_TEXTURE_FIXED_SAMPLE_LOCATIONS)	// 0x9107
	CASE(GL_SAMPLER_2D_MULTISAMPLE)	// 0x9108
	CASE(GL_INT_SAMPLER_2D_MULTISAMPLE)	// 0x9109
	CASE(GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE)	// 0x910A
	CASE(GL_SAMPLER_2D_MULTISAMPLE_ARRAY)	// 0x910B
	CASE(GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY)	// 0x910C
	CASE(GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY)	// 0x910D
	CASE(GL_MAX_COLOR_TEXTURE_SAMPLES)	// 0x910E
	CASE(GL_MAX_DEPTH_TEXTURE_SAMPLES)	// 0x910F
	CASE(GL_MAX_INTEGER_SAMPLES)	// 0x9110
	CASE(GL_MAX_SERVER_WAIT_TIMEOUT)	// 0x9111
	CASE(GL_OBJECT_TYPE)	// 0x9112
	CASE(GL_SYNC_CONDITION)	// 0x9113
	CASE(GL_SYNC_STATUS)	// 0x9114
	CASE(GL_SYNC_FLAGS)	// 0x9115
	CASE(GL_SYNC_FENCE)	// 0x9116
	CASE(GL_SYNC_GPU_COMMANDS_COMPLETE)	// 0x9117
	CASE(GL_UNSIGNALED)	// 0x9118
	CASE(GL_SIGNALED)	// 0x9119
	CASE(GL_ALREADY_SIGNALED)	// 0x911A
	CASE(GL_TIMEOUT_EXPIRED)	// 0x911B
	CASE(GL_CONDITION_SATISFIED)	// 0x911C
	CASE(GL_WAIT_FAILED)	// 0x911D
	CASE(GL_BUFFER_ACCESS_FLAGS)	// 0x911F
	CASE(GL_BUFFER_MAP_LENGTH)	// 0x9120
	CASE(GL_BUFFER_MAP_OFFSET)	// 0x9121
	CASE(GL_MAX_VERTEX_OUTPUT_COMPONENTS)	// 0x9122
	CASE(GL_MAX_GEOMETRY_INPUT_COMPONENTS)	// 0x9123
	CASE(GL_MAX_GEOMETRY_OUTPUT_COMPONENTS)	// 0x9124
	CASE(GL_MAX_FRAGMENT_INPUT_COMPONENTS)	// 0x9125
	CASE(GL_CONTEXT_PROFILE_MASK)	// 0x9126
	CASE(GL_UNPACK_COMPRESSED_BLOCK_WIDTH)	// 0x9127
	CASE(GL_UNPACK_COMPRESSED_BLOCK_HEIGHT)	// 0x9128
	CASE(GL_UNPACK_COMPRESSED_BLOCK_DEPTH)	// 0x9129
	CASE(GL_UNPACK_COMPRESSED_BLOCK_SIZE)	// 0x912A
	CASE(GL_PACK_COMPRESSED_BLOCK_WIDTH)	// 0x912B
	CASE(GL_PACK_COMPRESSED_BLOCK_HEIGHT)	// 0x912C
	CASE(GL_PACK_COMPRESSED_BLOCK_DEPTH)	// 0x912D
	CASE(GL_PACK_COMPRESSED_BLOCK_SIZE)	// 0x912E
	CASE(GL_TEXTURE_IMMUTABLE_FORMAT)	// 0x912F
	//CASE(GL_SGX_PROGRAM_BINARY_IMG)	# 0x9130
	//CASE(GL_RENDERBUFFER_SAMPLES_IMG)	# 0x9133
	//CASE(GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_IMG)	# 0x9134
	//CASE(GL_MAX_SAMPLES_IMG)	# 0x9135
	//CASE(GL_TEXTURE_SAMPLES_IMG)	# 0x9136
	CASE(GL_MAX_DEBUG_MESSAGE_LENGTH_ARB)	// 0x9143
	CASE(GL_MAX_DEBUG_LOGGED_MESSAGES_ARB)	// 0x9144
	CASE(GL_DEBUG_LOGGED_MESSAGES_ARB)	// 0x9145
	CASE(GL_DEBUG_SEVERITY_HIGH_ARB)	// 0x9146
	CASE(GL_DEBUG_SEVERITY_MEDIUM_ARB)	// 0x9147
	CASE(GL_DEBUG_SEVERITY_LOW_ARB)	// 0x9148
	CASE(GL_DEBUG_CATEGORY_API_ERROR_AMD)	// 0x9149
	CASE(GL_DEBUG_CATEGORY_WINDOW_SYSTEM_AMD)	// 0x914A
	CASE(GL_DEBUG_CATEGORY_DEPRECATION_AMD)	// 0x914B
	CASE(GL_DEBUG_CATEGORY_UNDEFINED_BEHAVIOR_AMD)	// 0x914C
	CASE(GL_DEBUG_CATEGORY_PERFORMANCE_AMD)	// 0x914D
	CASE(GL_DEBUG_CATEGORY_SHADER_COMPILER_AMD)	// 0x914E
	CASE(GL_DEBUG_CATEGORY_APPLICATION_AMD)	// 0x914F
	CASE(GL_DEBUG_CATEGORY_OTHER_AMD)	// 0x9150
	CASE(GL_DATA_BUFFER_AMD)	// 0x9151
	CASE(GL_PERFORMANCE_MONITOR_AMD)	// 0x9152
	CASE(GL_QUERY_OBJECT_AMD)	// 0x9153
	CASE(GL_VERTEX_ARRAY_OBJECT_AMD)	// 0x9154
	CASE(GL_SAMPLER_OBJECT_AMD)	// 0x9155
	//CASE(GL_SHADER_BINARY_DMP)	# 0x9250
	CASE(GL_ATOMIC_COUNTER_BUFFER)	// 0x92C0
	CASE(GL_ATOMIC_COUNTER_BUFFER_BINDING)	// 0x92C1
	CASE(GL_ATOMIC_COUNTER_BUFFER_START)	// 0x92C2
	CASE(GL_ATOMIC_COUNTER_BUFFER_SIZE)	// 0x92C3
	CASE(GL_ATOMIC_COUNTER_BUFFER_DATA_SIZE)	// 0x92C4
	CASE(GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTERS)	// 0x92C5
	CASE(GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTER_INDICES)	// 0x92C6
	CASE(GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_VERTEX_SHADER)	// 0x92C7
	CASE(GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_CONTROL_SHADER)	// 0x92C8
	CASE(GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_EVALUATION_SHADER)	// 0x92C9
	CASE(GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_GEOMETRY_SHADER)	// 0x92CA
	CASE(GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_FRAGMENT_SHADER)	// 0x92CB
	CASE(GL_MAX_VERTEX_ATOMIC_COUNTER_BUFFERS)	// 0x92CC
	CASE(GL_MAX_TESS_CONTROL_ATOMIC_COUNTER_BUFFERS)	// 0x92CD
	CASE(GL_MAX_TESS_EVALUATION_ATOMIC_COUNTER_BUFFERS)	// 0x92CE
	CASE(GL_MAX_GEOMETRY_ATOMIC_COUNTER_BUFFERS)	// 0x92CF
	CASE(GL_MAX_FRAGMENT_ATOMIC_COUNTER_BUFFERS)	// 0x92D0
	CASE(GL_MAX_COMBINED_ATOMIC_COUNTER_BUFFERS)	// 0x92D1
	CASE(GL_MAX_VERTEX_ATOMIC_COUNTERS)	// 0x92D2
	CASE(GL_MAX_TESS_CONTROL_ATOMIC_COUNTERS)	// 0x92D3
	CASE(GL_MAX_TESS_EVALUATION_ATOMIC_COUNTERS)	// 0x92D4
	CASE(GL_MAX_GEOMETRY_ATOMIC_COUNTERS)	// 0x92D5
	CASE(GL_MAX_FRAGMENT_ATOMIC_COUNTERS)	// 0x92D6
	CASE(GL_MAX_COMBINED_ATOMIC_COUNTERS)	// 0x92D7
	CASE(GL_MAX_ATOMIC_COUNTER_BUFFER_SIZE)	// 0x92D8
	CASE(GL_ACTIVE_ATOMIC_COUNTER_BUFFERS)	// 0x92D9
	CASE(GL_UNIFORM_ATOMIC_COUNTER_BUFFER_INDEX)	// 0x92DA
	CASE(GL_UNSIGNED_INT_ATOMIC_COUNTER)	// 0x92DB
	CASE(GL_MAX_ATOMIC_COUNTER_BUFFER_BINDINGS)	// 0x92DC
	CASE(GL_NUM_SAMPLE_COUNTS)	// 0x9380
	CASE(GL_INVALID_INDEX)	// 0xFFFFFFFFu

	default:
		return "(unrecognized enum)";
	}

#undef CASE
}

